/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.Akt;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Akt</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.AktImpl#getIdAkt <em>Id Akt</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getBrojAkta <em>Broj Akta</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getKvalifikacijskaGrupa <em>Kvalifikacijska Grupa</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getPotpisniciDokumenta <em>Potpisnici Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getIzvorniBrojAktra <em>Izvorni Broj Aktra</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getIzvorniBrojPredmeta <em>Izvorni Broj Predmeta</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getNazivInstitucijeOrgana <em>Naziv Institucije Organa</em>}</li>
 *   <li>{@link pbdmodel.impl.AktImpl#getIdentifikacioniBroj <em>Identifikacioni Broj</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@SequenceGenerator(name="AKT_SEQ", allocationSize=1, initialValue=1)
public class AktImpl extends DokumentImpl implements Akt {
	/**
	 * The default value of the '{@link #getIdAkt() <em>Id Akt</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdAkt()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_AKT_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdAkt() <em>Id Akt</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdAkt()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.AUTO, generator="AKT_SEQ")
	protected long idAkt = ID_AKT_EDEFAULT;
	
	protected boolean napravioDezurni = false;
	
	protected String generisaniBrojAkta;

	public String getGenerisaniBrojAkta() {
		return generisaniBrojAkta;
	}

	public void setGenerisaniBrojAkta(String generisaniBroj) {
		this.generisaniBrojAkta = generisaniBroj;
	}
	
	protected long generisaniID;

	public long getGenerisaniID() {
		return generisaniID;
	}

	public void setGenerisaniID(long generisaniID) {
		this.generisaniID = generisaniID;
	}

	public boolean isNapravioDezurni() {
		return napravioDezurni;
	}

	public void setNapravioDezurni(boolean napravioDezurni) {
		this.napravioDezurni = napravioDezurni;
	}

	/**
	 * The default value of the '{@link #getBrojAkta() <em>Broj Akta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAkta()
	 * @generated
	 * @ordered
	 */
	protected static final String BROJ_AKTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getBrojAkta() <em>Broj Akta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBrojAkta()
	 * @generated
	 * @ordered
	 */
	protected String brojAkta = BROJ_AKTA_EDEFAULT;
	
	protected static final String BROJ_VEZANOG_DOKUMENTA=null;

	protected String brojVezanogDokumenta= BROJ_VEZANOG_DOKUMENTA;

	protected boolean rijesen = false;
	
	public boolean isRijesen() {
		return rijesen;
	}

	public void setRijesen(boolean rijesen) {
		this.rijesen = rijesen;
	}
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="AKT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<AktImpl> vezaniAkti;
	
	public List<AktImpl> getVezaniAkti() {
		if (vezaniAkti == null) {
			vezaniAkti = new ArrayList<AktImpl>();
		}
		return vezaniAkti;
	}

	/**
	 * The cached value of the '{@link #getKvalifikacijskaGrupa() <em>Kvalifikacijska Grupa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKvalifikacijskaGrupa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KVALIFIKACIJSKA_GRUPA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected KvalifikacijskaGrupaImpl kvalifikacijskaGrupa;
	
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KVALIFIKACIJSKA_PODGRUPA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected KvalifikacijskaPodgrupaImpl kvalifikacijskaPodrupa;
	
	

	public KvalifikacijskaPodgrupaImpl getKvalifikacijskaPodrupa() {
		return kvalifikacijskaPodrupa;
	}

	public void setKvalifikacijskaPodrupa(
			KvalifikacijskaPodgrupaImpl kvalifikacijskaPodrupa) {
		this.kvalifikacijskaPodrupa = kvalifikacijskaPodrupa;
	}
	
//	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
//	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
//	protected DogadjajImpl dogadjaj;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PATROLNI_NALOG_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PatrolniNalogImpl patrolniNalog;
	

//	public DogadjajImpl getDogadjaj() {
//		return dogadjaj;
//	}
//
//	public void setDogadjaj(DogadjajImpl dogadjaj) {
//		this.dogadjaj = dogadjaj;
//	}

	public PatrolniNalogImpl getPatrolniNalog() {
		return patrolniNalog;
	}

	public void setPatrolniNalog(PatrolniNalogImpl patrolniNalog) {
		this.patrolniNalog = patrolniNalog;
	}

	/**
	 * The cached value of the '{@link #getPotpisniciDokumenta() <em>Potpisnici Dokumenta</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPotpisniciDokumenta()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="POTPISNICI_DOKUMENTA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<PotpisniciDokumentaImpl> potpisniciDokumenta;

	/**
	 * The default value of the '{@link #getIzvorniBrojAktra() <em>Izvorni Broj Aktra</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzvorniBrojAktra()
	 * @generated
	 * @ordered
	 */
	protected static final String IZVORNI_BROJ_AKTRA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzvorniBrojAktra() <em>Izvorni Broj Aktra</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzvorniBrojAktra()
	 * @generated
	 * @ordered
	 */
	protected String izvorniBrojAktra = IZVORNI_BROJ_AKTRA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIzvorniBrojPredmeta() <em>Izvorni Broj Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzvorniBrojPredmeta()
	 * @generated
	 * @ordered
	 */
	protected static final String IZVORNI_BROJ_PREDMETA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIzvorniBrojPredmeta() <em>Izvorni Broj Predmeta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzvorniBrojPredmeta()
	 * @generated
	 * @ordered
	 */
	protected String izvorniBrojPredmeta = IZVORNI_BROJ_PREDMETA_EDEFAULT;

	/**
	 * The default value of the '{@link #getNazivInstitucijeOrgana() <em>Naziv Institucije Organa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivInstitucijeOrgana()
	 * @generated
	 * @ordered
	 */
	protected static final String NAZIV_INSTITUCIJE_ORGANA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getNazivInstitucijeOrgana() <em>Naziv Institucije Organa</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getNazivInstitucijeOrgana()
	 * @generated
	 * @ordered
	 */
	protected String nazivInstitucijeOrgana = NAZIV_INSTITUCIJE_ORGANA_EDEFAULT;

	/**
	 * The default value of the '{@link #getIdentifikacioniBroj() <em>Identifikacioni Broj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdentifikacioniBroj()
	 * @generated
	 * @ordered
	 */
	protected static final String IDENTIFIKACIONI_BROJ_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getIdentifikacioniBroj() <em>Identifikacioni Broj</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdentifikacioniBroj()
	 * @generated
	 * @ordered
	 */
	protected String identifikacioniBroj = IDENTIFIKACIONI_BROJ_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	
	public boolean stariAkt;
	
	public boolean isStariAkt() {
		return stariAkt;
	}

	public void setStariAkt(boolean stariAkt) {
		this.stariAkt = stariAkt;
	}

	public AktImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getAkt();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIdAkt() {
		return idAkt;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdAkt(long newIdAkt) {
		long oldIdAkt = idAkt;
		idAkt = newIdAkt;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__ID_AKT, oldIdAkt, idAkt));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojAkta() {
		return brojAkta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBrojAkta(String newBrojAkta) {
		String oldBrojAkta = brojAkta;
		brojAkta = newBrojAkta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__BROJ_AKTA, oldBrojAkta, brojAkta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KvalifikacijskaGrupaImpl getKvalifikacijskaGrupa() {
		if (kvalifikacijskaGrupa != null && kvalifikacijskaGrupa.eIsProxy()) {
			InternalEObject oldKvalifikacijskaGrupa = (InternalEObject)kvalifikacijskaGrupa;
			kvalifikacijskaGrupa = (KvalifikacijskaGrupaImpl)eResolveProxy(oldKvalifikacijskaGrupa);
			if (kvalifikacijskaGrupa != oldKvalifikacijskaGrupa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA, oldKvalifikacijskaGrupa, kvalifikacijskaGrupa));
			}
		}
		return kvalifikacijskaGrupa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KvalifikacijskaGrupaImpl basicGetKvalifikacijskaGrupa() {
		return kvalifikacijskaGrupa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setKvalifikacijskaGrupa(KvalifikacijskaGrupaImpl newKvalifikacijskaGrupa) {
		KvalifikacijskaGrupaImpl oldKvalifikacijskaGrupa = kvalifikacijskaGrupa;
		kvalifikacijskaGrupa = newKvalifikacijskaGrupa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA, oldKvalifikacijskaGrupa, kvalifikacijskaGrupa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<PotpisniciDokumentaImpl> getPotpisniciDokumenta() {
		if (potpisniciDokumenta == null) {
			potpisniciDokumenta = new ArrayList<PotpisniciDokumentaImpl>();
		}
		return potpisniciDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzvorniBrojAktra() {
		return izvorniBrojAktra;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzvorniBrojAktra(String newIzvorniBrojAktra) {
		String oldIzvorniBrojAktra = izvorniBrojAktra;
		izvorniBrojAktra = newIzvorniBrojAktra;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__IZVORNI_BROJ_AKTRA, oldIzvorniBrojAktra, izvorniBrojAktra));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIzvorniBrojPredmeta() {
		return izvorniBrojPredmeta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzvorniBrojPredmeta(String newIzvorniBrojPredmeta) {
		String oldIzvorniBrojPredmeta = izvorniBrojPredmeta;
		izvorniBrojPredmeta = newIzvorniBrojPredmeta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__IZVORNI_BROJ_PREDMETA, oldIzvorniBrojPredmeta, izvorniBrojPredmeta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getNazivInstitucijeOrgana() {
		return nazivInstitucijeOrgana;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setNazivInstitucijeOrgana(String newNazivInstitucijeOrgana) {
		String oldNazivInstitucijeOrgana = nazivInstitucijeOrgana;
		nazivInstitucijeOrgana = newNazivInstitucijeOrgana;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__NAZIV_INSTITUCIJE_ORGANA, oldNazivInstitucijeOrgana, nazivInstitucijeOrgana));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getIdentifikacioniBroj() {
		return identifikacioniBroj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIdentifikacioniBroj(String newIdentifikacioniBroj) {
		String oldIdentifikacioniBroj = identifikacioniBroj;
		identifikacioniBroj = newIdentifikacioniBroj;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.AKT__IDENTIFIKACIONI_BROJ, oldIdentifikacioniBroj, identifikacioniBroj));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.AKT__ID_AKT:
				return getIdAkt();
			case PbdmodelPackage.AKT__BROJ_AKTA:
				return getBrojAkta();
			case PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA:
				if (resolve) return getKvalifikacijskaGrupa();
				return basicGetKvalifikacijskaGrupa();
			case PbdmodelPackage.AKT__POTPISNICI_DOKUMENTA:
				return getPotpisniciDokumenta();
			case PbdmodelPackage.AKT__IZVORNI_BROJ_AKTRA:
				return getIzvorniBrojAktra();
			case PbdmodelPackage.AKT__IZVORNI_BROJ_PREDMETA:
				return getIzvorniBrojPredmeta();
			case PbdmodelPackage.AKT__NAZIV_INSTITUCIJE_ORGANA:
				return getNazivInstitucijeOrgana();
			case PbdmodelPackage.AKT__IDENTIFIKACIONI_BROJ:
				return getIdentifikacioniBroj();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getBrojVezanogDokumenta() {
		return brojVezanogDokumenta;
	}

	public void setBrojVezanogDokumenta(String brojVezanogDokumenta) {
		this.brojVezanogDokumenta = brojVezanogDokumenta;
	}
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.AKT__ID_AKT:
				setIdAkt((Long)newValue);
				return;
			case PbdmodelPackage.AKT__BROJ_AKTA:
				setBrojAkta((String)newValue);
				return;
			case PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA:
				setKvalifikacijskaGrupa((KvalifikacijskaGrupaImpl)newValue);
				return;
			case PbdmodelPackage.AKT__POTPISNICI_DOKUMENTA:
				getPotpisniciDokumenta().clear();
				getPotpisniciDokumenta().addAll((Collection<? extends PotpisniciDokumentaImpl>)newValue);
				return;
			case PbdmodelPackage.AKT__IZVORNI_BROJ_AKTRA:
				setIzvorniBrojAktra((String)newValue);
				return;
			case PbdmodelPackage.AKT__IZVORNI_BROJ_PREDMETA:
				setIzvorniBrojPredmeta((String)newValue);
				return;
			case PbdmodelPackage.AKT__NAZIV_INSTITUCIJE_ORGANA:
				setNazivInstitucijeOrgana((String)newValue);
				return;
			case PbdmodelPackage.AKT__IDENTIFIKACIONI_BROJ:
				setIdentifikacioniBroj((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.AKT__ID_AKT:
				setIdAkt(ID_AKT_EDEFAULT);
				return;
			case PbdmodelPackage.AKT__BROJ_AKTA:
				setBrojAkta(BROJ_AKTA_EDEFAULT);
				return;
			case PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA:
				setKvalifikacijskaGrupa((KvalifikacijskaGrupaImpl)null);
				return;
			case PbdmodelPackage.AKT__POTPISNICI_DOKUMENTA:
				getPotpisniciDokumenta().clear();
				return;
			case PbdmodelPackage.AKT__IZVORNI_BROJ_AKTRA:
				setIzvorniBrojAktra(IZVORNI_BROJ_AKTRA_EDEFAULT);
				return;
			case PbdmodelPackage.AKT__IZVORNI_BROJ_PREDMETA:
				setIzvorniBrojPredmeta(IZVORNI_BROJ_PREDMETA_EDEFAULT);
				return;
			case PbdmodelPackage.AKT__NAZIV_INSTITUCIJE_ORGANA:
				setNazivInstitucijeOrgana(NAZIV_INSTITUCIJE_ORGANA_EDEFAULT);
				return;
			case PbdmodelPackage.AKT__IDENTIFIKACIONI_BROJ:
				setIdentifikacioniBroj(IDENTIFIKACIONI_BROJ_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.AKT__ID_AKT:
				return idAkt != ID_AKT_EDEFAULT;
			case PbdmodelPackage.AKT__BROJ_AKTA:
				return BROJ_AKTA_EDEFAULT == null ? brojAkta != null : !BROJ_AKTA_EDEFAULT.equals(brojAkta);
			case PbdmodelPackage.AKT__KVALIFIKACIJSKA_GRUPA:
				return kvalifikacijskaGrupa != null;
			case PbdmodelPackage.AKT__POTPISNICI_DOKUMENTA:
				return potpisniciDokumenta != null && !potpisniciDokumenta.isEmpty();
			case PbdmodelPackage.AKT__IZVORNI_BROJ_AKTRA:
				return IZVORNI_BROJ_AKTRA_EDEFAULT == null ? izvorniBrojAktra != null : !IZVORNI_BROJ_AKTRA_EDEFAULT.equals(izvorniBrojAktra);
			case PbdmodelPackage.AKT__IZVORNI_BROJ_PREDMETA:
				return IZVORNI_BROJ_PREDMETA_EDEFAULT == null ? izvorniBrojPredmeta != null : !IZVORNI_BROJ_PREDMETA_EDEFAULT.equals(izvorniBrojPredmeta);
			case PbdmodelPackage.AKT__NAZIV_INSTITUCIJE_ORGANA:
				return NAZIV_INSTITUCIJE_ORGANA_EDEFAULT == null ? nazivInstitucijeOrgana != null : !NAZIV_INSTITUCIJE_ORGANA_EDEFAULT.equals(nazivInstitucijeOrgana);
			case PbdmodelPackage.AKT__IDENTIFIKACIONI_BROJ:
				return IDENTIFIKACIONI_BROJ_EDEFAULT == null ? identifikacioniBroj != null : !IDENTIFIKACIONI_BROJ_EDEFAULT.equals(identifikacioniBroj);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (idAkt: ");
		result.append(idAkt);
		result.append(", brojAkta: ");
		result.append(brojAkta);
		result.append(", izvorniBrojAktra: ");
		result.append(izvorniBrojAktra);
		result.append(", izvorniBrojPredmeta: ");
		result.append(izvorniBrojPredmeta);
		result.append(", nazivInstitucijeOrgana: ");
		result.append(nazivInstitucijeOrgana);
		result.append(", identifikacioniBroj: ");
		result.append(identifikacioniBroj);
		result.append(')');
		return result.toString();
	}

} //AktImpl
