/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.Dokument;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Dokument</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getRedniBrojDokumenta <em>Redni Broj Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getPredmetDokument <em>Predmet Dokument</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getStatusDokumenta <em>Status Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getOrgJedinica <em>Org Jedinica</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getOznakaDokumenta <em>Oznaka Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getVrstaDokumentaPredmetaAkta <em>Vrsta Dokumenta Predmeta Akta</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getDogadjaj <em>DogadjajImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getRedniBrojVrsteDokumenta <em>Redni Broj Vrste Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#getFajl <em>Fajl</em>}</li>
 *   <li>{@link pbdmodel.impl.DokumentImpl#isArhivirano <em>Arhivirano</em>}</li>
 * </ul> 
 * </p>
 *
 * @generated
 */
@Entity
public class DokumentImpl extends ZapisImpl implements Dokument {
	/**
	 * The default value of the '{@link #getRedniBrojDokumenta() <em>Redni Broj Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRedniBrojDokumenta()
	 * @generated
	 * @ordered
	 */
	protected static final String REDNI_BROJ_DOKUMENTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRedniBrojDokumenta() <em>Redni Broj Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRedniBrojDokumenta()
	 * @generated
	 * @ordered
	 */
	
	protected String redniBrojDokumenta = REDNI_BROJ_DOKUMENTA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPredmetDokument() <em>Predmet Dokument</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPredmetDokument()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PREDMET_DOKUMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PredmetDokumetImpl predmetDokument;

	/**
	 * The cached value of the '{@link #getStatusDokumenta() <em>Status Dokumenta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStatusDokumenta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STATUS_DOKUMENTA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected StatusDokumentaImpl statusDokumenta;

	/**
	 * The cached value of the '{@link #getOrgJedinica() <em>Org Jedinica</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOrgJedinica()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ORG_JEDINICA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected OrgJedinicaImpl orgJedinica;

	/**
	 * The default value of the '{@link #getOznakaDokumenta() <em>Oznaka Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOznakaDokumenta()
	 * @generated
	 * @ordered
	 */
	protected static final String OZNAKA_DOKUMENTA_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getOznakaDokumenta() <em>Oznaka Dokumenta</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOznakaDokumenta()
	 * @generated
	 * @ordered
	 */
	protected String oznakaDokumenta = OZNAKA_DOKUMENTA_EDEFAULT;

	/**
	 * The cached value of the '{@link #getVrstaDokumentaPredmetaAkta() <em>Vrsta Dokumenta Predmeta Akta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaDokumentaPredmetaAkta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_DOKUMENTA_PREDMETA_AKTA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VrstaDokumentaPredmetaAktaImpl vrstaDokumentaPredmetaAkta;

	/**
	 * The cached value of the '{@link #getDogadjaj() <em>DogadjajImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDogadjaj()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<DogadjajImpl> dogadjaj;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="EVIDENCIJA_DOGADJAJA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected EvidencijaDogadjajaImpl vezaniDogadjaj;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PATROLNI_NALOG_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected PatrolniNalogImpl vezaniPatrolniNalog;
	
	

	public EvidencijaDogadjajaImpl getVezaniDogadjaj() {
		return vezaniDogadjaj;
	}

	public void setVezaniDogadjaj(EvidencijaDogadjajaImpl vezaniDogadjaj) {
		this.vezaniDogadjaj = vezaniDogadjaj;
	}

	public PatrolniNalogImpl getVezaniPatrolniNalog() {
		return vezaniPatrolniNalog;
	}

	public void setVezaniPatrolniNalog(PatrolniNalogImpl vezaniPatrolniNalog) {
		this.vezaniPatrolniNalog = vezaniPatrolniNalog;
	}

	/**
	 * The cached value of the '{@link #getRedniBrojVrsteDokumenta() <em>Redni Broj Vrste Dokumenta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRedniBrojVrsteDokumenta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="REDNI_BROJ_DOKUMENTA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected RedniBrojDokumentaImpl redniBrojVrsteDokumenta;

	/**
	 * The cached value of the '{@link #getFajl() <em>Fajl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFajl()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="FILE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<FileImpl> fajl;

	/**
	 * The default value of the '{@link #isArhivirano() <em>Arhivirano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isArhivirano()
	 * @generated
	 * @ordered
	 */
	protected static final boolean ARHIVIRANO_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isArhivirano() <em>Arhivirano</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isArhivirano()
	 * @generated
	 * @ordered
	 */
	protected boolean arhivirano = ARHIVIRANO_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	 @JoinColumn(name="PRIOG_ID", unique= true, nullable=true, insertable=true, updatable=true)
	public PrilogImpl prilog;
	
	public PrilogImpl getPrilog() {
		return prilog;
	}

	public void setPrilog(PrilogImpl prilog) {
		this.prilog = prilog;
	}
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	 @JoinColumn(name="OBRAZAC_ID", unique= true, nullable=true, insertable=true, updatable=true)
	public ObrasciImpl obrazac;
	
	

	public ObrasciImpl getObrazac() {
		return obrazac;
	}

	public void setObrazac(ObrasciImpl obrazac) {
		this.obrazac = obrazac;
	}
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PODVRSTA_DOKUMENTA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	public PodvrstaDokumentaImpl podvrstaDokumenta;

	public PodvrstaDokumentaImpl getPodvrstaDokumenta() {
		return podvrstaDokumenta;
	}

	public void setPodvrstaDokumenta(PodvrstaDokumentaImpl podvrstaDokumenta) {
		this.podvrstaDokumenta = podvrstaDokumenta;
	}

	public DokumentImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getDokument();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getRedniBrojDokumenta() {
		return redniBrojDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRedniBrojDokumenta(String newRedniBrojDokumenta) {
		String oldRedniBrojDokumenta = redniBrojDokumenta;
		redniBrojDokumenta = newRedniBrojDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__REDNI_BROJ_DOKUMENTA, oldRedniBrojDokumenta, redniBrojDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PredmetDokumetImpl getPredmetDokument() {
		if (predmetDokument != null && predmetDokument.eIsProxy()) {
			InternalEObject oldPredmetDokument = (InternalEObject)predmetDokument;
			predmetDokument = (PredmetDokumetImpl)eResolveProxy(oldPredmetDokument);
			if (predmetDokument != oldPredmetDokument) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT, oldPredmetDokument, predmetDokument));
			}
		}
		return predmetDokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PredmetDokumetImpl basicGetPredmetDokument() {
		return predmetDokument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPredmetDokument(PredmetDokumetImpl newPredmetDokument) {
		PredmetDokumetImpl oldPredmetDokument = predmetDokument;
		predmetDokument = newPredmetDokument;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT, oldPredmetDokument, predmetDokument));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusDokumentaImpl getStatusDokumenta() {
		if (statusDokumenta != null && statusDokumenta.eIsProxy()) {
			InternalEObject oldStatusDokumenta = (InternalEObject)statusDokumenta;
			statusDokumenta = (StatusDokumentaImpl)eResolveProxy(oldStatusDokumenta);
			if (statusDokumenta != oldStatusDokumenta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA, oldStatusDokumenta, statusDokumenta));
			}
		}
		return statusDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusDokumentaImpl basicGetStatusDokumenta() {
		return statusDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStatusDokumenta(StatusDokumentaImpl newStatusDokumenta) {
		StatusDokumentaImpl oldStatusDokumenta = statusDokumenta;
		statusDokumenta = newStatusDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA, oldStatusDokumenta, statusDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl getOrgJedinica() {
		if (orgJedinica != null && orgJedinica.eIsProxy()) {
			InternalEObject oldOrgJedinica = (InternalEObject)orgJedinica;
			orgJedinica = (OrgJedinicaImpl)eResolveProxy(oldOrgJedinica);
			if (orgJedinica != oldOrgJedinica) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOKUMENT__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
			}
		}
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrgJedinicaImpl basicGetOrgJedinica() {
		return orgJedinica;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOrgJedinica(OrgJedinicaImpl newOrgJedinica) {
		OrgJedinicaImpl oldOrgJedinica = orgJedinica;
		orgJedinica = newOrgJedinica;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__ORG_JEDINICA, oldOrgJedinica, orgJedinica));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getOznakaDokumenta() {
		return oznakaDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setOznakaDokumenta(String newOznakaDokumenta) {
		String oldOznakaDokumenta = oznakaDokumenta;
		oznakaDokumenta = newOznakaDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__OZNAKA_DOKUMENTA, oldOznakaDokumenta, oznakaDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDokumentaPredmetaAktaImpl getVrstaDokumentaPredmetaAkta() {
		if (vrstaDokumentaPredmetaAkta != null && vrstaDokumentaPredmetaAkta.eIsProxy()) {
			InternalEObject oldVrstaDokumentaPredmetaAkta = (InternalEObject)vrstaDokumentaPredmetaAkta;
			vrstaDokumentaPredmetaAkta = (VrstaDokumentaPredmetaAktaImpl)eResolveProxy(oldVrstaDokumentaPredmetaAkta);
			if (vrstaDokumentaPredmetaAkta != oldVrstaDokumentaPredmetaAkta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA, oldVrstaDokumentaPredmetaAkta, vrstaDokumentaPredmetaAkta));
			}
		}
		return vrstaDokumentaPredmetaAkta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaDokumentaPredmetaAktaImpl basicGetVrstaDokumentaPredmetaAkta() {
		return vrstaDokumentaPredmetaAkta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaDokumentaPredmetaAkta(VrstaDokumentaPredmetaAktaImpl newVrstaDokumentaPredmetaAkta) {
		VrstaDokumentaPredmetaAktaImpl oldVrstaDokumentaPredmetaAkta = vrstaDokumentaPredmetaAkta;
		vrstaDokumentaPredmetaAkta = newVrstaDokumentaPredmetaAkta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA, oldVrstaDokumentaPredmetaAkta, vrstaDokumentaPredmetaAkta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<DogadjajImpl> getDogadjaj() {
		if (dogadjaj == null) {
			dogadjaj = new ArrayList<DogadjajImpl>();
		}
		return dogadjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RedniBrojDokumentaImpl getRedniBrojVrsteDokumenta() {
		if (redniBrojVrsteDokumenta != null && redniBrojVrsteDokumenta.eIsProxy()) {
			InternalEObject oldRedniBrojVrsteDokumenta = (InternalEObject)redniBrojVrsteDokumenta;
			redniBrojVrsteDokumenta = (RedniBrojDokumentaImpl)eResolveProxy(oldRedniBrojVrsteDokumenta);
			if (redniBrojVrsteDokumenta != oldRedniBrojVrsteDokumenta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA, oldRedniBrojVrsteDokumenta, redniBrojVrsteDokumenta));
			}
		}
		return redniBrojVrsteDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RedniBrojDokumentaImpl basicGetRedniBrojVrsteDokumenta() {
		return redniBrojVrsteDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRedniBrojVrsteDokumenta(RedniBrojDokumentaImpl newRedniBrojVrsteDokumenta) {
		RedniBrojDokumentaImpl oldRedniBrojVrsteDokumenta = redniBrojVrsteDokumenta;
		redniBrojVrsteDokumenta = newRedniBrojVrsteDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA, oldRedniBrojVrsteDokumenta, redniBrojVrsteDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<FileImpl> getFajl() {
		if (fajl == null) {
			fajl = new ArrayList<FileImpl>();;
		}
		return fajl;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isArhivirano() {
		return arhivirano;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setArhivirano(boolean newArhivirano) {
		boolean oldArhivirano = arhivirano;
		arhivirano = newArhivirano;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.DOKUMENT__ARHIVIRANO, oldArhivirano, arhivirano));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_DOKUMENTA:
				return getRedniBrojDokumenta();
			case PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT:
				if (resolve) return getPredmetDokument();
				return basicGetPredmetDokument();
			case PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA:
				if (resolve) return getStatusDokumenta();
				return basicGetStatusDokumenta();
			case PbdmodelPackage.DOKUMENT__ORG_JEDINICA:
				if (resolve) return getOrgJedinica();
				return basicGetOrgJedinica();
			case PbdmodelPackage.DOKUMENT__OZNAKA_DOKUMENTA:
				return getOznakaDokumenta();
			case PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA:
				if (resolve) return getVrstaDokumentaPredmetaAkta();
				return basicGetVrstaDokumentaPredmetaAkta();
			case PbdmodelPackage.DOKUMENT__DOGADJAJ:
				return getDogadjaj();
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA:
				if (resolve) return getRedniBrojVrsteDokumenta();
				return basicGetRedniBrojVrsteDokumenta();
			case PbdmodelPackage.DOKUMENT__FAJL:
				return getFajl();
			case PbdmodelPackage.DOKUMENT__ARHIVIRANO:
				return isArhivirano();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_DOKUMENTA:
				setRedniBrojDokumenta((String)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT:
				setPredmetDokument((PredmetDokumetImpl)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA:
				setStatusDokumenta((StatusDokumentaImpl)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__OZNAKA_DOKUMENTA:
				setOznakaDokumenta((String)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA:
				setVrstaDokumentaPredmetaAkta((VrstaDokumentaPredmetaAktaImpl)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__DOGADJAJ:
				getDogadjaj().clear();
				getDogadjaj().addAll((Collection<? extends DogadjajImpl>)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA:
				setRedniBrojVrsteDokumenta((RedniBrojDokumentaImpl)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__FAJL:
				getFajl().clear();
				getFajl().addAll((Collection<? extends FileImpl>)newValue);
				return;
			case PbdmodelPackage.DOKUMENT__ARHIVIRANO:
				setArhivirano((Boolean)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_DOKUMENTA:
				setRedniBrojDokumenta(REDNI_BROJ_DOKUMENTA_EDEFAULT);
				return;
			case PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT:
				setPredmetDokument((PredmetDokumetImpl)null);
				return;
			case PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA:
				setStatusDokumenta((StatusDokumentaImpl)null);
				return;
			case PbdmodelPackage.DOKUMENT__ORG_JEDINICA:
				setOrgJedinica((OrgJedinicaImpl)null);
				return;
			case PbdmodelPackage.DOKUMENT__OZNAKA_DOKUMENTA:
				setOznakaDokumenta(OZNAKA_DOKUMENTA_EDEFAULT);
				return;
			case PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA:
				setVrstaDokumentaPredmetaAkta((VrstaDokumentaPredmetaAktaImpl)null);
				return;
			case PbdmodelPackage.DOKUMENT__DOGADJAJ:
				getDogadjaj().clear();
				return;
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA:
				setRedniBrojVrsteDokumenta((RedniBrojDokumentaImpl)null);
				return;
			case PbdmodelPackage.DOKUMENT__FAJL:
				getFajl().clear();
				return;
			case PbdmodelPackage.DOKUMENT__ARHIVIRANO:
				setArhivirano(ARHIVIRANO_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_DOKUMENTA:
				return REDNI_BROJ_DOKUMENTA_EDEFAULT == null ? redniBrojDokumenta != null : !REDNI_BROJ_DOKUMENTA_EDEFAULT.equals(redniBrojDokumenta);
			case PbdmodelPackage.DOKUMENT__PREDMET_DOKUMENT:
				return predmetDokument != null;
			case PbdmodelPackage.DOKUMENT__STATUS_DOKUMENTA:
				return statusDokumenta != null;
			case PbdmodelPackage.DOKUMENT__ORG_JEDINICA:
				return orgJedinica != null;
			case PbdmodelPackage.DOKUMENT__OZNAKA_DOKUMENTA:
				return OZNAKA_DOKUMENTA_EDEFAULT == null ? oznakaDokumenta != null : !OZNAKA_DOKUMENTA_EDEFAULT.equals(oznakaDokumenta);
			case PbdmodelPackage.DOKUMENT__VRSTA_DOKUMENTA_PREDMETA_AKTA:
				return vrstaDokumentaPredmetaAkta != null;
			case PbdmodelPackage.DOKUMENT__DOGADJAJ:
				return dogadjaj != null && !dogadjaj.isEmpty();
			case PbdmodelPackage.DOKUMENT__REDNI_BROJ_VRSTE_DOKUMENTA:
				return redniBrojVrsteDokumenta != null;
			case PbdmodelPackage.DOKUMENT__FAJL:
				return fajl != null && !fajl.isEmpty();
			case PbdmodelPackage.DOKUMENT__ARHIVIRANO:
				return arhivirano != ARHIVIRANO_EDEFAULT;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (redniBrojDokumenta: ");
		result.append(redniBrojDokumenta);
		result.append(", oznakaDokumenta: ");
		result.append(oznakaDokumenta);
		result.append(", arhivirano: ");
		result.append(arhivirano);
		result.append(')');
		return result.toString();
	}

} //DokumentImpl
