/**
 */
package pbdmodel.impl;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.Evidencije;
import pbdmodel.PbdmodelPackage;



/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Evidencije</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.EvidencijeImpl#getIDEvidencije <em>ID Evidencije</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijeImpl#getIzvorDokumenta <em>Izvor Dokumenta</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijeImpl#getVrstaUlazaEvidencije <em>Vrsta Ulaza Evidencije</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijeImpl#getStatusZapisa <em>Status Zapisa</em>}</li>
 *   <li>{@link pbdmodel.impl.EvidencijeImpl#getDogadjaj <em>DogadjajImpl</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
@SequenceGenerator(name="EvidencijeImpl_SEQ", allocationSize=1, initialValue=1)
public class EvidencijeImpl extends ZapisImpl implements Evidencije {
	/**
	 * The default value of the '{@link #getIDEvidencije() <em>ID Evidencije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencije()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_EVIDENCIJE_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIDEvidencije() <em>ID Evidencije</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIDEvidencije()
	 * @generated
	 * @ordered
	 */
	@GeneratedValue(strategy=GenerationType.AUTO, generator="EvidencijeImpl_SEQ")
	protected long iDEvidencije = ID_EVIDENCIJE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getIzvorDokumenta() <em>Izvor Dokumenta</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIzvorDokumenta()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="IZVOR_PODATAKA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected IzvorPodatakaImpl izvorDokumenta;

	/**
	 * The cached value of the '{@link #getVrstaUlazaEvidencije() <em>Vrsta Ulaza Evidencije</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaUlazaEvidencije()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_ULAZA_U_EVIDENCIJU_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaUlazaUEvidencijuImpl vrstaUlazaEvidencije;

	/**
	 * The cached value of the '{@link #getStatusZapisa() <em>Status Zapisa</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStatusZapisa()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STATUS_ZAPISA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected StatusZapisaImpl statusZapisa;

	/**
	 * The cached value of the '{@link #getDogadjaj() <em>DogadjajImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDogadjaj()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected DogadjajImpl dogadjaj;

	public DogadjajImpl getDogadjaj() {
		return dogadjaj;
	}

	public void setDogadjaj(DogadjajImpl dogadjaj) {
		this.dogadjaj = dogadjaj;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EvidencijeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getEvidencije();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getIDEvidencije() {
		return iDEvidencije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIDEvidencije(long newIDEvidencije) {
		long oldIDEvidencije = iDEvidencije;
		iDEvidencije = newIDEvidencije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJE__ID_EVIDENCIJE, oldIDEvidencije, iDEvidencije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IzvorPodatakaImpl getIzvorDokumenta() {
		if (izvorDokumenta != null && izvorDokumenta.eIsProxy()) {
			InternalEObject oldIzvorDokumenta = (InternalEObject)izvorDokumenta;
			izvorDokumenta = (IzvorPodatakaImpl)eResolveProxy(oldIzvorDokumenta);
			if (izvorDokumenta != oldIzvorDokumenta) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA, oldIzvorDokumenta, izvorDokumenta));
			}
		}
		return izvorDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IzvorPodatakaImpl basicGetIzvorDokumenta() {
		return izvorDokumenta;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setIzvorDokumenta(IzvorPodatakaImpl newIzvorDokumenta) {
		IzvorPodatakaImpl oldIzvorDokumenta = izvorDokumenta;
		izvorDokumenta = newIzvorDokumenta;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA, oldIzvorDokumenta, izvorDokumenta));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaUlazaUEvidencijuImpl getVrstaUlazaEvidencije() {
		if (vrstaUlazaEvidencije != null && vrstaUlazaEvidencije.eIsProxy()) {
			InternalEObject oldVrstaUlazaEvidencije = (InternalEObject)vrstaUlazaEvidencije;
			vrstaUlazaEvidencije = (VrstaUlazaUEvidencijuImpl)eResolveProxy(oldVrstaUlazaEvidencije);
			if (vrstaUlazaEvidencije != oldVrstaUlazaEvidencije) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE, oldVrstaUlazaEvidencije, vrstaUlazaEvidencije));
			}
		}
		return vrstaUlazaEvidencije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaUlazaUEvidencijuImpl basicGetVrstaUlazaEvidencije() {
		return vrstaUlazaEvidencije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaUlazaEvidencije(VrstaUlazaUEvidencijuImpl newVrstaUlazaEvidencije) {
		VrstaUlazaUEvidencijuImpl oldVrstaUlazaEvidencije = vrstaUlazaEvidencije;
		vrstaUlazaEvidencije = newVrstaUlazaEvidencije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE, oldVrstaUlazaEvidencije, vrstaUlazaEvidencije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusZapisaImpl getStatusZapisa() {
		if (statusZapisa != null && statusZapisa.eIsProxy()) {
			InternalEObject oldStatusZapisa = (InternalEObject)statusZapisa;
			statusZapisa = (StatusZapisaImpl)eResolveProxy(oldStatusZapisa);
			if (statusZapisa != oldStatusZapisa) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA, oldStatusZapisa, statusZapisa));
			}
		}
		return statusZapisa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusZapisaImpl basicGetStatusZapisa() {
		return statusZapisa;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStatusZapisa(StatusZapisaImpl newStatusZapisa) {
		StatusZapisaImpl oldStatusZapisa = statusZapisa;
		statusZapisa = newStatusZapisa;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA, oldStatusZapisa, statusZapisa));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJE__ID_EVIDENCIJE:
				return getIDEvidencije();
			case PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA:
				if (resolve) return getIzvorDokumenta();
				return basicGetIzvorDokumenta();
			case PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE:
				if (resolve) return getVrstaUlazaEvidencije();
				return basicGetVrstaUlazaEvidencije();
			case PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA:
				if (resolve) return getStatusZapisa();
				return basicGetStatusZapisa();
//			case PbdmodelPackage.EVIDENCIJE__DOGADJAJ:
//				if (resolve) return getDogadjaj();
//				return basicGetDogadjaj();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJE__ID_EVIDENCIJE:
				setIDEvidencije((Long)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA:
				setIzvorDokumenta((IzvorPodatakaImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE:
				setVrstaUlazaEvidencije((VrstaUlazaUEvidencijuImpl)newValue);
				return;
			case PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA:
				setStatusZapisa((StatusZapisaImpl)newValue);
				return;
//			case PbdmodelPackage.EVIDENCIJE__DOGADJAJ:
//				setDogadjaj((DogadjajImpl)newValue);
//				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJE__ID_EVIDENCIJE:
				setIDEvidencije(ID_EVIDENCIJE_EDEFAULT);
				return;
			case PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA:
				setIzvorDokumenta((IzvorPodatakaImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE:
				setVrstaUlazaEvidencije((VrstaUlazaUEvidencijuImpl)null);
				return;
			case PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA:
				setStatusZapisa((StatusZapisaImpl)null);
				return;
//			case PbdmodelPackage.EVIDENCIJE__DOGADJAJ:
//				setDogadjaj((DogadjajImpl)null);
//				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.EVIDENCIJE__ID_EVIDENCIJE:
				return iDEvidencije != ID_EVIDENCIJE_EDEFAULT;
			case PbdmodelPackage.EVIDENCIJE__IZVOR_DOKUMENTA:
				return izvorDokumenta != null;
			case PbdmodelPackage.EVIDENCIJE__VRSTA_ULAZA_EVIDENCIJE:
				return vrstaUlazaEvidencije != null;
			case PbdmodelPackage.EVIDENCIJE__STATUS_ZAPISA:
				return statusZapisa != null;
			case PbdmodelPackage.EVIDENCIJE__DOGADJAJ:
				return dogadjaj != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (iDEvidencije: ");
		result.append(iDEvidencije);
		result.append(')');
		return result.toString();
	}

} //EvidencijeImpl
