/**
 */
package pbdmodel.impl;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.Folder;
import pbdmodel.PbdmodelPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Folder</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.FolderImpl#getFileCount <em>File Count</em>}</li>
 *   <li>{@link pbdmodel.impl.FolderImpl#isRootFolder <em>Root Folder</em>}</li>
 *   <li>{@link pbdmodel.impl.FolderImpl#getParentFolder <em>Parent Folder</em>}</li>
 *   <li>{@link pbdmodel.impl.FolderImpl#getFolderMetadata <em>Folder Metadata</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class FolderImpl extends ZapisImpl implements Folder {
	/**
	 * The default value of the '{@link #getFileCount() <em>File Count</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileCount()
	 * @generated
	 * @ordered
	 */
	protected static final long FILE_COUNT_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getFileCount() <em>File Count</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFileCount()
	 * @generated
	 * @ordered
	 */
	protected long fileCount = FILE_COUNT_EDEFAULT; 

	/**
	 * The default value of the '{@link #isRootFolder() <em>Root Folder</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRootFolder()
	 * @generated
	 * @ordered
	 */
	protected static final boolean ROOT_FOLDER_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRootFolder() <em>Root Folder</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRootFolder()
	 * @generated
	 * @ordered
	 */
	protected boolean rootFolder = ROOT_FOLDER_EDEFAULT;

	/**
	 * The default value of the '{@link #getParentFolder() <em>Parent Folder</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getParentFolder()
	 * @generated
	 * @ordered
	 */
	protected static final String PARENT_FOLDER_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getParentFolder() <em>Parent Folder</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getParentFolder()
	 * @generated
	 * @ordered
	 */
	protected String parentFolder = PARENT_FOLDER_EDEFAULT;

	/**
	 * The cached value of the '{@link #getFolderMetadata() <em>Folder Metadata</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFolderMetadata()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="FOLDER_METADATA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected FolderMetadataImpl folderMetadata;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FolderImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getFolder();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getFileCount() {
		return fileCount;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFileCount(long newFileCount) {
		long oldFileCount = fileCount;
		fileCount = newFileCount;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.FOLDER__FILE_COUNT, oldFileCount, fileCount));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRootFolder() {
		return rootFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRootFolder(boolean newRootFolder) {
		boolean oldRootFolder = rootFolder;
		rootFolder = newRootFolder;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.FOLDER__ROOT_FOLDER, oldRootFolder, rootFolder));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getParentFolder() {
		return parentFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentFolder(String newParentFolder) {
		String oldParentFolder = parentFolder;
		parentFolder = newParentFolder;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.FOLDER__PARENT_FOLDER, oldParentFolder, parentFolder));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FolderMetadataImpl getFolderMetadata() {
		if (folderMetadata != null && folderMetadata.eIsProxy()) {
			InternalEObject oldFolderMetadata = (InternalEObject)folderMetadata;
			folderMetadata = (FolderMetadataImpl)eResolveProxy(oldFolderMetadata);
			if (folderMetadata != oldFolderMetadata) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.FOLDER__FOLDER_METADATA, oldFolderMetadata, folderMetadata));
			}
		}
		return folderMetadata;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FolderMetadataImpl basicGetFolderMetadata() {
		return folderMetadata;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFolderMetadata(FolderMetadataImpl newFolderMetadata) {
		FolderMetadataImpl oldFolderMetadata = folderMetadata;
		folderMetadata = newFolderMetadata;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.FOLDER__FOLDER_METADATA, oldFolderMetadata, folderMetadata));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.FOLDER__FILE_COUNT:
				return getFileCount();
			case PbdmodelPackage.FOLDER__ROOT_FOLDER:
				return isRootFolder();
			case PbdmodelPackage.FOLDER__PARENT_FOLDER:
				return getParentFolder();
			case PbdmodelPackage.FOLDER__FOLDER_METADATA:
				if (resolve) return getFolderMetadata();
				return basicGetFolderMetadata();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.FOLDER__FILE_COUNT:
				setFileCount((Long)newValue);
				return;
			case PbdmodelPackage.FOLDER__ROOT_FOLDER:
				setRootFolder((Boolean)newValue);
				return;
			case PbdmodelPackage.FOLDER__PARENT_FOLDER:
				setParentFolder((String)newValue);
				return;
			case PbdmodelPackage.FOLDER__FOLDER_METADATA:
				setFolderMetadata((FolderMetadataImpl)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.FOLDER__FILE_COUNT:
				setFileCount(FILE_COUNT_EDEFAULT);
				return;
			case PbdmodelPackage.FOLDER__ROOT_FOLDER:
				setRootFolder(ROOT_FOLDER_EDEFAULT);
				return;
			case PbdmodelPackage.FOLDER__PARENT_FOLDER:
				setParentFolder(PARENT_FOLDER_EDEFAULT);
				return;
			case PbdmodelPackage.FOLDER__FOLDER_METADATA:
				setFolderMetadata((FolderMetadataImpl)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.FOLDER__FILE_COUNT:
				return fileCount != FILE_COUNT_EDEFAULT;
			case PbdmodelPackage.FOLDER__ROOT_FOLDER:
				return rootFolder != ROOT_FOLDER_EDEFAULT;
			case PbdmodelPackage.FOLDER__PARENT_FOLDER:
				return PARENT_FOLDER_EDEFAULT == null ? parentFolder != null : !PARENT_FOLDER_EDEFAULT.equals(parentFolder);
			case PbdmodelPackage.FOLDER__FOLDER_METADATA:
				return folderMetadata != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (fileCount: ");
		result.append(fileCount);
		result.append(", rootFolder: ");
		result.append(rootFolder);
		result.append(", parentFolder: ");
		result.append(parentFolder);
		result.append(')');
		return result.toString();
	}

} //FolderImpl
