package pbdmodel.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

@Entity
public class MatricaZadatakaImpl {

	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idMatricaZadataka = 0L;
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	Map<SudionikImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>> sudioniciDokumenti;
	
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	Map<ZaposleniciImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>> sluzbeniciDokumenti;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="DOGADJAJ_ID", unique= true, nullable=true, insertable=true, updatable=true)
	DogadjajImpl dogadjaj;

	public DogadjajImpl getDogadjaj() {
		return dogadjaj;
	}

	public void setDogadjaj(DogadjajImpl dogadjaj) {
		this.dogadjaj = dogadjaj;
	}

	public Map<SudionikImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>> getSudioniciDokumetni() {
		if (sudioniciDokumenti == null) {
			sudioniciDokumenti = new HashMap<SudionikImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>>();
		}
		return sudioniciDokumenti;
	}
	
	public Map<ZaposleniciImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>> getSluzbeniciDokumetni() {
		if (sluzbeniciDokumenti == null) {
			sluzbeniciDokumenti = new HashMap<ZaposleniciImpl, ArrayList<VrstaDokumentaPredmetaAktaImpl>>();
		}
		return sluzbeniciDokumenti;
	}

	public long getIdMatricaZadataka() {
		return idMatricaZadataka;
	}

	public void setIdMatricaZadataka(long idMatricaZadataka) {
		this.idMatricaZadataka = idMatricaZadataka;
	}
	
}
