package pbdmodel.impl;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

@Entity
public class PrekrsajniNalogImpl {

	@Id @GeneratedValue
	protected Long idPrekrsajniNalog = 0L;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SUDIONIK_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected SudionikImpl sudionik;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="MJESTO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected MjestoImpl mjesto;
	
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VOZILO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected VoziloImpl vozilo;
	
	protected String kvalifikacija;
	
	protected String iznosKazne;
	
	protected String serijskiBrojNaloga;
	
	protected String kazneniBodoviIMjere;

	public Long getIdPrekrsajniNalog() {
		return idPrekrsajniNalog;
	}

	public void setIdPrekrsajniNalog(Long idPrekrsajniNalog) {
		this.idPrekrsajniNalog = idPrekrsajniNalog;
	}

	public SudionikImpl getSudionik() {
		return sudionik;
	}

	public void setSudionik(SudionikImpl sudionik) {
		this.sudionik = sudionik;
	}

	public MjestoImpl getMjesto() {
		return mjesto;
	}

	public void setMjesto(MjestoImpl mjesto) {
		this.mjesto = mjesto;
	}

	public VoziloImpl getVozilo() {
		return vozilo;
	}

	public void setVozilo(VoziloImpl vozilo) {
		this.vozilo = vozilo;
	}

	public String getKvalifikacija() {
		return kvalifikacija;
	}

	public void setKvalifikacija(String kvalifikacija) {
		this.kvalifikacija = kvalifikacija;
	}

	public String getIznosKazne() {
		return iznosKazne;
	}

	public void setIznosKazne(String iznosKazne) {
		this.iznosKazne = iznosKazne;
	}

	public String getSerijskiBrojNaloga() {
		return serijskiBrojNaloga;
	}

	public void setSerijskiBrojNaloga(String serijskiBrojNaloga) {
		this.serijskiBrojNaloga = serijskiBrojNaloga;
	}

	public String getKazneniBodoviIMjere() {
		return kazneniBodoviIMjere;
	}

	public void setKazneniBodoviIMjere(String kazneniBodoviIMjere) {
		this.kazneniBodoviIMjere = kazneniBodoviIMjere;
	}
	
	
	
}
