/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.Task;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Task</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.TaskImpl#getStartDate <em>Start Date</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getDueDate <em>Due Date</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getReminderDate <em>Reminder Date</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getStartedDate <em>Started Date</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getFinishedDate <em>Finished Date</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getPriority <em>PriorityImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getTaskStatusType <em>Task Status Type</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getAssigment <em>AssigmentImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getVrstaTaska <em>Vrsta Taska</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getProcessId <em>Process Id</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getInstanceId <em>Instance Id</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getTaskId <em>Task Id</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getProcesiKomponenteAplikacije <em>ProcesiImpl Komponente Aplikacije</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getProcesi <em>ProcesiImpl</em>}</li>
 *   <li>{@link pbdmodel.impl.TaskImpl#getVariables <em>Variables</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class TaskImpl extends ZapisImpl implements Task {
	/**
	 * The default value of the '{@link #getStartDate() <em>Start Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStartDate()
	 * @generated
	 * @ordered
	 */
	protected static final Date START_DATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStartDate() <em>Start Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStartDate()
	 * @generated
	 * @ordered
	 */
	protected Date startDate = START_DATE_EDEFAULT;

	/**
	 * The default value of the '{@link #getDueDate() <em>Due Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDueDate()
	 * @generated
	 * @ordered
	 */
	protected static final Date DUE_DATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDueDate() <em>Due Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDueDate()
	 * @generated
	 * @ordered
	 */
	protected Date dueDate = DUE_DATE_EDEFAULT;

	/**
	 * The default value of the '{@link #getReminderDate() <em>Reminder Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReminderDate()
	 * @generated
	 * @ordered
	 */
	protected static final Date REMINDER_DATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getReminderDate() <em>Reminder Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReminderDate()
	 * @generated
	 * @ordered
	 */
	protected Date reminderDate = REMINDER_DATE_EDEFAULT;

	/**
	 * The default value of the '{@link #getStartedDate() <em>Started Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStartedDate()
	 * @generated
	 * @ordered
	 */
	protected static final Date STARTED_DATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getStartedDate() <em>Started Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStartedDate()
	 * @generated
	 * @ordered
	 */
	protected Date startedDate = STARTED_DATE_EDEFAULT;

	/**
	 * The default value of the '{@link #getFinishedDate() <em>Finished Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFinishedDate()
	 * @generated
	 * @ordered
	 */
	protected static final Date FINISHED_DATE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getFinishedDate() <em>Finished Date</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFinishedDate()
	 * @generated
	 * @ordered
	 */
	protected Date finishedDate = FINISHED_DATE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getPriority() <em>PriorityImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPriority()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PRIORITY_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected PriorityImpl priority;

	/**
	 * The cached value of the '{@link #getTaskStatusType() <em>Task Status Type</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTaskStatusType()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="TASK_STATUS_TYPE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected taskStatusTypeImpl taskStatusTypeImpl;

	/**
	 * The cached value of the '{@link #getAssigment() <em>AssigmentImpl</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAssigment()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ASSIGNMENT_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected List<AssigmentImpl> assigment;

	/**
	 * The cached value of the '{@link #getVrstaTaska() <em>Vrsta Taska</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVrstaTaska()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="VRSTA_TASKA_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected VrstaTaskaImpl vrstaTaska;

	/**
	 * The default value of the '{@link #getProcessId() <em>Process Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getProcessId()
	 * @generated
	 * @ordered
	 */
	protected static final long PROCESS_ID_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getProcessId() <em>Process Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getProcessId()
	 * @generated
	 * @ordered
	 */

	protected long processId = PROCESS_ID_EDEFAULT;

	/**
	 * The default value of the '{@link #getInstanceId() <em>Instance Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getInstanceId()
	 * @generated
	 * @ordered
	 */
	protected static final long INSTANCE_ID_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getInstanceId() <em>Instance Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getInstanceId()
	 * @generated
	 * @ordered
	 */

	protected long instanceId = INSTANCE_ID_EDEFAULT;

	/**
	 * The default value of the '{@link #getTaskId() <em>Task Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTaskId()
	 * @generated
	 * @ordered
	 */
	protected static final long TASK_ID_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getTaskId() <em>Task Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTaskId()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE) 
	protected long taskId = TASK_ID_EDEFAULT;

	/**
	 * The cached value of the '{@link #getProcesiKomponenteAplikacije() <em>ProcesiImpl Komponente Aplikacije</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getProcesiKomponenteAplikacije()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PROCESI_KOMPONENTE_APLIKACIJE_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected ProcesiKomponenteAplikacijeImpl procesiKomponenteAplikacije;

	/**
	 * The cached value of the '{@link #getProcesi() <em>ProcesiImpl</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getProcesi()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PROCESI_ID", unique= true, nullable=true, insertable=true, updatable=true)

	protected ProcesiImpl procesi;

	/**
	 * The default value of the '{@link #getVariables() <em>Variables</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVariables()
	 * @generated
	 * @ordered
	 */
	protected static final String VARIABLES_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getVariables() <em>Variables</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getVariables()
	 * @generated
	 * @ordered
	 */
	protected String variables = VARIABLES_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TaskImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PbdmodelPackage.eINSTANCE.getTask();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getStartDate() {
		return startDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStartDate(Date newStartDate) {
		Date oldStartDate = startDate;
		startDate = newStartDate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__START_DATE, oldStartDate, startDate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getDueDate() {
		return dueDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDueDate(Date newDueDate) {
		Date oldDueDate = dueDate;
		dueDate = newDueDate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__DUE_DATE, oldDueDate, dueDate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getReminderDate() {
		return reminderDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setReminderDate(Date newReminderDate) {
		Date oldReminderDate = reminderDate;
		reminderDate = newReminderDate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__REMINDER_DATE, oldReminderDate, reminderDate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getStartedDate() {
		return startedDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStartedDate(Date newStartedDate) {
		Date oldStartedDate = startedDate;
		startedDate = newStartedDate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__STARTED_DATE, oldStartedDate, startedDate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Date getFinishedDate() {
		return finishedDate;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFinishedDate(Date newFinishedDate) {
		Date oldFinishedDate = finishedDate;
		finishedDate = newFinishedDate;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__FINISHED_DATE, oldFinishedDate, finishedDate));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PriorityImpl getPriority() {
		if (priority != null && priority.eIsProxy()) {
			InternalEObject oldPriority = (InternalEObject)priority;
			priority = (PriorityImpl)eResolveProxy(oldPriority);
			if (priority != oldPriority) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.TASK__PRIORITY, oldPriority, priority));
			}
		}
		return priority;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PriorityImpl basicGetPriority() {
		return priority;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPriority(PriorityImpl newPriority) {
		PriorityImpl oldPriority = priority;
		priority = newPriority;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__PRIORITY, oldPriority, priority));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public taskStatusTypeImpl getTaskStatusType() {
		if (taskStatusTypeImpl != null && taskStatusTypeImpl.eIsProxy()) {
			InternalEObject oldTaskStatusType = (InternalEObject)taskStatusTypeImpl;
			taskStatusTypeImpl = (taskStatusTypeImpl)eResolveProxy(oldTaskStatusType);
			if (taskStatusTypeImpl != oldTaskStatusType) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.TASK__TASK_STATUS_TYPE, oldTaskStatusType, taskStatusTypeImpl));
			}
		}
		return taskStatusTypeImpl;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public taskStatusTypeImpl basicGetTaskStatusType() {
		return taskStatusTypeImpl;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTaskStatusType(taskStatusTypeImpl newTaskStatusType) {
		taskStatusTypeImpl oldTaskStatusType = taskStatusTypeImpl;
		taskStatusTypeImpl = newTaskStatusType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__TASK_STATUS_TYPE, oldTaskStatusType, taskStatusTypeImpl));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List<AssigmentImpl> getAssigment() {
		if (assigment == null) {
			assigment = new ArrayList<AssigmentImpl>();
		}
		return assigment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaTaskaImpl getVrstaTaska() {
		if (vrstaTaska != null && vrstaTaska.eIsProxy()) {
			InternalEObject oldVrstaTaska = (InternalEObject)vrstaTaska;
			vrstaTaska = (VrstaTaskaImpl)eResolveProxy(oldVrstaTaska);
			if (vrstaTaska != oldVrstaTaska) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.TASK__VRSTA_TASKA, oldVrstaTaska, vrstaTaska));
			}
		}
		return vrstaTaska;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VrstaTaskaImpl basicGetVrstaTaska() {
		return vrstaTaska;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVrstaTaska(VrstaTaskaImpl newVrstaTaska) {
		VrstaTaskaImpl oldVrstaTaska = vrstaTaska;
		vrstaTaska = newVrstaTaska;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__VRSTA_TASKA, oldVrstaTaska, vrstaTaska));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getProcessId() {
		return processId;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setProcessId(long newProcessId) {
		long oldProcessId = processId;
		processId = newProcessId;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__PROCESS_ID, oldProcessId, processId));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getInstanceId() {
		return instanceId;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setInstanceId(long newInstanceId) {
		long oldInstanceId = instanceId;
		instanceId = newInstanceId;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__INSTANCE_ID, oldInstanceId, instanceId));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public long getTaskId() {
		return taskId;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTaskId(long newTaskId) {
		long oldTaskId = taskId;
		taskId = newTaskId;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__TASK_ID, oldTaskId, taskId));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcesiKomponenteAplikacijeImpl getProcesiKomponenteAplikacije() {
		if (procesiKomponenteAplikacije != null && procesiKomponenteAplikacije.eIsProxy()) {
			InternalEObject oldProcesiKomponenteAplikacije = (InternalEObject)procesiKomponenteAplikacije;
			procesiKomponenteAplikacije = (ProcesiKomponenteAplikacijeImpl)eResolveProxy(oldProcesiKomponenteAplikacije);
			if (procesiKomponenteAplikacije != oldProcesiKomponenteAplikacije) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE, oldProcesiKomponenteAplikacije, procesiKomponenteAplikacije));
			}
		}
		return procesiKomponenteAplikacije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcesiKomponenteAplikacijeImpl basicGetProcesiKomponenteAplikacije() {
		return procesiKomponenteAplikacije;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setProcesiKomponenteAplikacije(ProcesiKomponenteAplikacijeImpl newProcesiKomponenteAplikacije) {
		ProcesiKomponenteAplikacijeImpl oldProcesiKomponenteAplikacije = procesiKomponenteAplikacije;
		procesiKomponenteAplikacije = newProcesiKomponenteAplikacije;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE, oldProcesiKomponenteAplikacije, procesiKomponenteAplikacije));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcesiImpl getProcesi() {
		if (procesi != null && procesi.eIsProxy()) {
			InternalEObject oldProcesi = (InternalEObject)procesi;
			procesi = (ProcesiImpl)eResolveProxy(oldProcesi);
			if (procesi != oldProcesi) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PbdmodelPackage.TASK__PROCESI, oldProcesi, procesi));
			}
		}
		return procesi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProcesiImpl basicGetProcesi() {
		return procesi;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setProcesi(ProcesiImpl newProcesi) {
		ProcesiImpl oldProcesi = procesi;
		procesi = newProcesi;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__PROCESI, oldProcesi, procesi));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getVariables() {
		return variables;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setVariables(String newVariables) {
		String oldVariables = variables;
		variables = newVariables;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PbdmodelPackage.TASK__VARIABLES, oldVariables, variables));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PbdmodelPackage.TASK__START_DATE:
				return getStartDate();
			case PbdmodelPackage.TASK__DUE_DATE:
				return getDueDate();
			case PbdmodelPackage.TASK__REMINDER_DATE:
				return getReminderDate();
			case PbdmodelPackage.TASK__STARTED_DATE:
				return getStartedDate();
			case PbdmodelPackage.TASK__FINISHED_DATE:
				return getFinishedDate();
			case PbdmodelPackage.TASK__PRIORITY:
				if (resolve) return getPriority();
				return basicGetPriority();
			case PbdmodelPackage.TASK__TASK_STATUS_TYPE:
				if (resolve) return getTaskStatusType();
				return basicGetTaskStatusType();
			case PbdmodelPackage.TASK__ASSIGMENT:
				return getAssigment();
			case PbdmodelPackage.TASK__VRSTA_TASKA:
				if (resolve) return getVrstaTaska();
				return basicGetVrstaTaska();
			case PbdmodelPackage.TASK__PROCESS_ID:
				return getProcessId();
			case PbdmodelPackage.TASK__INSTANCE_ID:
				return getInstanceId();
			case PbdmodelPackage.TASK__TASK_ID:
				return getTaskId();
			case PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE:
				if (resolve) return getProcesiKomponenteAplikacije();
				return basicGetProcesiKomponenteAplikacije();
			case PbdmodelPackage.TASK__PROCESI:
				if (resolve) return getProcesi();
				return basicGetProcesi();
			case PbdmodelPackage.TASK__VARIABLES:
				return getVariables();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PbdmodelPackage.TASK__START_DATE:
				setStartDate((Date)newValue);
				return;
			case PbdmodelPackage.TASK__DUE_DATE:
				setDueDate((Date)newValue);
				return;
			case PbdmodelPackage.TASK__REMINDER_DATE:
				setReminderDate((Date)newValue);
				return;
			case PbdmodelPackage.TASK__STARTED_DATE:
				setStartedDate((Date)newValue);
				return;
			case PbdmodelPackage.TASK__FINISHED_DATE:
				setFinishedDate((Date)newValue);
				return;
			case PbdmodelPackage.TASK__PRIORITY:
				setPriority((PriorityImpl)newValue);
				return;
			case PbdmodelPackage.TASK__TASK_STATUS_TYPE:
				setTaskStatusType((taskStatusTypeImpl)newValue);
				return;
			case PbdmodelPackage.TASK__ASSIGMENT:
				getAssigment().clear();
				getAssigment().addAll((Collection<? extends AssigmentImpl>)newValue);
				return;
			case PbdmodelPackage.TASK__VRSTA_TASKA:
				setVrstaTaska((VrstaTaskaImpl)newValue);
				return;
			case PbdmodelPackage.TASK__PROCESS_ID:
				setProcessId((Long)newValue);
				return;
			case PbdmodelPackage.TASK__INSTANCE_ID:
				setInstanceId((Long)newValue);
				return;
			case PbdmodelPackage.TASK__TASK_ID:
				setTaskId((Long)newValue);
				return;
			case PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE:
				setProcesiKomponenteAplikacije((ProcesiKomponenteAplikacijeImpl)newValue);
				return;
			case PbdmodelPackage.TASK__PROCESI:
				setProcesi((ProcesiImpl)newValue);
				return;
			case PbdmodelPackage.TASK__VARIABLES:
				setVariables((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.TASK__START_DATE:
				setStartDate(START_DATE_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__DUE_DATE:
				setDueDate(DUE_DATE_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__REMINDER_DATE:
				setReminderDate(REMINDER_DATE_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__STARTED_DATE:
				setStartedDate(STARTED_DATE_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__FINISHED_DATE:
				setFinishedDate(FINISHED_DATE_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__PRIORITY:
				setPriority((PriorityImpl)null);
				return;
			case PbdmodelPackage.TASK__TASK_STATUS_TYPE:
				setTaskStatusType((taskStatusTypeImpl)null);
				return;
			case PbdmodelPackage.TASK__ASSIGMENT:
				getAssigment().clear();
				return;
			case PbdmodelPackage.TASK__VRSTA_TASKA:
				setVrstaTaska((VrstaTaskaImpl)null);
				return;
			case PbdmodelPackage.TASK__PROCESS_ID:
				setProcessId(PROCESS_ID_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__INSTANCE_ID:
				setInstanceId(INSTANCE_ID_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__TASK_ID:
				setTaskId(TASK_ID_EDEFAULT);
				return;
			case PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE:
				setProcesiKomponenteAplikacije((ProcesiKomponenteAplikacijeImpl)null);
				return;
			case PbdmodelPackage.TASK__PROCESI:
				setProcesi((ProcesiImpl)null);
				return;
			case PbdmodelPackage.TASK__VARIABLES:
				setVariables(VARIABLES_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PbdmodelPackage.TASK__START_DATE:
				return START_DATE_EDEFAULT == null ? startDate != null : !START_DATE_EDEFAULT.equals(startDate);
			case PbdmodelPackage.TASK__DUE_DATE:
				return DUE_DATE_EDEFAULT == null ? dueDate != null : !DUE_DATE_EDEFAULT.equals(dueDate);
			case PbdmodelPackage.TASK__REMINDER_DATE:
				return REMINDER_DATE_EDEFAULT == null ? reminderDate != null : !REMINDER_DATE_EDEFAULT.equals(reminderDate);
			case PbdmodelPackage.TASK__STARTED_DATE:
				return STARTED_DATE_EDEFAULT == null ? startedDate != null : !STARTED_DATE_EDEFAULT.equals(startedDate);
			case PbdmodelPackage.TASK__FINISHED_DATE:
				return FINISHED_DATE_EDEFAULT == null ? finishedDate != null : !FINISHED_DATE_EDEFAULT.equals(finishedDate);
			case PbdmodelPackage.TASK__PRIORITY:
				return priority != null;
			case PbdmodelPackage.TASK__TASK_STATUS_TYPE:
				return taskStatusTypeImpl != null;
			case PbdmodelPackage.TASK__ASSIGMENT:
				return assigment != null && !assigment.isEmpty();
			case PbdmodelPackage.TASK__VRSTA_TASKA:
				return vrstaTaska != null;
			case PbdmodelPackage.TASK__PROCESS_ID:
				return processId != PROCESS_ID_EDEFAULT;
			case PbdmodelPackage.TASK__INSTANCE_ID:
				return instanceId != INSTANCE_ID_EDEFAULT;
			case PbdmodelPackage.TASK__TASK_ID:
				return taskId != TASK_ID_EDEFAULT;
			case PbdmodelPackage.TASK__PROCESI_KOMPONENTE_APLIKACIJE:
				return procesiKomponenteAplikacije != null;
			case PbdmodelPackage.TASK__PROCESI:
				return procesi != null;
			case PbdmodelPackage.TASK__VARIABLES:
				return VARIABLES_EDEFAULT == null ? variables != null : !VARIABLES_EDEFAULT.equals(variables);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (startDate: ");
		result.append(startDate);
		result.append(", dueDate: ");
		result.append(dueDate);
		result.append(", ReminderDate: ");
		result.append(reminderDate);
		result.append(", startedDate: ");
		result.append(startedDate);
		result.append(", finishedDate: ");
		result.append(finishedDate);
		result.append(", processId: ");
		result.append(processId);
		result.append(", instanceId: ");
		result.append(instanceId);
		result.append(", taskId: ");
		result.append(taskId);
		result.append(", variables: ");
		result.append(variables);
		result.append(')');
		return result.toString();
	}

} //TaskImpl
