/**
 */
package pbdmodel.impl;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;

import pbdmodel.PbdmodelPackage;
import pbdmodel.User;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>User</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link pbdmodel.impl.UserImpl#getZaposlenik <em>Zaposlenik</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getIdUser <em>Id User</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getUserName <em>User Name</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getPassword <em>Password</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getUserRazgovor <em>User Razgovor</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getPoruke <em>Poruke</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getStanjeCitanja <em>Stanje Citanja</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getKomponenteAplikacije <em>Komponente Aplikacije</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getSentCC <em>Sent CC</em>}</li>
 *   <li>{@link pbdmodel.impl.UserImpl#getSentTo <em>Sent To</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
@Entity
public class UserImpl extends MetadataImpl {
	
	 @OneToMany(cascade=CascadeType.ALL, mappedBy="user")
		protected List<UserRazgovorImpl> userRazgovor;
	 
	public List<UserRazgovorImpl> getUserRazgovor() {
		if(userRazgovor == null){
			userRazgovor = new ArrayList<UserRazgovorImpl>();
		}
		return userRazgovor;
	}
	
	 public ZaposleniciImpl getZaposlenik() {
		return zaposlenik;
	}

	public void setZaposlenik(ZaposleniciImpl zaposlenik) {
		this.zaposlenik = zaposlenik;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public List<PorukaImpl> getPoruke() {
		return poruke;
	}

	public void setPoruke(List<PorukaImpl> poruke) {
		this.poruke = poruke;
	}

	public List<StanjeCitanjaPorukeImpl> getStanjeCitanja() {
		return stanjeCitanja;
	}

	public void setStanjeCitanja(List<StanjeCitanjaPorukeImpl> stanjeCitanja) {
		this.stanjeCitanja = stanjeCitanja;
	}

	public List<KomponenteAplikacijeImpl> getKomponenteAplikacije() {
		return komponenteAplikacije;
	}

	public void setKomponenteAplikacije(
			List<KomponenteAplikacijeImpl> komponenteAplikacije) {
		this.komponenteAplikacije = komponenteAplikacije;
	}

	public List<SentCCImpl> getSentCC() {
		return sentCC;
	}

	public void setSentCC(List<SentCCImpl> sentCC) {
		this.sentCC = sentCC;
	}

	public List<SentToImpl> getSentTo() {
		return sentTo;
	}

	public void setSentTo(List<SentToImpl> sentTo) {
		this.sentTo = sentTo;
	}

	public void setUserRazgovor(List<UserRazgovorImpl> userRazgovor) {
		this.userRazgovor = userRazgovor;
	}

	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.EAGER )
	  @JoinColumn(name="ROLE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<RoleImpl> role;
	 
	public List<RoleImpl> getRole() {
		if (role == null) {
			role = new ArrayList<RoleImpl>();
		}
		return role;
	}

	public void setRole(List<RoleImpl> role) {
		this.role = role;
	}
	
	protected String defaultLanguage;
	
	public String getDefaultLanguage() {
		return defaultLanguage;
	}

	public void setDefaultLanguage(String defaultLanguage) {
		this.defaultLanguage = defaultLanguage;
	}

	/**
	 * The cached value of the '{@link #getZaposlenik() <em>Zaposlenik</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getZaposlenik()
	 * @generated
	 * @ordered
	 */
	@OneToOne (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="ZAPOSLENICI_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected ZaposleniciImpl zaposlenik;

	/**
	 * The default value of the '{@link #getIdUser() <em>Id User</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdUser()
	 * @generated
	 * @ordered
	 */
	protected static final long ID_USER_EDEFAULT = 0L;

	/**
	 * The cached value of the '{@link #getIdUser() <em>Id User</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getIdUser()
	 * @generated
	 * @ordered
	 */
	@Id @GeneratedValue(strategy=GenerationType.SEQUENCE)
	protected long idUser = ID_USER_EDEFAULT;

	/**
	 * The default value of the '{@link #getUserName() <em>User Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUserName()
	 * @generated
	 * @ordered
	 */
	protected static final String USER_NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getUserName() <em>User Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUserName()
	 * @generated
	 * @ordered
	 */
	protected String userName = USER_NAME_EDEFAULT;

	/**
	 * The default value of the '{@link #getPassword() <em>Password</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPassword()
	 * @generated
	 * @ordered
	 */
	protected static final String PASSWORD_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getPassword() <em>Password</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPassword()
	 * @generated
	 * @ordered
	 */
	protected String password = PASSWORD_EDEFAULT;

	/**
	 * The cached value of the '{@link #getUserRazgovor() <em>User Razgovor</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getUserRazgovor()
	 * @generated
	 * @ordered
	 */

	/**
	 * The cached value of the '{@link #getPoruke() <em>Poruke</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPoruke()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="PORUKA_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<PorukaImpl> poruke;

	/**
	 * The cached value of the '{@link #getStanjeCitanja() <em>Stanje Citanja</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStanjeCitanja()
	 * @generated
	 * @ordered
	 */
//	 @OneToMany(cascade=CascadeType.ALL, mappedBy="user")
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="STANJE_CITANJA_PORUKE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<StanjeCitanjaPorukeImpl> stanjeCitanja;

	/**
	 * The cached value of the '{@link #getKomponenteAplikacije() <em>Komponente Aplikacije</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getKomponenteAplikacije()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="KOMPONENTE_APLIKACIJE_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<KomponenteAplikacijeImpl> komponenteAplikacije;

	/**
	 * The cached value of the '{@link #getSentCC() <em>Sent CC</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSentCC()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SENT_CC_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SentCCImpl> sentCC;

	/**
	 * The cached value of the '{@link #getSentTo() <em>Sent To</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSentTo()
	 * @generated
	 * @ordered
	 */
	@OneToMany (cascade= { CascadeType.MERGE, CascadeType.REFRESH, CascadeType.PERSIST }, fetch= FetchType.LAZY )
	  @JoinColumn(name="SENT_TO_ID", unique= true, nullable=true, insertable=true, updatable=true)
	protected List<SentToImpl> sentTo;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public UserImpl() {
		super();
	}

}
