/**
 */
package pbdmodel.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
import org.eclipse.emf.ecore.EObject;

import pbdmodel.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see pbdmodel.PbdmodelPackage
 * @generated
 */
public class PbdmodelAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static PbdmodelPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PbdmodelAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = PbdmodelPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PbdmodelSwitch<Adapter> modelSwitch =
		new PbdmodelSwitch<Adapter>() {
			@Override
			public Adapter caseMjesto(Mjesto object) {
				return createMjestoAdapter();
			}
			@Override
			public Adapter caseDrzava(Drzava object) {
				return createDrzavaAdapter();
			}
			@Override
			public Adapter caseOpstina(Opstina object) {
				return createOpstinaAdapter();
			}
			@Override
			public Adapter caseSektor(Sektor object) {
				return createSektorAdapter();
			}
			@Override
			public Adapter caseMjesnaZajednica(MjesnaZajednica object) {
				return createMjesnaZajednicaAdapter();
			}
			@Override
			public Adapter caseUlica(Ulica object) {
				return createUlicaAdapter();
			}
			@Override
			public Adapter caseAdresa(Adresa object) {
				return createAdresaAdapter();
			}
			@Override
			public Adapter caseOsoba(Osoba object) {
				return createOsobaAdapter();
			}
			@Override
			public Adapter caseNacionalnost(Nacionalnost object) {
				return createNacionalnostAdapter();
			}
			@Override
			public Adapter caseUpotrebaSile(UpotrebaSile object) {
				return createUpotrebaSileAdapter();
			}
			@Override
			public Adapter caseEvidencijaIzvrsenihPretresa(EvidencijaIzvrsenihPretresa object) {
				return createEvidencijaIzvrsenihPretresaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoPrivremenoOduzetimPredmetima(EvidencijaoPrivremenoOduzetimPredmetima object) {
				return createEvidencijaoPrivremenoOduzetimPredmetimaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoOsobamaKojeSuLiseneSlobode(EvidencijaoOsobamaKojeSuLiseneSlobode object) {
				return createEvidencijaoOsobamaKojeSuLiseneSlobodeAdapter();
			}
			@Override
			public Adapter caseIskljucivanjeVozacaIzPrometa(IskljucivanjeVozacaIzPrometa object) {
				return createIskljucivanjeVozacaIzPrometaAdapter();
			}
			@Override
			public Adapter caseIskljucivanjeVozilaIzPrometa(IskljucivanjeVozilaIzPrometa object) {
				return createIskljucivanjeVozilaIzPrometaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima(EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima object) {
				return createEvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelimaAdapter();
			}
			@Override
			public Adapter caseEvidencijaPrometnihNesrecaSaNastradalimOsobama(EvidencijaPrometnihNesrecaSaNastradalimOsobama object) {
				return createEvidencijaPrometnihNesrecaSaNastradalimOsobamaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca(EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca object) {
				return createEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaAdapter();
			}
			@Override
			public Adapter caseEvidencijaZadrzanihOsoba(EvidencijaZadrzanihOsoba object) {
				return createEvidencijaZadrzanihOsobaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoOtiscima(EvidencijaoOtiscima object) {
				return createEvidencijaoOtiscimaAdapter();
			}
			@Override
			public Adapter caseEvidencijaUvidajaForenzike(EvidencijaUvidajaForenzike object) {
				return createEvidencijaUvidajaForenzikeAdapter();
			}
			@Override
			public Adapter caseEvidencijaPrometnihNezgodasMaterijalnomStetom(EvidencijaPrometnihNezgodasMaterijalnomStetom object) {
				return createEvidencijaPrometnihNezgodasMaterijalnomStetomAdapter();
			}
			@Override
			public Adapter caseEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije(EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije object) {
				return createEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeAdapter();
			}
			@Override
			public Adapter caseEvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela(EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela object) {
				return createEvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjelaAdapter();
			}
			@Override
			public Adapter caseEvidencijaSluzbenihZabiljeski(EvidencijaSluzbenihZabiljeski object) {
				return createEvidencijaSluzbenihZabiljeskiAdapter();
			}
			@Override
			public Adapter caseEvidencijaIzdatihDozvolaZaNosenjeOruzja(EvidencijaIzdatihDozvolaZaNosenjeOruzja object) {
				return createEvidencijaIzdatihDozvolaZaNosenjeOruzjaAdapter();
			}
			@Override
			public Adapter caseEvidencijaIzdatihOruzanihListova(EvidencijaIzdatihOruzanihListova object) {
				return createEvidencijaIzdatihOruzanihListovaAdapter();
			}
			@Override
			public Adapter caseEvidencijaOdobrenjaDetAgencijama(EvidencijaOdobrenjaDetAgencijama object) {
				return createEvidencijaOdobrenjaDetAgencijamaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoPrituzbamaGradana(EvidencijaoPrituzbamaGradana object) {
				return createEvidencijaoPrituzbamaGradanaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine(EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine object) {
				return createEvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovineAdapter();
			}
			@Override
			public Adapter caseEvidencijaUpozorenihOsoba(EvidencijaUpozorenihOsoba object) {
				return createEvidencijaUpozorenihOsobaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka(EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka object) {
				return createEvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupakaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoProvjeriIdentiteta(EvidencijaoProvjeriIdentiteta object) {
				return createEvidencijaoProvjeriIdentitetaAdapter();
			}
			@Override
			public Adapter caseEvidencijaoLicimaKojimaJeUtvrdivanIdentitet(EvidencijaoLicimaKojimaJeUtvrdivanIdentitet object) {
				return createEvidencijaoLicimaKojimaJeUtvrdivanIdentitetAdapter();
			}
			@Override
			public Adapter caseEvidencijaOOruzanimListovima(EvidencijaOOruzanimListovima object) {
				return createEvidencijaOOruzanimListovimaAdapter();
			}
			@Override
			public Adapter caseEvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu(EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu object) {
				return createEvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjeluAdapter();
			}
			@Override
			public Adapter caseEvidencijaPodnesenihZahtjevaZaNabavuOruzja(EvidencijaPodnesenihZahtjevaZaNabavuOruzja object) {
				return createEvidencijaPodnesenihZahtjevaZaNabavuOruzjaAdapter();
			}
			@Override
			public Adapter caseEvidencijaNapadaNaPolicijskeSluzbenike(EvidencijaNapadaNaPolicijskeSluzbenike object) {
				return createEvidencijaNapadaNaPolicijskeSluzbenikeAdapter();
			}
			@Override
			public Adapter casePronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi(PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi object) {
				return createPronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebiAdapter();
			}
			@Override
			public Adapter caseVrstaSudionika(VrstaSudionika object) {
				return createVrstaSudionikaAdapter();
			}
			@Override
			public Adapter caseEvidencije(Evidencije object) {
				return createEvidencijeAdapter();
			}
			@Override
			public Adapter caseDogadjaj(Dogadjaj object) {
				return createDogadjajAdapter();
			}
			@Override
			public Adapter caseVrstaUlazaUEvidenciju(VrstaUlazaUEvidenciju object) {
				return createVrstaUlazaUEvidencijuAdapter();
			}
			@Override
			public Adapter caseOruzje(Oruzje object) {
				return createOruzjeAdapter();
			}
			@Override
			public Adapter caseVrstaOruzja(VrstaOruzja object) {
				return createVrstaOruzjaAdapter();
			}
			@Override
			public Adapter caseModelOruzja(ModelOruzja object) {
				return createModelOruzjaAdapter();
			}
			@Override
			public Adapter caseKalibarOruzja(KalibarOruzja object) {
				return createKalibarOruzjaAdapter();
			}
			@Override
			public Adapter caseTipOruzja(TipOruzja object) {
				return createTipOruzjaAdapter();
			}
			@Override
			public Adapter caseSluzbenaOsoba(SluzbenaOsoba object) {
				return createSluzbenaOsobaAdapter();
			}
			@Override
			public Adapter caseVrstaSluzbeneOsobe(VrstaSluzbeneOsobe object) {
				return createVrstaSluzbeneOsobeAdapter();
			}
			@Override
			public Adapter caseFunkcijaSluzbeneOsobe(FunkcijaSluzbeneOsobe object) {
				return createFunkcijaSluzbeneOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaFunkcijeSluzbeneOsobe(VrstaFunkcijeSluzbeneOsobe object) {
				return createVrstaFunkcijeSluzbeneOsobeAdapter();
			}
			@Override
			public Adapter caseDokument(Dokument object) {
				return createDokumentAdapter();
			}
			@Override
			public Adapter caseOruzaniList(OruzaniList object) {
				return createOruzaniListAdapter();
			}
			@Override
			public Adapter caseMetadata(Metadata object) {
				return createMetadataAdapter();
			}
			@Override
			public Adapter caseStatusOruzja(StatusOruzja object) {
				return createStatusOruzjaAdapter();
			}
			@Override
			public Adapter caseSudionik(Sudionik object) {
				return createSudionikAdapter();
			}
			@Override
			public Adapter caseEvidencijaOOruzju(EvidencijaOOruzju object) {
				return createEvidencijaOOruzjuAdapter();
			}
			@Override
			public Adapter caseNacinZaprimanjaPrijave(NacinZaprimanjaPrijave object) {
				return createNacinZaprimanjaPrijaveAdapter();
			}
			@Override
			public Adapter caseVrstaGlasaOsobe(VrstaGlasaOsobe object) {
				return createVrstaGlasaOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaGovorOsobe(VrstaGovorOsobe object) {
				return createVrstaGovorOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaIdentitetaOsobe(VrstaIdentitetaOsobe object) {
				return createVrstaIdentitetaOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaDijalektaOsobe(VrstaDijalektaOsobe object) {
				return createVrstaDijalektaOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaStavaOsobe(VrstaStavaOsobe object) {
				return createVrstaStavaOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaOkolnihZvukova(VrstaOkolnihZvukova object) {
				return createVrstaOkolnihZvukovaAdapter();
			}
			@Override
			public Adapter casePrijava(Prijava object) {
				return createPrijavaAdapter();
			}
			@Override
			public Adapter casePolicijskoPostupanje(PolicijskoPostupanje object) {
				return createPolicijskoPostupanjeAdapter();
			}
			@Override
			public Adapter caseOrgJedinica(OrgJedinica object) {
				return createOrgJedinicaAdapter();
			}
			@Override
			public Adapter caseOrganizacija(Organizacija object) {
				return createOrganizacijaAdapter();
			}
			@Override
			public Adapter caseVrstaOrgJedinice(VrstaOrgJedinice object) {
				return createVrstaOrgJediniceAdapter();
			}
			@Override
			public Adapter caseTipLicnogDokumenta(TipLicnogDokumenta object) {
				return createTipLicnogDokumentaAdapter();
			}
			@Override
			public Adapter caseZaposlenici(Zaposlenici object) {
				return createZaposleniciAdapter();
			}
			@Override
			public Adapter caseNesluzbeneOsobe(NesluzbeneOsobe object) {
				return createNesluzbeneOsobeAdapter();
			}
			@Override
			public Adapter caseVrstaNesluzbeneOsobe(VrstaNesluzbeneOsobe object) {
				return createVrstaNesluzbeneOsobeAdapter();
			}
			@Override
			public Adapter caseZakon(Zakon object) {
				return createZakonAdapter();
			}
			@Override
			public Adapter casevrstaPostupanja(vrstaPostupanja object) {
				return createvrstaPostupanjaAdapter();
			}
			@Override
			public Adapter caseDjelo(Djelo object) {
				return createDjeloAdapter();
			}
			@Override
			public Adapter caseVrstaDjela(VrstaDjela object) {
				return createVrstaDjelaAdapter();
			}
			@Override
			public Adapter casePodvrstaDjela(PodvrstaDjela object) {
				return createPodvrstaDjelaAdapter();
			}
			@Override
			public Adapter caseSteta(Steta object) {
				return createStetaAdapter();
			}
			@Override
			public Adapter caseVrstaValute(VrstaValute object) {
				return createVrstaValuteAdapter();
			}
			@Override
			public Adapter caseVrstaStete(VrstaStete object) {
				return createVrstaSteteAdapter();
			}
			@Override
			public Adapter caseNacinPostupanja(NacinPostupanja object) {
				return createNacinPostupanjaAdapter();
			}
			@Override
			public Adapter casesavjeti(savjeti object) {
				return createsavjetiAdapter();
			}
			@Override
			public Adapter caseKartonLica(KartonLica object) {
				return createKartonLicaAdapter();
			}
			@Override
			public Adapter caseVrstaSile(VrstaSile object) {
				return createVrstaSileAdapter();
			}
			@Override
			public Adapter caseIzvorPodataka(IzvorPodataka object) {
				return createIzvorPodatakaAdapter();
			}
			@Override
			public Adapter caseOpisOsobe(OpisOsobe object) {
				return createOpisOsobeAdapter();
			}
			@Override
			public Adapter casePodnosilacPrijave(PodnosilacPrijave object) {
				return createPodnosilacPrijaveAdapter();
			}
			@Override
			public Adapter casePravnoLice(PravnoLice object) {
				return createPravnoLiceAdapter();
			}
			@Override
			public Adapter caseDetektivskaAgencija(DetektivskaAgencija object) {
				return createDetektivskaAgencijaAdapter();
			}
			@Override
			public Adapter caseAgencijaOsiguranja(AgencijaOsiguranja object) {
				return createAgencijaOsiguranjaAdapter();
			}
			@Override
			public Adapter caseSud(Sud object) {
				return createSudAdapter();
			}
			@Override
			public Adapter caseObjekt(Objekt object) {
				return createObjektAdapter();
			}
			@Override
			public Adapter caseVozilo(Vozilo object) {
				return createVoziloAdapter();
			}
			@Override
			public Adapter caseOrganVlasti(OrganVlasti object) {
				return createOrganVlastiAdapter();
			}
			@Override
			public Adapter caseKaznenaEvidencija(KaznenaEvidencija object) {
				return createKaznenaEvidencijaAdapter();
			}
			@Override
			public Adapter casePresuda(Presuda object) {
				return createPresudaAdapter();
			}
			@Override
			public Adapter caseOruzanaDozvola(OruzanaDozvola object) {
				return createOruzanaDozvolaAdapter();
			}
			@Override
			public Adapter caseZahtjevZaNabavkuOruzja(ZahtjevZaNabavkuOruzja object) {
				return createZahtjevZaNabavkuOruzjaAdapter();
			}
			@Override
			public Adapter caseEvidencijaZahtjevaZaKretanjeVozila(EvidencijaZahtjevaZaKretanjeVozila object) {
				return createEvidencijaZahtjevaZaKretanjeVozilaAdapter();
			}
			@Override
			public Adapter caseZahtjevZaKretanjeVozila(ZahtjevZaKretanjeVozila object) {
				return createZahtjevZaKretanjeVozilaAdapter();
			}
			@Override
			public Adapter caseEvidencijaZahtjevaZaJavnaOkupljanja(EvidencijaZahtjevaZaJavnaOkupljanja object) {
				return createEvidencijaZahtjevaZaJavnaOkupljanjaAdapter();
			}
			@Override
			public Adapter caseZahtjevZaJavnaOkupljanja(ZahtjevZaJavnaOkupljanja object) {
				return createZahtjevZaJavnaOkupljanjaAdapter();
			}
			@Override
			public Adapter casePostupak(Postupak object) {
				return createPostupakAdapter();
			}
			@Override
			public Adapter caseAktivnost(Aktivnost object) {
				return createAktivnostAdapter();
			}
			@Override
			public Adapter casePredmet(Predmet object) {
				return createPredmetAdapter();
			}
			@Override
			public Adapter caseSaobracajnaNezgoda(SaobracajnaNezgoda object) {
				return createSaobracajnaNezgodaAdapter();
			}
			@Override
			public Adapter caseKategorijaPuta(KategorijaPuta object) {
				return createKategorijaPutaAdapter();
			}
			@Override
			public Adapter caseVrstaNezgode(VrstaNezgode object) {
				return createVrstaNezgodeAdapter();
			}
			@Override
			public Adapter caseVrstaOzljede(VrstaOzljede object) {
				return createVrstaOzljedeAdapter();
			}
			@Override
			public Adapter caseSluzbeneZabiljeske(SluzbeneZabiljeske object) {
				return createSluzbeneZabiljeskeAdapter();
			}
			@Override
			public Adapter caseOduzimanjePredmeta(OduzimanjePredmeta object) {
				return createOduzimanjePredmetaAdapter();
			}
			@Override
			public Adapter caseUzimanjeOtisaka(UzimanjeOtisaka object) {
				return createUzimanjeOtisakaAdapter();
			}
			@Override
			public Adapter casePrekrsajniPostupak(PrekrsajniPostupak object) {
				return createPrekrsajniPostupakAdapter();
			}
			@Override
			public Adapter caseZadrzavanjeOsoba(ZadrzavanjeOsoba object) {
				return createZadrzavanjeOsobaAdapter();
			}
			@Override
			public Adapter caseUvidjajForenzika(UvidjajForenzika object) {
				return createUvidjajForenzikaAdapter();
			}
			@Override
			public Adapter caseTipAktivnosti(TipAktivnosti object) {
				return createTipAktivnostiAdapter();
			}
			@Override
			public Adapter caseNacinIzvrsenja(NacinIzvrsenja object) {
				return createNacinIzvrsenjaAdapter();
			}
			@Override
			public Adapter caseVrstaTraga(VrstaTraga object) {
				return createVrstaTragaAdapter();
			}
			@Override
			public Adapter caseNacinFiksiranjaTraga(NacinFiksiranjaTraga object) {
				return createNacinFiksiranjaTragaAdapter();
			}
			@Override
			public Adapter caseRadnjaSaPronadjenimIFiksiranimTragovima(RadnjaSaPronadjenimIFiksiranimTragovima object) {
				return createRadnjaSaPronadjenimIFiksiranimTragovimaAdapter();
			}
			@Override
			public Adapter caseLisenjeSlobode(LisenjeSlobode object) {
				return createLisenjeSlobodeAdapter();
			}
			@Override
			public Adapter casePretres(Pretres object) {
				return createPretresAdapter();
			}
			@Override
			public Adapter caseUtvrdjivanjeIdentiteta(UtvrdjivanjeIdentiteta object) {
				return createUtvrdjivanjeIdentitetaAdapter();
			}
			@Override
			public Adapter caseProvjeraIdentiteta(ProvjeraIdentiteta object) {
				return createProvjeraIdentitetaAdapter();
			}
			@Override
			public Adapter caseRazlogUtvrdjivanjaIdentiteta(RazlogUtvrdjivanjaIdentiteta object) {
				return createRazlogUtvrdjivanjaIdentitetaAdapter();
			}
			@Override
			public Adapter caseNaOsnovuCegaJeUtvrdjenIdentitet(NaOsnovuCegaJeUtvrdjenIdentitet object) {
				return createNaOsnovuCegaJeUtvrdjenIdentitetAdapter();
			}
			@Override
			public Adapter caseRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta(RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta object) {
				return createRadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaAdapter();
			}
			@Override
			public Adapter caseNapadNaPolicijskeSluzbenike(NapadNaPolicijskeSluzbenike object) {
				return createNapadNaPolicijskeSluzbenikeAdapter();
			}
			@Override
			public Adapter casePrituzbaGradjana(PrituzbaGradjana object) {
				return createPrituzbaGradjanaAdapter();
			}
			@Override
			public Adapter caseRezultatInternogPostupka(RezultatInternogPostupka object) {
				return createRezultatInternogPostupkaAdapter();
			}
			@Override
			public Adapter casePovredaPoZakonu(PovredaPoZakonu object) {
				return createPovredaPoZakonuAdapter();
			}
			@Override
			public Adapter caseNazivPovredeSluzbeneDuznosti(NazivPovredeSluzbeneDuznosti object) {
				return createNazivPovredeSluzbeneDuznostiAdapter();
			}
			@Override
			public Adapter caseStatusZalbe(StatusZalbe object) {
				return createStatusZalbeAdapter();
			}
			@Override
			public Adapter casePronalazenjeOsoba(PronalazenjeOsoba object) {
				return createPronalazenjeOsobaAdapter();
			}
			@Override
			public Adapter casePodneseniIzvjestajiOPocinjenomKrivicnomDjelu(PodneseniIzvjestajiOPocinjenomKrivicnomDjelu object) {
				return createPodneseniIzvjestajiOPocinjenomKrivicnomDjeluAdapter();
			}
			@Override
			public Adapter caseKategorijaDjela(KategorijaDjela object) {
				return createKategorijaDjelaAdapter();
			}
			@Override
			public Adapter casePrekrsaj(Prekrsaj object) {
				return createPrekrsajAdapter();
			}
			@Override
			public Adapter caseKrivicnoDjelo(KrivicnoDjelo object) {
				return createKrivicnoDjeloAdapter();
			}
			@Override
			public Adapter caseOstalo(Ostalo object) {
				return createOstaloAdapter();
			}
			@Override
			public Adapter casePredmetDokumet(PredmetDokumet object) {
				return createPredmetDokumetAdapter();
			}
			@Override
			public Adapter caseStatusDokumenta(StatusDokumenta object) {
				return createStatusDokumentaAdapter();
			}
			@Override
			public Adapter caseMarkaOruzja(MarkaOruzja object) {
				return createMarkaOruzjaAdapter();
			}
			@Override
			public Adapter caseEvidencijaOUpotrebiSile(EvidencijaOUpotrebiSile object) {
				return createEvidencijaOUpotrebiSileAdapter();
			}
			@Override
			public Adapter caseOcjenaOpravdanosti(OcjenaOpravdanosti object) {
				return createOcjenaOpravdanostiAdapter();
			}
			@Override
			public Adapter caseRazlogIskljucivanja(RazlogIskljucivanja object) {
				return createRazlogIskljucivanjaAdapter();
			}
			@Override
			public Adapter caseEvidencijaIskljucenihVozilaIzPrometa(EvidencijaIskljucenihVozilaIzPrometa object) {
				return createEvidencijaIskljucenihVozilaIzPrometaAdapter();
			}
			@Override
			public Adapter caseEvidencijaIskljucenihVozacaIzPrometa(EvidencijaIskljucenihVozacaIzPrometa object) {
				return createEvidencijaIskljucenihVozacaIzPrometaAdapter();
			}
			@Override
			public Adapter caseRjesenje(Rjesenje object) {
				return createRjesenjeAdapter();
			}
			@Override
			public Adapter caseAkt(Akt object) {
				return createAktAdapter();
			}
			@Override
			public Adapter caseZakonskaOsnova(ZakonskaOsnova object) {
				return createZakonskaOsnovaAdapter();
			}
			@Override
			public Adapter caseRazlogZadrzavanja(RazlogZadrzavanja object) {
				return createRazlogZadrzavanjaAdapter();
			}
			@Override
			public Adapter caseNacinOduzimanjaPredmeta(NacinOduzimanjaPredmeta object) {
				return createNacinOduzimanjaPredmetaAdapter();
			}
			@Override
			public Adapter casePostupanjeSaPredmetima(PostupanjeSaPredmetima object) {
				return createPostupanjeSaPredmetimaAdapter();
			}
			@Override
			public Adapter caseOdobrenjeZaRadDetAgencija(OdobrenjeZaRadDetAgencija object) {
				return createOdobrenjeZaRadDetAgencijaAdapter();
			}
			@Override
			public Adapter caseOdobrenjeZaRadAgencijaOsiguranja(OdobrenjeZaRadAgencijaOsiguranja object) {
				return createOdobrenjeZaRadAgencijaOsiguranjaAdapter();
			}
			@Override
			public Adapter casePodaciOPovrijedjenimOsobama(PodaciOPovrijedjenimOsobama object) {
				return createPodaciOPovrijedjenimOsobamaAdapter();
			}
			@Override
			public Adapter casevrstaPovrede(vrstaPovrede object) {
				return createvrstaPovredeAdapter();
			}
			@Override
			public Adapter caseUzrokNezgode(UzrokNezgode object) {
				return createUzrokNezgodeAdapter();
			}
			@Override
			public Adapter caseSumnjiveOsobe(SumnjiveOsobe object) {
				return createSumnjiveOsobeAdapter();
			}
			@Override
			public Adapter caseRealzizacija(Realzizacija object) {
				return createRealzizacijaAdapter();
			}
			@Override
			public Adapter casePravnaKvalifikacijaPrekrsaja(PravnaKvalifikacijaPrekrsaja object) {
				return createPravnaKvalifikacijaPrekrsajaAdapter();
			}
			@Override
			public Adapter caseOblast(Oblast object) {
				return createOblastAdapter();
			}
			@Override
			public Adapter caseTipRadnje(TipRadnje object) {
				return createTipRadnjeAdapter();
			}
			@Override
			public Adapter caseZakonskaKvalifikacija(ZakonskaKvalifikacija object) {
				return createZakonskaKvalifikacijaAdapter();
			}
			@Override
			public Adapter casePreduzece(Preduzece object) {
				return createPreduzeceAdapter();
			}
			@Override
			public Adapter caseVrstaLica(VrstaLica object) {
				return createVrstaLicaAdapter();
			}
			@Override
			public Adapter caseOpisOdjece(OpisOdjece object) {
				return createOpisOdjeceAdapter();
			}
			@Override
			public Adapter caseMarkaVozila(MarkaVozila object) {
				return createMarkaVozilaAdapter();
			}
			@Override
			public Adapter caseTipVozila(TipVozila object) {
				return createTipVozilaAdapter();
			}
			@Override
			public Adapter caseStatusZapisa(StatusZapisa object) {
				return createStatusZapisaAdapter();
			}
			@Override
			public Adapter caseVrstaDogadjaja(VrstaDogadjaja object) {
				return createVrstaDogadjajaAdapter();
			}
			@Override
			public Adapter caseStatusObradeDogadjaja(StatusObradeDogadjaja object) {
				return createStatusObradeDogadjajaAdapter();
			}
			@Override
			public Adapter caseVrstaObjekta(VrstaObjekta object) {
				return createVrstaObjektaAdapter();
			}
			@Override
			public Adapter caseOpisGovoraOsobe(OpisGovoraOsobe object) {
				return createOpisGovoraOsobeAdapter();
			}
			@Override
			public Adapter caseOpisDijalektaOsobe(OpisDijalektaOsobe object) {
				return createOpisDijalektaOsobeAdapter();
			}
			@Override
			public Adapter caseEvidencijaDogadjaja(EvidencijaDogadjaja object) {
				return createEvidencijaDogadjajaAdapter();
			}
			@Override
			public Adapter caseVrstaSmjene(VrstaSmjene object) {
				return createVrstaSmjeneAdapter();
			}
			@Override
			public Adapter caseUloga(Uloga object) {
				return createUlogaAdapter();
			}
			@Override
			public Adapter caseCin(Cin object) {
				return createCinAdapter();
			}
			@Override
			public Adapter caseOdsustva(Odsustva object) {
				return createOdsustvaAdapter();
			}
			@Override
			public Adapter caseTipAdrese(TipAdrese object) {
				return createTipAdreseAdapter();
			}
			@Override
			public Adapter casevrstaKontakta(vrstaKontakta object) {
				return createvrstaKontaktaAdapter();
			}
			@Override
			public Adapter caseVrstaOdsustva(VrstaOdsustva object) {
				return createVrstaOdsustvaAdapter();
			}
			@Override
			public Adapter caseBankovniRacun(BankovniRacun object) {
				return createBankovniRacunAdapter();
			}
			@Override
			public Adapter caseVrstaRacuna(VrstaRacuna object) {
				return createVrstaRacunaAdapter();
			}
			@Override
			public Adapter caseBanka(Banka object) {
				return createBankaAdapter();
			}
			@Override
			public Adapter caseKontaktZaposlenika(KontaktZaposlenika object) {
				return createKontaktZaposlenikaAdapter();
			}
			@Override
			public Adapter caseKontakt(Kontakt object) {
				return createKontaktAdapter();
			}
			@Override
			public Adapter caseUzdrzavaniClanovi(UzdrzavaniClanovi object) {
				return createUzdrzavaniClanoviAdapter();
			}
			@Override
			public Adapter caseSpol(Spol object) {
				return createSpolAdapter();
			}
			@Override
			public Adapter caseSkolovanja(Skolovanja object) {
				return createSkolovanjaAdapter();
			}
			@Override
			public Adapter caseVrstaSkolovanja(VrstaSkolovanja object) {
				return createVrstaSkolovanjaAdapter();
			}
			@Override
			public Adapter caseStecenaStrucnaSprema(StecenaStrucnaSprema object) {
				return createStecenaStrucnaSpremaAdapter();
			}
			@Override
			public Adapter caseUloge(Uloge object) {
				return createUlogeAdapter();
			}
			@Override
			public Adapter caseTrenutneUloge(TrenutneUloge object) {
				return createTrenutneUlogeAdapter();
			}
			@Override
			public Adapter caseProcesneUloge(ProcesneUloge object) {
				return createProcesneUlogeAdapter();
			}
			@Override
			public Adapter caseRadneUloge(RadneUloge object) {
				return createRadneUlogeAdapter();
			}
			@Override
			public Adapter caseVrstaZaposlenika(VrstaZaposlenika object) {
				return createVrstaZaposlenikaAdapter();
			}
			@Override
			public Adapter caseCinjenjeKaznenogDjela(CinjenjeKaznenogDjela object) {
				return createCinjenjeKaznenogDjelaAdapter();
			}
			@Override
			public Adapter caseInterniPostupak(InterniPostupak object) {
				return createInterniPostupakAdapter();
			}
			@Override
			public Adapter caseZaposlenja(Zaposlenja object) {
				return createZaposlenjaAdapter();
			}
			@Override
			public Adapter caseVrtsaZaposlenja(VrtsaZaposlenja object) {
				return createVrtsaZaposlenjaAdapter();
			}
			@Override
			public Adapter caseRadnoMjesto(RadnoMjesto object) {
				return createRadnoMjestoAdapter();
			}
			@Override
			public Adapter caseNagrade(Nagrade object) {
				return createNagradeAdapter();
			}
			@Override
			public Adapter caseKazne(Kazne object) {
				return createKazneAdapter();
			}
			@Override
			public Adapter caseKvalifikacijaKazne(KvalifikacijaKazne object) {
				return createKvalifikacijaKazneAdapter();
			}
			@Override
			public Adapter caseGodisnjaOcjena(GodisnjaOcjena object) {
				return createGodisnjaOcjenaAdapter();
			}
			@Override
			public Adapter casePrezaduzenje(Prezaduzenje object) {
				return createPrezaduzenjeAdapter();
			}
			@Override
			public Adapter caseVrstaPredemeta(VrstaPredemeta object) {
				return createVrstaPredemetaAdapter();
			}
			@Override
			public Adapter caseVrstaOrganaVlasti(VrstaOrganaVlasti object) {
				return createVrstaOrganaVlastiAdapter();
			}
			@Override
			public Adapter caseTipObjekta(TipObjekta object) {
				return createTipObjektaAdapter();
			}
			@Override
			public Adapter caseOpisOkolnihZvukova(OpisOkolnihZvukova object) {
				return createOpisOkolnihZvukovaAdapter();
			}
			@Override
			public Adapter caseVrstaPapiraNaIspisuBlagajne(VrstaPapiraNaIspisuBlagajne object) {
				return createVrstaPapiraNaIspisuBlagajneAdapter();
			}
			@Override
			public Adapter caseUser(User object) {
				return createUserAdapter();
			}
			@Override
			public Adapter casePermisije(Permisije object) {
				return createPermisijeAdapter();
			}
			@Override
			public Adapter caseEksterniDMS(EksterniDMS object) {
				return createEksterniDMSAdapter();
			}
			@Override
			public Adapter casePatrolniNalog(PatrolniNalog object) {
				return createPatrolniNalogAdapter();
			}
			@Override
			public Adapter casePatrolniDokumenti(PatrolniDokumenti object) {
				return createPatrolniDokumentiAdapter();
			}
			@Override
			public Adapter caseVrstaDokumentaPredmetaAkta(VrstaDokumentaPredmetaAkta object) {
				return createVrstaDokumentaPredmetaAktaAdapter();
			}
			@Override
			public Adapter caseRazgovor(Razgovor object) {
				return createRazgovorAdapter();
			}
			@Override
			public Adapter caseUserRazgovor(UserRazgovor object) {
				return createUserRazgovorAdapter();
			}
			@Override
			public Adapter casePoruka(Poruka object) {
				return createPorukaAdapter();
			}
			@Override
			public Adapter caseStanjeCitanjaPoruke(StanjeCitanjaPoruke object) {
				return createStanjeCitanjaPorukeAdapter();
			}
			@Override
			public Adapter casestatusPoruke(statusPoruke object) {
				return createstatusPorukeAdapter();
			}
			@Override
			public Adapter caseOperativnaSredstva(OperativnaSredstva object) {
				return createOperativnaSredstvaAdapter();
			}
			@Override
			public Adapter caseVrstaUredjaja(VrstaUredjaja object) {
				return createVrstaUredjajaAdapter();
			}
			@Override
			public Adapter casePatrolniNalogAktivnosti(PatrolniNalogAktivnosti object) {
				return createPatrolniNalogAktivnostiAdapter();
			}
			@Override
			public Adapter caseOperativnoVozilo(OperativnoVozilo object) {
				return createOperativnoVoziloAdapter();
			}
			@Override
			public Adapter caseUpotrebaOperatinvihSredstava(UpotrebaOperatinvihSredstava object) {
				return createUpotrebaOperatinvihSredstavaAdapter();
			}
			@Override
			public Adapter caseUpotrebaVozila(UpotrebaVozila object) {
				return createUpotrebaVozilaAdapter();
			}
			@Override
			public Adapter caseZapis(Zapis object) {
				return createZapisAdapter();
			}
			@Override
			public Adapter caseFile(File object) {
				return createFileAdapter();
			}
			@Override
			public Adapter caseAccess(Access object) {
				return createAccessAdapter();
			}
			@Override
			public Adapter caseAccessType(AccessType object) {
				return createAccessTypeAdapter();
			}
			@Override
			public Adapter caseVrstaSluzbe(VrstaSluzbe object) {
				return createVrstaSluzbeAdapter();
			}
			@Override
			public Adapter casePatrola(Patrola object) {
				return createPatrolaAdapter();
			}
			@Override
			public Adapter caseRedniBrojDokumenta(RedniBrojDokumenta object) {
				return createRedniBrojDokumentaAdapter();
			}
			@Override
			public Adapter caseFolder(Folder object) {
				return createFolderAdapter();
			}
			@Override
			public Adapter caseFolderType(FolderType object) {
				return createFolderTypeAdapter();
			}
			@Override
			public Adapter caseFolderMetadata(FolderMetadata object) {
				return createFolderMetadataAdapter();
			}
			@Override
			public Adapter caseKvalifikacijskaGrupa(KvalifikacijskaGrupa object) {
				return createKvalifikacijskaGrupaAdapter();
			}
			@Override
			public Adapter caseKvalifikacijskaPodgrupa(KvalifikacijskaPodgrupa object) {
				return createKvalifikacijskaPodgrupaAdapter();
			}
			@Override
			public Adapter caseOperativniRadar(OperativniRadar object) {
				return createOperativniRadarAdapter();
			}
			@Override
			public Adapter caseOperativniAlkotest(OperativniAlkotest object) {
				return createOperativniAlkotestAdapter();
			}
			@Override
			public Adapter caseOperativniRadioUredjaj(OperativniRadioUredjaj object) {
				return createOperativniRadioUredjajAdapter();
			}
			@Override
			public Adapter caseOperativniFotoAparat(OperativniFotoAparat object) {
				return createOperativniFotoAparatAdapter();
			}
			@Override
			public Adapter caseOperativniReflektor(OperativniReflektor object) {
				return createOperativniReflektorAdapter();
			}
			@Override
			public Adapter caseOperativniMetarPantljinka(OperativniMetarPantljinka object) {
				return createOperativniMetarPantljinkaAdapter();
			}
			@Override
			public Adapter caseOstalaOperativnaOprema(OstalaOperativnaOprema object) {
				return createOstalaOperativnaOpremaAdapter();
			}
			@Override
			public Adapter caseOwnerHistory(OwnerHistory object) {
				return createOwnerHistoryAdapter();
			}
			@Override
			public Adapter caseRecordType(RecordType object) {
				return createRecordTypeAdapter();
			}
			@Override
			public Adapter caseTag(Tag object) {
				return createTagAdapter();
			}
			@Override
			public Adapter caseTask(Task object) {
				return createTaskAdapter();
			}
			@Override
			public Adapter casePriority(Priority object) {
				return createPriorityAdapter();
			}
			@Override
			public Adapter casetaskStatusType(taskStatusType object) {
				return createtaskStatusTypeAdapter();
			}
			@Override
			public Adapter caseAssigment(Assigment object) {
				return createAssigmentAdapter();
			}
			@Override
			public Adapter caseAssigmentStatus(AssigmentStatus object) {
				return createAssigmentStatusAdapter();
			}
			@Override
			public Adapter caseGrupe(Grupe object) {
				return createGrupeAdapter();
			}
			@Override
			public Adapter caseKomponenteAplikacije(KomponenteAplikacije object) {
				return createKomponenteAplikacijeAdapter();
			}
			@Override
			public Adapter caseSentTo(SentTo object) {
				return createSentToAdapter();
			}
			@Override
			public Adapter caseSentCC(SentCC object) {
				return createSentCCAdapter();
			}
			@Override
			public Adapter caseSentType(SentType object) {
				return createSentTypeAdapter();
			}
			@Override
			public Adapter caseAttachment(Attachment object) {
				return createAttachmentAdapter();
			}
			@Override
			public Adapter caseVrtsaTima(VrtsaTima object) {
				return createVrtsaTimaAdapter();
			}
			@Override
			public Adapter caseTim(Tim object) {
				return createTimAdapter();
			}
			@Override
			public Adapter caseRasporedSmjena(RasporedSmjena object) {
				return createRasporedSmjenaAdapter();
			}
			@Override
			public Adapter caseRasporedSluzbe(RasporedSluzbe object) {
				return createRasporedSluzbeAdapter();
			}
			@Override
			public Adapter caseRole(Role object) {
				return createRoleAdapter();
			}
			@Override
			public Adapter caseVrstaTaska(VrstaTaska object) {
				return createVrstaTaskaAdapter();
			}
			@Override
			public Adapter caseProcesiKomponenteAplikacije(ProcesiKomponenteAplikacije object) {
				return createProcesiKomponenteAplikacijeAdapter();
			}
			@Override
			public Adapter caseProcesi(Procesi object) {
				return createProcesiAdapter();
			}
			@Override
			public Adapter caseInstancaProcesa(InstancaProcesa object) {
				return createInstancaProcesaAdapter();
			}
			@Override
			public Adapter caseVrstaProcesnogTaska(VrstaProcesnogTaska object) {
				return createVrstaProcesnogTaskaAdapter();
			}
			@Override
			public Adapter casePrilog(Prilog object) {
				return createPrilogAdapter();
			}
			@Override
			public Adapter caseRecdordLink(RecdordLink object) {
				return createRecdordLinkAdapter();
			}
			@Override
			public Adapter caseStepenStrucneSpreme(StepenStrucneSpreme object) {
				return createStepenStrucneSpremeAdapter();
			}
			@Override
			public Adapter caseOsiguranje(Osiguranje object) {
				return createOsiguranjeAdapter();
			}
			@Override
			public Adapter caseKrvnaGrupa(KrvnaGrupa object) {
				return createKrvnaGrupaAdapter();
			}
			@Override
			public Adapter caseDrzavljanstvo(Drzavljanstvo object) {
				return createDrzavljanstvoAdapter();
			}
			@Override
			public Adapter casePotpisniciDokumenta(PotpisniciDokumenta object) {
				return createPotpisniciDokumentaAdapter();
			}
			@Override
			public Adapter caseVrstaPotpisnika(VrstaPotpisnika object) {
				return createVrstaPotpisnikaAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Mjesto <em>Mjesto</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Mjesto
	 * @generated
	 */
	public Adapter createMjestoAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Drzava <em>Drzava</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Drzava
	 * @generated
	 */
	public Adapter createDrzavaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Opstina <em>Opstina</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Opstina
	 * @generated
	 */
	public Adapter createOpstinaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Sektor <em>Sektor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Sektor
	 * @generated
	 */
	public Adapter createSektorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.MjesnaZajednica <em>Mjesna Zajednica</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.MjesnaZajednica
	 * @generated
	 */
	public Adapter createMjesnaZajednicaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Ulica <em>Ulica</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Ulica
	 * @generated
	 */
	public Adapter createUlicaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Adresa <em>Adresa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Adresa
	 * @generated
	 */
	public Adapter createAdresaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Osoba <em>Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Osoba
	 * @generated
	 */
	public Adapter createOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Nacionalnost <em>Nacionalnost</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Nacionalnost
	 * @generated
	 */
	public Adapter createNacionalnostAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UpotrebaSile <em>Upotreba Sile</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UpotrebaSile
	 * @generated
	 */
	public Adapter createUpotrebaSileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaIzvrsenihPretresa <em>Evidencija Izvrsenih Pretresa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaIzvrsenihPretresa
	 * @generated
	 */
	public Adapter createEvidencijaIzvrsenihPretresaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoPrivremenoOduzetimPredmetima <em>Evidencijao Privremeno Oduzetim Predmetima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoPrivremenoOduzetimPredmetima
	 * @generated
	 */
	public Adapter createEvidencijaoPrivremenoOduzetimPredmetimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoOsobamaKojeSuLiseneSlobode <em>Evidencijao Osobama Koje Su Lisene Slobode</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoOsobamaKojeSuLiseneSlobode
	 * @generated
	 */
	public Adapter createEvidencijaoOsobamaKojeSuLiseneSlobodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.IskljucivanjeVozacaIzPrometa <em>Iskljucivanje Vozaca Iz Prometa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.IskljucivanjeVozacaIzPrometa
	 * @generated
	 */
	public Adapter createIskljucivanjeVozacaIzPrometaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.IskljucivanjeVozilaIzPrometa <em>Iskljucivanje Vozila Iz Prometa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.IskljucivanjeVozilaIzPrometa
	 * @generated
	 */
	public Adapter createIskljucivanjeVozilaIzPrometaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima <em>Evidencijao Pocinjenim Kaznenim Djelima Kaoi Osobama Ostecenim Kaznenim Djelima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima
	 * @generated
	 */
	public Adapter createEvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaPrometnihNesrecaSaNastradalimOsobama <em>Evidencija Prometnih Nesreca Sa Nastradalim Osobama</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaPrometnihNesrecaSaNastradalimOsobama
	 * @generated
	 */
	public Adapter createEvidencijaPrometnihNesrecaSaNastradalimOsobamaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca <em>Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca
	 * @generated
	 */
	public Adapter createEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPociniocaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaZadrzanihOsoba <em>Evidencija Zadrzanih Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaZadrzanihOsoba
	 * @generated
	 */
	public Adapter createEvidencijaZadrzanihOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoOtiscima <em>Evidencijao Otiscima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoOtiscima
	 * @generated
	 */
	public Adapter createEvidencijaoOtiscimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaUvidajaForenzike <em>Evidencija Uvidaja Forenzike</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaUvidajaForenzike
	 * @generated
	 */
	public Adapter createEvidencijaUvidajaForenzikeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaPrometnihNezgodasMaterijalnomStetom <em>Evidencija Prometnih Nezgodas Materijalnom Stetom</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaPrometnihNezgodasMaterijalnomStetom
	 * @generated
	 */
	public Adapter createEvidencijaPrometnihNezgodasMaterijalnomStetomAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije <em>Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije
	 * @generated
	 */
	public Adapter createEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicijeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela <em>Evidencijao Osobama Za Koje Postoji Osnove Sumnje Da Su Pocinile Kaznena Djela</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela
	 * @generated
	 */
	public Adapter createEvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjelaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaSluzbenihZabiljeski <em>Evidencija Sluzbenih Zabiljeski</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaSluzbenihZabiljeski
	 * @generated
	 */
	public Adapter createEvidencijaSluzbenihZabiljeskiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaIzdatihDozvolaZaNosenjeOruzja <em>Evidencija Izdatih Dozvola Za Nosenje Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaIzdatihDozvolaZaNosenjeOruzja
	 * @generated
	 */
	public Adapter createEvidencijaIzdatihDozvolaZaNosenjeOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaIzdatihOruzanihListova <em>Evidencija Izdatih Oruzanih Listova</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaIzdatihOruzanihListova
	 * @generated
	 */
	public Adapter createEvidencijaIzdatihOruzanihListovaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaOdobrenjaDetAgencijama <em>Evidencija Odobrenja Det Agencijama</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaOdobrenjaDetAgencijama
	 * @generated
	 */
	public Adapter createEvidencijaOdobrenjaDetAgencijamaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoPrituzbamaGradana <em>Evidencijao Prituzbama Gradana</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoPrituzbamaGradana
	 * @generated
	 */
	public Adapter createEvidencijaoPrituzbamaGradanaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine <em>Evidencijao Odobrenju Za Rad Agencija Za Osiguranje Osobai Imovine</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine
	 * @generated
	 */
	public Adapter createEvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovineAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaUpozorenihOsoba <em>Evidencija Upozorenih Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaUpozorenihOsoba
	 * @generated
	 */
	public Adapter createEvidencijaUpozorenihOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka <em>Evidencijao Zahtjevima Za Pokretanje Prekrsajnih Postupaka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka
	 * @generated
	 */
	public Adapter createEvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupakaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoProvjeriIdentiteta <em>Evidencijao Provjeri Identiteta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoProvjeriIdentiteta
	 * @generated
	 */
	public Adapter createEvidencijaoProvjeriIdentitetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaoLicimaKojimaJeUtvrdivanIdentitet <em>Evidencijao Licima Kojima Je Utvrdivan Identitet</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaoLicimaKojimaJeUtvrdivanIdentitet
	 * @generated
	 */
	public Adapter createEvidencijaoLicimaKojimaJeUtvrdivanIdentitetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaOOruzanimListovima <em>Evidencija OOruzanim Listovima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaOOruzanimListovima
	 * @generated
	 */
	public Adapter createEvidencijaOOruzanimListovimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu <em>Evidencija Podnesenih Izvjestajao Pocinjenom Krivicnom Djelu</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu
	 * @generated
	 */
	public Adapter createEvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjeluAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaPodnesenihZahtjevaZaNabavuOruzja <em>Evidencija Podnesenih Zahtjeva Za Nabavu Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaPodnesenihZahtjevaZaNabavuOruzja
	 * @generated
	 */
	public Adapter createEvidencijaPodnesenihZahtjevaZaNabavuOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaNapadaNaPolicijskeSluzbenike <em>Evidencija Napada Na Policijske Sluzbenike</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaNapadaNaPolicijskeSluzbenike
	 * @generated
	 */
	public Adapter createEvidencijaNapadaNaPolicijskeSluzbenikeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi <em>Pronadena Nepoznata Lica Koja Nisuu Mogucnosti Da Daju Podatkeo Sebi</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi
	 * @generated
	 */
	public Adapter createPronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSudionika <em>Vrsta Sudionika</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSudionika
	 * @generated
	 */
	public Adapter createVrstaSudionikaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Evidencije <em>Evidencije</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Evidencije
	 * @generated
	 */
	public Adapter createEvidencijeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Dogadjaj <em>Dogadjaj</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Dogadjaj
	 * @generated
	 */
	public Adapter createDogadjajAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaUlazaUEvidenciju <em>Vrsta Ulaza UEvidenciju</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaUlazaUEvidenciju
	 * @generated
	 */
	public Adapter createVrstaUlazaUEvidencijuAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Oruzje <em>Oruzje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Oruzje
	 * @generated
	 */
	public Adapter createOruzjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOruzja <em>Vrsta Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOruzja
	 * @generated
	 */
	public Adapter createVrstaOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ModelOruzja <em>Model Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ModelOruzja
	 * @generated
	 */
	public Adapter createModelOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KalibarOruzja <em>Kalibar Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KalibarOruzja
	 * @generated
	 */
	public Adapter createKalibarOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipOruzja <em>Tip Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipOruzja
	 * @generated
	 */
	public Adapter createTipOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SluzbenaOsoba <em>Sluzbena Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SluzbenaOsoba
	 * @generated
	 */
	public Adapter createSluzbenaOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSluzbeneOsobe <em>Vrsta Sluzbene Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSluzbeneOsobe
	 * @generated
	 */
	public Adapter createVrstaSluzbeneOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.FunkcijaSluzbeneOsobe <em>Funkcija Sluzbene Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.FunkcijaSluzbeneOsobe
	 * @generated
	 */
	public Adapter createFunkcijaSluzbeneOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaFunkcijeSluzbeneOsobe <em>Vrsta Funkcije Sluzbene Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaFunkcijeSluzbeneOsobe
	 * @generated
	 */
	public Adapter createVrstaFunkcijeSluzbeneOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Dokument <em>Dokument</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Dokument
	 * @generated
	 */
	public Adapter createDokumentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OruzaniList <em>Oruzani List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OruzaniList
	 * @generated
	 */
	public Adapter createOruzaniListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Metadata <em>Metadata</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Metadata
	 * @generated
	 */
	public Adapter createMetadataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StatusOruzja <em>Status Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StatusOruzja
	 * @generated
	 */
	public Adapter createStatusOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Sudionik <em>Sudionik</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Sudionik
	 * @generated
	 */
	public Adapter createSudionikAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaOOruzju <em>Evidencija OOruzju</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaOOruzju
	 * @generated
	 */
	public Adapter createEvidencijaOOruzjuAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NacinZaprimanjaPrijave <em>Nacin Zaprimanja Prijave</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NacinZaprimanjaPrijave
	 * @generated
	 */
	public Adapter createNacinZaprimanjaPrijaveAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaGlasaOsobe <em>Vrsta Glasa Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaGlasaOsobe
	 * @generated
	 */
	public Adapter createVrstaGlasaOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaGovorOsobe <em>Vrsta Govor Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaGovorOsobe
	 * @generated
	 */
	public Adapter createVrstaGovorOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaIdentitetaOsobe <em>Vrsta Identiteta Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaIdentitetaOsobe
	 * @generated
	 */
	public Adapter createVrstaIdentitetaOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaDijalektaOsobe <em>Vrsta Dijalekta Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaDijalektaOsobe
	 * @generated
	 */
	public Adapter createVrstaDijalektaOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaStavaOsobe <em>Vrsta Stava Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaStavaOsobe
	 * @generated
	 */
	public Adapter createVrstaStavaOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOkolnihZvukova <em>Vrsta Okolnih Zvukova</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOkolnihZvukova
	 * @generated
	 */
	public Adapter createVrstaOkolnihZvukovaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Prijava <em>Prijava</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Prijava
	 * @generated
	 */
	public Adapter createPrijavaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PolicijskoPostupanje <em>Policijsko Postupanje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PolicijskoPostupanje
	 * @generated
	 */
	public Adapter createPolicijskoPostupanjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OrgJedinica <em>Org Jedinica</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OrgJedinica
	 * @generated
	 */
	public Adapter createOrgJedinicaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Organizacija <em>Organizacija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Organizacija
	 * @generated
	 */
	public Adapter createOrganizacijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOrgJedinice <em>Vrsta Org Jedinice</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOrgJedinice
	 * @generated
	 */
	public Adapter createVrstaOrgJediniceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipLicnogDokumenta <em>Tip Licnog Dokumenta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipLicnogDokumenta
	 * @generated
	 */
	public Adapter createTipLicnogDokumentaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Zaposlenici <em>Zaposlenici</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Zaposlenici
	 * @generated
	 */
	public Adapter createZaposleniciAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NesluzbeneOsobe <em>Nesluzbene Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NesluzbeneOsobe
	 * @generated
	 */
	public Adapter createNesluzbeneOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaNesluzbeneOsobe <em>Vrsta Nesluzbene Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaNesluzbeneOsobe
	 * @generated
	 */
	public Adapter createVrstaNesluzbeneOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Zakon <em>Zakon</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Zakon
	 * @generated
	 */
	public Adapter createZakonAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.vrstaPostupanja <em>vrsta Postupanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.vrstaPostupanja
	 * @generated
	 */
	public Adapter createvrstaPostupanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Djelo <em>Djelo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Djelo
	 * @generated
	 */
	public Adapter createDjeloAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaDjela <em>Vrsta Djela</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaDjela
	 * @generated
	 */
	public Adapter createVrstaDjelaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PodvrstaDjela <em>Podvrsta Djela</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PodvrstaDjela
	 * @generated
	 */
	public Adapter createPodvrstaDjelaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Steta <em>Steta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Steta
	 * @generated
	 */
	public Adapter createStetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaValute <em>Vrsta Valute</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaValute
	 * @generated
	 */
	public Adapter createVrstaValuteAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaStete <em>Vrsta Stete</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaStete
	 * @generated
	 */
	public Adapter createVrstaSteteAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NacinPostupanja <em>Nacin Postupanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NacinPostupanja
	 * @generated
	 */
	public Adapter createNacinPostupanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.savjeti <em>savjeti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.savjeti
	 * @generated
	 */
	public Adapter createsavjetiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KartonLica <em>Karton Lica</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KartonLica
	 * @generated
	 */
	public Adapter createKartonLicaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSile <em>Vrsta Sile</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSile
	 * @generated
	 */
	public Adapter createVrstaSileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.IzvorPodataka <em>Izvor Podataka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.IzvorPodataka
	 * @generated
	 */
	public Adapter createIzvorPodatakaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OpisOsobe <em>Opis Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OpisOsobe
	 * @generated
	 */
	public Adapter createOpisOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PodnosilacPrijave <em>Podnosilac Prijave</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PodnosilacPrijave
	 * @generated
	 */
	public Adapter createPodnosilacPrijaveAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PravnoLice <em>Pravno Lice</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PravnoLice
	 * @generated
	 */
	public Adapter createPravnoLiceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.DetektivskaAgencija <em>Detektivska Agencija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.DetektivskaAgencija
	 * @generated
	 */
	public Adapter createDetektivskaAgencijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.AgencijaOsiguranja <em>Agencija Osiguranja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.AgencijaOsiguranja
	 * @generated
	 */
	public Adapter createAgencijaOsiguranjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Sud <em>Sud</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Sud
	 * @generated
	 */
	public Adapter createSudAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Objekt <em>Objekt</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Objekt
	 * @generated
	 */
	public Adapter createObjektAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Vozilo <em>Vozilo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Vozilo
	 * @generated
	 */
	public Adapter createVoziloAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OrganVlasti <em>Organ Vlasti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OrganVlasti
	 * @generated
	 */
	public Adapter createOrganVlastiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KaznenaEvidencija <em>Kaznena Evidencija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KaznenaEvidencija
	 * @generated
	 */
	public Adapter createKaznenaEvidencijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Presuda <em>Presuda</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Presuda
	 * @generated
	 */
	public Adapter createPresudaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OruzanaDozvola <em>Oruzana Dozvola</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OruzanaDozvola
	 * @generated
	 */
	public Adapter createOruzanaDozvolaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZahtjevZaNabavkuOruzja <em>Zahtjev Za Nabavku Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZahtjevZaNabavkuOruzja
	 * @generated
	 */
	public Adapter createZahtjevZaNabavkuOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaZahtjevaZaKretanjeVozila <em>Evidencija Zahtjeva Za Kretanje Vozila</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaZahtjevaZaKretanjeVozila
	 * @generated
	 */
	public Adapter createEvidencijaZahtjevaZaKretanjeVozilaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZahtjevZaKretanjeVozila <em>Zahtjev Za Kretanje Vozila</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZahtjevZaKretanjeVozila
	 * @generated
	 */
	public Adapter createZahtjevZaKretanjeVozilaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaZahtjevaZaJavnaOkupljanja <em>Evidencija Zahtjeva Za Javna Okupljanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaZahtjevaZaJavnaOkupljanja
	 * @generated
	 */
	public Adapter createEvidencijaZahtjevaZaJavnaOkupljanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZahtjevZaJavnaOkupljanja <em>Zahtjev Za Javna Okupljanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZahtjevZaJavnaOkupljanja
	 * @generated
	 */
	public Adapter createZahtjevZaJavnaOkupljanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Postupak <em>Postupak</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Postupak
	 * @generated
	 */
	public Adapter createPostupakAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Aktivnost <em>Aktivnost</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Aktivnost
	 * @generated
	 */
	public Adapter createAktivnostAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Predmet <em>Predmet</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Predmet
	 * @generated
	 */
	public Adapter createPredmetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SaobracajnaNezgoda <em>Saobracajna Nezgoda</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SaobracajnaNezgoda
	 * @generated
	 */
	public Adapter createSaobracajnaNezgodaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KategorijaPuta <em>Kategorija Puta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KategorijaPuta
	 * @generated
	 */
	public Adapter createKategorijaPutaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaNezgode <em>Vrsta Nezgode</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaNezgode
	 * @generated
	 */
	public Adapter createVrstaNezgodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOzljede <em>Vrsta Ozljede</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOzljede
	 * @generated
	 */
	public Adapter createVrstaOzljedeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SluzbeneZabiljeske <em>Sluzbene Zabiljeske</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SluzbeneZabiljeske
	 * @generated
	 */
	public Adapter createSluzbeneZabiljeskeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OduzimanjePredmeta <em>Oduzimanje Predmeta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OduzimanjePredmeta
	 * @generated
	 */
	public Adapter createOduzimanjePredmetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UzimanjeOtisaka <em>Uzimanje Otisaka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UzimanjeOtisaka
	 * @generated
	 */
	public Adapter createUzimanjeOtisakaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PrekrsajniPostupak <em>Prekrsajni Postupak</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PrekrsajniPostupak
	 * @generated
	 */
	public Adapter createPrekrsajniPostupakAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZadrzavanjeOsoba <em>Zadrzavanje Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZadrzavanjeOsoba
	 * @generated
	 */
	public Adapter createZadrzavanjeOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UvidjajForenzika <em>Uvidjaj Forenzika</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UvidjajForenzika
	 * @generated
	 */
	public Adapter createUvidjajForenzikaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipAktivnosti <em>Tip Aktivnosti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipAktivnosti
	 * @generated
	 */
	public Adapter createTipAktivnostiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NacinIzvrsenja <em>Nacin Izvrsenja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NacinIzvrsenja
	 * @generated
	 */
	public Adapter createNacinIzvrsenjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaTraga <em>Vrsta Traga</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaTraga
	 * @generated
	 */
	public Adapter createVrstaTragaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NacinFiksiranjaTraga <em>Nacin Fiksiranja Traga</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NacinFiksiranjaTraga
	 * @generated
	 */
	public Adapter createNacinFiksiranjaTragaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RadnjaSaPronadjenimIFiksiranimTragovima <em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RadnjaSaPronadjenimIFiksiranimTragovima
	 * @generated
	 */
	public Adapter createRadnjaSaPronadjenimIFiksiranimTragovimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.LisenjeSlobode <em>Lisenje Slobode</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.LisenjeSlobode
	 * @generated
	 */
	public Adapter createLisenjeSlobodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Pretres <em>Pretres</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Pretres
	 * @generated
	 */
	public Adapter createPretresAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UtvrdjivanjeIdentiteta <em>Utvrdjivanje Identiteta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UtvrdjivanjeIdentiteta
	 * @generated
	 */
	public Adapter createUtvrdjivanjeIdentitetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ProvjeraIdentiteta <em>Provjera Identiteta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ProvjeraIdentiteta
	 * @generated
	 */
	public Adapter createProvjeraIdentitetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RazlogUtvrdjivanjaIdentiteta <em>Razlog Utvrdjivanja Identiteta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RazlogUtvrdjivanjaIdentiteta
	 * @generated
	 */
	public Adapter createRazlogUtvrdjivanjaIdentitetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NaOsnovuCegaJeUtvrdjenIdentitet <em>Na Osnovu Cega Je Utvrdjen Identitet</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NaOsnovuCegaJeUtvrdjenIdentitet
	 * @generated
	 */
	public Adapter createNaOsnovuCegaJeUtvrdjenIdentitetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta <em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta
	 * @generated
	 */
	public Adapter createRadnjePreduzeteUCiljuUtvrdjivanjaIdentitetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NapadNaPolicijskeSluzbenike <em>Napad Na Policijske Sluzbenike</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NapadNaPolicijskeSluzbenike
	 * @generated
	 */
	public Adapter createNapadNaPolicijskeSluzbenikeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PrituzbaGradjana <em>Prituzba Gradjana</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PrituzbaGradjana
	 * @generated
	 */
	public Adapter createPrituzbaGradjanaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RezultatInternogPostupka <em>Rezultat Internog Postupka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RezultatInternogPostupka
	 * @generated
	 */
	public Adapter createRezultatInternogPostupkaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PovredaPoZakonu <em>Povreda Po Zakonu</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PovredaPoZakonu
	 * @generated
	 */
	public Adapter createPovredaPoZakonuAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NazivPovredeSluzbeneDuznosti <em>Naziv Povrede Sluzbene Duznosti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NazivPovredeSluzbeneDuznosti
	 * @generated
	 */
	public Adapter createNazivPovredeSluzbeneDuznostiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StatusZalbe <em>Status Zalbe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StatusZalbe
	 * @generated
	 */
	public Adapter createStatusZalbeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PronalazenjeOsoba <em>Pronalazenje Osoba</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PronalazenjeOsoba
	 * @generated
	 */
	public Adapter createPronalazenjeOsobaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PodneseniIzvjestajiOPocinjenomKrivicnomDjelu <em>Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PodneseniIzvjestajiOPocinjenomKrivicnomDjelu
	 * @generated
	 */
	public Adapter createPodneseniIzvjestajiOPocinjenomKrivicnomDjeluAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KategorijaDjela <em>Kategorija Djela</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KategorijaDjela
	 * @generated
	 */
	public Adapter createKategorijaDjelaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Prekrsaj <em>Prekrsaj</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Prekrsaj
	 * @generated
	 */
	public Adapter createPrekrsajAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KrivicnoDjelo <em>Krivicno Djelo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KrivicnoDjelo
	 * @generated
	 */
	public Adapter createKrivicnoDjeloAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Ostalo <em>Ostalo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Ostalo
	 * @generated
	 */
	public Adapter createOstaloAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PredmetDokumet <em>Predmet Dokumet</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PredmetDokumet
	 * @generated
	 */
	public Adapter createPredmetDokumetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StatusDokumenta <em>Status Dokumenta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StatusDokumenta
	 * @generated
	 */
	public Adapter createStatusDokumentaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.MarkaOruzja <em>Marka Oruzja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.MarkaOruzja
	 * @generated
	 */
	public Adapter createMarkaOruzjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaOUpotrebiSile <em>Evidencija OUpotrebi Sile</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaOUpotrebiSile
	 * @generated
	 */
	public Adapter createEvidencijaOUpotrebiSileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OcjenaOpravdanosti <em>Ocjena Opravdanosti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OcjenaOpravdanosti
	 * @generated
	 */
	public Adapter createOcjenaOpravdanostiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RazlogIskljucivanja <em>Razlog Iskljucivanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RazlogIskljucivanja
	 * @generated
	 */
	public Adapter createRazlogIskljucivanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaIskljucenihVozilaIzPrometa <em>Evidencija Iskljucenih Vozila Iz Prometa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaIskljucenihVozilaIzPrometa
	 * @generated
	 */
	public Adapter createEvidencijaIskljucenihVozilaIzPrometaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaIskljucenihVozacaIzPrometa <em>Evidencija Iskljucenih Vozaca Iz Prometa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaIskljucenihVozacaIzPrometa
	 * @generated
	 */
	public Adapter createEvidencijaIskljucenihVozacaIzPrometaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Rjesenje <em>Rjesenje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Rjesenje
	 * @generated
	 */
	public Adapter createRjesenjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Akt <em>Akt</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Akt
	 * @generated
	 */
	public Adapter createAktAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZakonskaOsnova <em>Zakonska Osnova</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZakonskaOsnova
	 * @generated
	 */
	public Adapter createZakonskaOsnovaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RazlogZadrzavanja <em>Razlog Zadrzavanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RazlogZadrzavanja
	 * @generated
	 */
	public Adapter createRazlogZadrzavanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.NacinOduzimanjaPredmeta <em>Nacin Oduzimanja Predmeta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.NacinOduzimanjaPredmeta
	 * @generated
	 */
	public Adapter createNacinOduzimanjaPredmetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PostupanjeSaPredmetima <em>Postupanje Sa Predmetima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PostupanjeSaPredmetima
	 * @generated
	 */
	public Adapter createPostupanjeSaPredmetimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OdobrenjeZaRadDetAgencija <em>Odobrenje Za Rad Det Agencija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OdobrenjeZaRadDetAgencija
	 * @generated
	 */
	public Adapter createOdobrenjeZaRadDetAgencijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OdobrenjeZaRadAgencijaOsiguranja <em>Odobrenje Za Rad Agencija Osiguranja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OdobrenjeZaRadAgencijaOsiguranja
	 * @generated
	 */
	public Adapter createOdobrenjeZaRadAgencijaOsiguranjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PodaciOPovrijedjenimOsobama <em>Podaci OPovrijedjenim Osobama</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PodaciOPovrijedjenimOsobama
	 * @generated
	 */
	public Adapter createPodaciOPovrijedjenimOsobamaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.vrstaPovrede <em>vrsta Povrede</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.vrstaPovrede
	 * @generated
	 */
	public Adapter createvrstaPovredeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UzrokNezgode <em>Uzrok Nezgode</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UzrokNezgode
	 * @generated
	 */
	public Adapter createUzrokNezgodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SumnjiveOsobe <em>Sumnjive Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SumnjiveOsobe
	 * @generated
	 */
	public Adapter createSumnjiveOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Realzizacija <em>Realzizacija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Realzizacija
	 * @generated
	 */
	public Adapter createRealzizacijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PravnaKvalifikacijaPrekrsaja <em>Pravna Kvalifikacija Prekrsaja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PravnaKvalifikacijaPrekrsaja
	 * @generated
	 */
	public Adapter createPravnaKvalifikacijaPrekrsajaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Oblast <em>Oblast</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Oblast
	 * @generated
	 */
	public Adapter createOblastAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipRadnje <em>Tip Radnje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipRadnje
	 * @generated
	 */
	public Adapter createTipRadnjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ZakonskaKvalifikacija <em>Zakonska Kvalifikacija</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ZakonskaKvalifikacija
	 * @generated
	 */
	public Adapter createZakonskaKvalifikacijaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Preduzece <em>Preduzece</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Preduzece
	 * @generated
	 */
	public Adapter createPreduzeceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaLica <em>Vrsta Lica</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaLica
	 * @generated
	 */
	public Adapter createVrstaLicaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OpisOdjece <em>Opis Odjece</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OpisOdjece
	 * @generated
	 */
	public Adapter createOpisOdjeceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.MarkaVozila <em>Marka Vozila</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.MarkaVozila
	 * @generated
	 */
	public Adapter createMarkaVozilaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipVozila <em>Tip Vozila</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipVozila
	 * @generated
	 */
	public Adapter createTipVozilaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StatusZapisa <em>Status Zapisa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StatusZapisa
	 * @generated
	 */
	public Adapter createStatusZapisaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaDogadjaja <em>Vrsta Dogadjaja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaDogadjaja
	 * @generated
	 */
	public Adapter createVrstaDogadjajaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StatusObradeDogadjaja <em>Status Obrade Dogadjaja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StatusObradeDogadjaja
	 * @generated
	 */
	public Adapter createStatusObradeDogadjajaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaObjekta <em>Vrsta Objekta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaObjekta
	 * @generated
	 */
	public Adapter createVrstaObjektaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OpisGovoraOsobe <em>Opis Govora Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OpisGovoraOsobe
	 * @generated
	 */
	public Adapter createOpisGovoraOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OpisDijalektaOsobe <em>Opis Dijalekta Osobe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OpisDijalektaOsobe
	 * @generated
	 */
	public Adapter createOpisDijalektaOsobeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EvidencijaDogadjaja <em>Evidencija Dogadjaja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EvidencijaDogadjaja
	 * @generated
	 */
	public Adapter createEvidencijaDogadjajaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSmjene <em>Vrsta Smjene</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSmjene
	 * @generated
	 */
	public Adapter createVrstaSmjeneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Uloga <em>Uloga</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Uloga
	 * @generated
	 */
	public Adapter createUlogaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Cin <em>Cin</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Cin
	 * @generated
	 */
	public Adapter createCinAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Odsustva <em>Odsustva</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Odsustva
	 * @generated
	 */
	public Adapter createOdsustvaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipAdrese <em>Tip Adrese</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipAdrese
	 * @generated
	 */
	public Adapter createTipAdreseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.vrstaKontakta <em>vrsta Kontakta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.vrstaKontakta
	 * @generated
	 */
	public Adapter createvrstaKontaktaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOdsustva <em>Vrsta Odsustva</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOdsustva
	 * @generated
	 */
	public Adapter createVrstaOdsustvaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.BankovniRacun <em>Bankovni Racun</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.BankovniRacun
	 * @generated
	 */
	public Adapter createBankovniRacunAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaRacuna <em>Vrsta Racuna</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaRacuna
	 * @generated
	 */
	public Adapter createVrstaRacunaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Banka <em>Banka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Banka
	 * @generated
	 */
	public Adapter createBankaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KontaktZaposlenika <em>Kontakt Zaposlenika</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KontaktZaposlenika
	 * @generated
	 */
	public Adapter createKontaktZaposlenikaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Kontakt <em>Kontakt</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Kontakt
	 * @generated
	 */
	public Adapter createKontaktAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UzdrzavaniClanovi <em>Uzdrzavani Clanovi</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UzdrzavaniClanovi
	 * @generated
	 */
	public Adapter createUzdrzavaniClanoviAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Spol <em>Spol</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Spol
	 * @generated
	 */
	public Adapter createSpolAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Skolovanja <em>Skolovanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Skolovanja
	 * @generated
	 */
	public Adapter createSkolovanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSkolovanja <em>Vrsta Skolovanja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSkolovanja
	 * @generated
	 */
	public Adapter createVrstaSkolovanjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StecenaStrucnaSprema <em>Stecena Strucna Sprema</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StecenaStrucnaSprema
	 * @generated
	 */
	public Adapter createStecenaStrucnaSpremaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Uloge <em>Uloge</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Uloge
	 * @generated
	 */
	public Adapter createUlogeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TrenutneUloge <em>Trenutne Uloge</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TrenutneUloge
	 * @generated
	 */
	public Adapter createTrenutneUlogeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ProcesneUloge <em>Procesne Uloge</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ProcesneUloge
	 * @generated
	 */
	public Adapter createProcesneUlogeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RadneUloge <em>Radne Uloge</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RadneUloge
	 * @generated
	 */
	public Adapter createRadneUlogeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaZaposlenika <em>Vrsta Zaposlenika</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaZaposlenika
	 * @generated
	 */
	public Adapter createVrstaZaposlenikaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.CinjenjeKaznenogDjela <em>Cinjenje Kaznenog Djela</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.CinjenjeKaznenogDjela
	 * @generated
	 */
	public Adapter createCinjenjeKaznenogDjelaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.InterniPostupak <em>Interni Postupak</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.InterniPostupak
	 * @generated
	 */
	public Adapter createInterniPostupakAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Zaposlenja <em>Zaposlenja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Zaposlenja
	 * @generated
	 */
	public Adapter createZaposlenjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrtsaZaposlenja <em>Vrtsa Zaposlenja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrtsaZaposlenja
	 * @generated
	 */
	public Adapter createVrtsaZaposlenjaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RadnoMjesto <em>Radno Mjesto</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RadnoMjesto
	 * @generated
	 */
	public Adapter createRadnoMjestoAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Nagrade <em>Nagrade</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Nagrade
	 * @generated
	 */
	public Adapter createNagradeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Kazne <em>Kazne</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Kazne
	 * @generated
	 */
	public Adapter createKazneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KvalifikacijaKazne <em>Kvalifikacija Kazne</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KvalifikacijaKazne
	 * @generated
	 */
	public Adapter createKvalifikacijaKazneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.GodisnjaOcjena <em>Godisnja Ocjena</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.GodisnjaOcjena
	 * @generated
	 */
	public Adapter createGodisnjaOcjenaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Prezaduzenje <em>Prezaduzenje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Prezaduzenje
	 * @generated
	 */
	public Adapter createPrezaduzenjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaPredemeta <em>Vrsta Predemeta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaPredemeta
	 * @generated
	 */
	public Adapter createVrstaPredemetaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaOrganaVlasti <em>Vrsta Organa Vlasti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaOrganaVlasti
	 * @generated
	 */
	public Adapter createVrstaOrganaVlastiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.TipObjekta <em>Tip Objekta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.TipObjekta
	 * @generated
	 */
	public Adapter createTipObjektaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OpisOkolnihZvukova <em>Opis Okolnih Zvukova</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OpisOkolnihZvukova
	 * @generated
	 */
	public Adapter createOpisOkolnihZvukovaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaPapiraNaIspisuBlagajne <em>Vrsta Papira Na Ispisu Blagajne</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaPapiraNaIspisuBlagajne
	 * @generated
	 */
	public Adapter createVrstaPapiraNaIspisuBlagajneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.User <em>User</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.User
	 * @generated
	 */
	public Adapter createUserAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Permisije <em>Permisije</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Permisije
	 * @generated
	 */
	public Adapter createPermisijeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.EksterniDMS <em>Eksterni DMS</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.EksterniDMS
	 * @generated
	 */
	public Adapter createEksterniDMSAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PatrolniNalog <em>Patrolni Nalog</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PatrolniNalog
	 * @generated
	 */
	public Adapter createPatrolniNalogAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PatrolniDokumenti <em>Patrolni Dokumenti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PatrolniDokumenti
	 * @generated
	 */
	public Adapter createPatrolniDokumentiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaDokumentaPredmetaAkta <em>Vrsta Dokumenta Predmeta Akta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaDokumentaPredmetaAkta
	 * @generated
	 */
	public Adapter createVrstaDokumentaPredmetaAktaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Razgovor <em>Razgovor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Razgovor
	 * @generated
	 */
	public Adapter createRazgovorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UserRazgovor <em>User Razgovor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UserRazgovor
	 * @generated
	 */
	public Adapter createUserRazgovorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Poruka <em>Poruka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Poruka
	 * @generated
	 */
	public Adapter createPorukaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StanjeCitanjaPoruke <em>Stanje Citanja Poruke</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StanjeCitanjaPoruke
	 * @generated
	 */
	public Adapter createStanjeCitanjaPorukeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.statusPoruke <em>status Poruke</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.statusPoruke
	 * @generated
	 */
	public Adapter createstatusPorukeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativnaSredstva <em>Operativna Sredstva</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativnaSredstva
	 * @generated
	 */
	public Adapter createOperativnaSredstvaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaUredjaja <em>Vrsta Uredjaja</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaUredjaja
	 * @generated
	 */
	public Adapter createVrstaUredjajaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PatrolniNalogAktivnosti <em>Patrolni Nalog Aktivnosti</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PatrolniNalogAktivnosti
	 * @generated
	 */
	public Adapter createPatrolniNalogAktivnostiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativnoVozilo <em>Operativno Vozilo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativnoVozilo
	 * @generated
	 */
	public Adapter createOperativnoVoziloAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UpotrebaOperatinvihSredstava <em>Upotreba Operatinvih Sredstava</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UpotrebaOperatinvihSredstava
	 * @generated
	 */
	public Adapter createUpotrebaOperatinvihSredstavaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.UpotrebaVozila <em>Upotreba Vozila</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.UpotrebaVozila
	 * @generated
	 */
	public Adapter createUpotrebaVozilaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Zapis <em>Zapis</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Zapis
	 * @generated
	 */
	public Adapter createZapisAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.File <em>File</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.File
	 * @generated
	 */
	public Adapter createFileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Access <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Access
	 * @generated
	 */
	public Adapter createAccessAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.AccessType <em>Access Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.AccessType
	 * @generated
	 */
	public Adapter createAccessTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaSluzbe <em>Vrsta Sluzbe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaSluzbe
	 * @generated
	 */
	public Adapter createVrstaSluzbeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Patrola <em>Patrola</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Patrola
	 * @generated
	 */
	public Adapter createPatrolaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RedniBrojDokumenta <em>Redni Broj Dokumenta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RedniBrojDokumenta
	 * @generated
	 */
	public Adapter createRedniBrojDokumentaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Folder <em>Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Folder
	 * @generated
	 */
	public Adapter createFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.FolderType <em>Folder Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.FolderType
	 * @generated
	 */
	public Adapter createFolderTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.FolderMetadata <em>Folder Metadata</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.FolderMetadata
	 * @generated
	 */
	public Adapter createFolderMetadataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KvalifikacijskaGrupa <em>Kvalifikacijska Grupa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KvalifikacijskaGrupa
	 * @generated
	 */
	public Adapter createKvalifikacijskaGrupaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KvalifikacijskaPodgrupa <em>Kvalifikacijska Podgrupa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KvalifikacijskaPodgrupa
	 * @generated
	 */
	public Adapter createKvalifikacijskaPodgrupaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniRadar <em>Operativni Radar</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniRadar
	 * @generated
	 */
	public Adapter createOperativniRadarAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniAlkotest <em>Operativni Alkotest</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniAlkotest
	 * @generated
	 */
	public Adapter createOperativniAlkotestAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniRadioUredjaj <em>Operativni Radio Uredjaj</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniRadioUredjaj
	 * @generated
	 */
	public Adapter createOperativniRadioUredjajAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniFotoAparat <em>Operativni Foto Aparat</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniFotoAparat
	 * @generated
	 */
	public Adapter createOperativniFotoAparatAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniReflektor <em>Operativni Reflektor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniReflektor
	 * @generated
	 */
	public Adapter createOperativniReflektorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OperativniMetarPantljinka <em>Operativni Metar Pantljinka</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OperativniMetarPantljinka
	 * @generated
	 */
	public Adapter createOperativniMetarPantljinkaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OstalaOperativnaOprema <em>Ostala Operativna Oprema</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OstalaOperativnaOprema
	 * @generated
	 */
	public Adapter createOstalaOperativnaOpremaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.OwnerHistory <em>Owner History</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.OwnerHistory
	 * @generated
	 */
	public Adapter createOwnerHistoryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RecordType <em>Record Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RecordType
	 * @generated
	 */
	public Adapter createRecordTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Tag <em>Tag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Tag
	 * @generated
	 */
	public Adapter createTagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Task <em>Task</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Task
	 * @generated
	 */
	public Adapter createTaskAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Priority <em>Priority</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Priority
	 * @generated
	 */
	public Adapter createPriorityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.taskStatusType <em>task Status Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.taskStatusType
	 * @generated
	 */
	public Adapter createtaskStatusTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Assigment <em>Assigment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Assigment
	 * @generated
	 */
	public Adapter createAssigmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.AssigmentStatus <em>Assigment Status</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.AssigmentStatus
	 * @generated
	 */
	public Adapter createAssigmentStatusAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Grupe <em>Grupe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Grupe
	 * @generated
	 */
	public Adapter createGrupeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KomponenteAplikacije <em>Komponente Aplikacije</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KomponenteAplikacije
	 * @generated
	 */
	public Adapter createKomponenteAplikacijeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SentTo <em>Sent To</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SentTo
	 * @generated
	 */
	public Adapter createSentToAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SentCC <em>Sent CC</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SentCC
	 * @generated
	 */
	public Adapter createSentCCAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.SentType <em>Sent Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.SentType
	 * @generated
	 */
	public Adapter createSentTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Attachment <em>Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Attachment
	 * @generated
	 */
	public Adapter createAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrtsaTima <em>Vrtsa Tima</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrtsaTima
	 * @generated
	 */
	public Adapter createVrtsaTimaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Tim <em>Tim</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Tim
	 * @generated
	 */
	public Adapter createTimAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RasporedSmjena <em>Raspored Smjena</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RasporedSmjena
	 * @generated
	 */
	public Adapter createRasporedSmjenaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RasporedSluzbe <em>Raspored Sluzbe</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RasporedSluzbe
	 * @generated
	 */
	public Adapter createRasporedSluzbeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Role <em>Role</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Role
	 * @generated
	 */
	public Adapter createRoleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaTaska <em>Vrsta Taska</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaTaska
	 * @generated
	 */
	public Adapter createVrstaTaskaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.ProcesiKomponenteAplikacije <em>Procesi Komponente Aplikacije</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.ProcesiKomponenteAplikacije
	 * @generated
	 */
	public Adapter createProcesiKomponenteAplikacijeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Procesi <em>Procesi</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Procesi
	 * @generated
	 */
	public Adapter createProcesiAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.InstancaProcesa <em>Instanca Procesa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.InstancaProcesa
	 * @generated
	 */
	public Adapter createInstancaProcesaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaProcesnogTaska <em>Vrsta Procesnog Taska</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaProcesnogTaska
	 * @generated
	 */
	public Adapter createVrstaProcesnogTaskaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Prilog <em>Prilog</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Prilog
	 * @generated
	 */
	public Adapter createPrilogAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.RecdordLink <em>Recdord Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.RecdordLink
	 * @generated
	 */
	public Adapter createRecdordLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.StepenStrucneSpreme <em>Stepen Strucne Spreme</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.StepenStrucneSpreme
	 * @generated
	 */
	public Adapter createStepenStrucneSpremeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Osiguranje <em>Osiguranje</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Osiguranje
	 * @generated
	 */
	public Adapter createOsiguranjeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.KrvnaGrupa <em>Krvna Grupa</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.KrvnaGrupa
	 * @generated
	 */
	public Adapter createKrvnaGrupaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.Drzavljanstvo <em>Drzavljanstvo</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.Drzavljanstvo
	 * @generated
	 */
	public Adapter createDrzavljanstvoAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.PotpisniciDokumenta <em>Potpisnici Dokumenta</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.PotpisniciDokumenta
	 * @generated
	 */
	public Adapter createPotpisniciDokumentaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link pbdmodel.VrstaPotpisnika <em>Vrsta Potpisnika</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see pbdmodel.VrstaPotpisnika
	 * @generated
	 */
	public Adapter createVrstaPotpisnikaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //PbdmodelAdapterFactory
