/**
 */
package pbdmodel.util;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.util.Switch;

import pbdmodel.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see pbdmodel.PbdmodelPackage
 * @generated
 */
public class PbdmodelSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static PbdmodelPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PbdmodelSwitch() {
		if (modelPackage == null) {
			modelPackage = PbdmodelPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @parameter ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case PbdmodelPackage.MJESTO: {
				Mjesto mjesto = (Mjesto)theEObject;
				T result = caseMjesto(mjesto);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DRZAVA: {
				Drzava drzava = (Drzava)theEObject;
				T result = caseDrzava(drzava);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPSTINA: {
				Opstina opstina = (Opstina)theEObject;
				T result = caseOpstina(opstina);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SEKTOR: {
				Sektor sektor = (Sektor)theEObject;
				T result = caseSektor(sektor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.MJESNA_ZAJEDNICA: {
				MjesnaZajednica mjesnaZajednica = (MjesnaZajednica)theEObject;
				T result = caseMjesnaZajednica(mjesnaZajednica);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ULICA: {
				Ulica ulica = (Ulica)theEObject;
				T result = caseUlica(ulica);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ADRESA: {
				Adresa adresa = (Adresa)theEObject;
				T result = caseAdresa(adresa);
				if (result == null) result = caseMetadata(adresa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OSOBA: {
				Osoba osoba = (Osoba)theEObject;
				T result = caseOsoba(osoba);
				if (result == null) result = caseMetadata(osoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIONALNOST: {
				Nacionalnost nacionalnost = (Nacionalnost)theEObject;
				T result = caseNacionalnost(nacionalnost);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UPOTREBA_SILE: {
				UpotrebaSile upotrebaSile = (UpotrebaSile)theEObject;
				T result = caseUpotrebaSile(upotrebaSile);
				if (result == null) result = caseAktivnost(upotrebaSile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_IZVRSENIH_PRETRESA: {
				EvidencijaIzvrsenihPretresa evidencijaIzvrsenihPretresa = (EvidencijaIzvrsenihPretresa)theEObject;
				T result = caseEvidencijaIzvrsenihPretresa(evidencijaIzvrsenihPretresa);
				if (result == null) result = caseEvidencije(evidencijaIzvrsenihPretresa);
				if (result == null) result = caseMetadata(evidencijaIzvrsenihPretresa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_PRIVREMENO_ODUZETIM_PREDMETIMA: {
				EvidencijaoPrivremenoOduzetimPredmetima evidencijaoPrivremenoOduzetimPredmetima = (EvidencijaoPrivremenoOduzetimPredmetima)theEObject;
				T result = caseEvidencijaoPrivremenoOduzetimPredmetima(evidencijaoPrivremenoOduzetimPredmetima);
				if (result == null) result = caseEvidencije(evidencijaoPrivremenoOduzetimPredmetima);
				if (result == null) result = caseMetadata(evidencijaoPrivremenoOduzetimPredmetima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_OSOBAMA_KOJE_SU_LISENE_SLOBODE: {
				EvidencijaoOsobamaKojeSuLiseneSlobode evidencijaoOsobamaKojeSuLiseneSlobode = (EvidencijaoOsobamaKojeSuLiseneSlobode)theEObject;
				T result = caseEvidencijaoOsobamaKojeSuLiseneSlobode(evidencijaoOsobamaKojeSuLiseneSlobode);
				if (result == null) result = caseEvidencije(evidencijaoOsobamaKojeSuLiseneSlobode);
				if (result == null) result = caseMetadata(evidencijaoOsobamaKojeSuLiseneSlobode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ISKLJUCIVANJE_VOZACA_IZ_PROMETA: {
				IskljucivanjeVozacaIzPrometa iskljucivanjeVozacaIzPrometa = (IskljucivanjeVozacaIzPrometa)theEObject;
				T result = caseIskljucivanjeVozacaIzPrometa(iskljucivanjeVozacaIzPrometa);
				if (result == null) result = caseAktivnost(iskljucivanjeVozacaIzPrometa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ISKLJUCIVANJE_VOZILA_IZ_PROMETA: {
				IskljucivanjeVozilaIzPrometa iskljucivanjeVozilaIzPrometa = (IskljucivanjeVozilaIzPrometa)theEObject;
				T result = caseIskljucivanjeVozilaIzPrometa(iskljucivanjeVozilaIzPrometa);
				if (result == null) result = caseAktivnost(iskljucivanjeVozilaIzPrometa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_POCINJENIM_KAZNENIM_DJELIMA_KAOI_OSOBAMA_OSTECENIM_KAZNENIM_DJELIMA: {
				EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima evidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima = (EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima)theEObject;
				T result = caseEvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima(evidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima);
				if (result == null) result = caseEvidencije(evidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima);
				if (result == null) result = caseMetadata(evidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_PROMETNIH_NESRECA_SA_NASTRADALIM_OSOBAMA: {
				EvidencijaPrometnihNesrecaSaNastradalimOsobama evidencijaPrometnihNesrecaSaNastradalimOsobama = (EvidencijaPrometnihNesrecaSaNastradalimOsobama)theEObject;
				T result = caseEvidencijaPrometnihNesrecaSaNastradalimOsobama(evidencijaPrometnihNesrecaSaNastradalimOsobama);
				if (result == null) result = caseEvidencije(evidencijaPrometnihNesrecaSaNastradalimOsobama);
				if (result == null) result = caseMetadata(evidencijaPrometnihNesrecaSaNastradalimOsobama);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_KAZNENIM_DJELIMA_POCINJENIH_OD_NEPOZNATIH_POCINIOCA: {
				EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca evidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca = (EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca)theEObject;
				T result = caseEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca(evidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca);
				if (result == null) result = caseEvidencije(evidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca);
				if (result == null) result = caseMetadata(evidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ZADRZANIH_OSOBA: {
				EvidencijaZadrzanihOsoba evidencijaZadrzanihOsoba = (EvidencijaZadrzanihOsoba)theEObject;
				T result = caseEvidencijaZadrzanihOsoba(evidencijaZadrzanihOsoba);
				if (result == null) result = caseEvidencije(evidencijaZadrzanihOsoba);
				if (result == null) result = caseMetadata(evidencijaZadrzanihOsoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_OTISCIMA: {
				EvidencijaoOtiscima evidencijaoOtiscima = (EvidencijaoOtiscima)theEObject;
				T result = caseEvidencijaoOtiscima(evidencijaoOtiscima);
				if (result == null) result = caseEvidencije(evidencijaoOtiscima);
				if (result == null) result = caseMetadata(evidencijaoOtiscima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_UVIDAJA_FORENZIKE: {
				EvidencijaUvidajaForenzike evidencijaUvidajaForenzike = (EvidencijaUvidajaForenzike)theEObject;
				T result = caseEvidencijaUvidajaForenzike(evidencijaUvidajaForenzike);
				if (result == null) result = caseEvidencije(evidencijaUvidajaForenzike);
				if (result == null) result = caseMetadata(evidencijaUvidajaForenzike);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_PROMETNIH_NEZGODAS_MATERIJALNOM_STETOM: {
				EvidencijaPrometnihNezgodasMaterijalnomStetom evidencijaPrometnihNezgodasMaterijalnomStetom = (EvidencijaPrometnihNezgodasMaterijalnomStetom)theEObject;
				T result = caseEvidencijaPrometnihNezgodasMaterijalnomStetom(evidencijaPrometnihNezgodasMaterijalnomStetom);
				if (result == null) result = caseEvidencije(evidencijaPrometnihNezgodasMaterijalnomStetom);
				if (result == null) result = caseMetadata(evidencijaPrometnihNezgodasMaterijalnomStetom);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_PRIVREMENO_ODUZETOGI_PRONADENOG_ORUZJAI_MUNICIJE: {
				EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije evidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije = (EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije)theEObject;
				T result = caseEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije(evidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije);
				if (result == null) result = caseEvidencije(evidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije);
				if (result == null) result = caseMetadata(evidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_OSOBAMA_ZA_KOJE_POSTOJI_OSNOVE_SUMNJE_DA_SU_POCINILE_KAZNENA_DJELA: {
				EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela evidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela = (EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela)theEObject;
				T result = caseEvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela(evidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela);
				if (result == null) result = caseEvidencije(evidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela);
				if (result == null) result = caseMetadata(evidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_SLUZBENIH_ZABILJESKI: {
				EvidencijaSluzbenihZabiljeski evidencijaSluzbenihZabiljeski = (EvidencijaSluzbenihZabiljeski)theEObject;
				T result = caseEvidencijaSluzbenihZabiljeski(evidencijaSluzbenihZabiljeski);
				if (result == null) result = caseEvidencije(evidencijaSluzbenihZabiljeski);
				if (result == null) result = caseMetadata(evidencijaSluzbenihZabiljeski);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_IZDATIH_DOZVOLA_ZA_NOSENJE_ORUZJA: {
				EvidencijaIzdatihDozvolaZaNosenjeOruzja evidencijaIzdatihDozvolaZaNosenjeOruzja = (EvidencijaIzdatihDozvolaZaNosenjeOruzja)theEObject;
				T result = caseEvidencijaIzdatihDozvolaZaNosenjeOruzja(evidencijaIzdatihDozvolaZaNosenjeOruzja);
				if (result == null) result = caseEvidencije(evidencijaIzdatihDozvolaZaNosenjeOruzja);
				if (result == null) result = caseMetadata(evidencijaIzdatihDozvolaZaNosenjeOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_IZDATIH_ORUZANIH_LISTOVA: {
				EvidencijaIzdatihOruzanihListova evidencijaIzdatihOruzanihListova = (EvidencijaIzdatihOruzanihListova)theEObject;
				T result = caseEvidencijaIzdatihOruzanihListova(evidencijaIzdatihOruzanihListova);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ODOBRENJA_DET_AGENCIJAMA: {
				EvidencijaOdobrenjaDetAgencijama evidencijaOdobrenjaDetAgencijama = (EvidencijaOdobrenjaDetAgencijama)theEObject;
				T result = caseEvidencijaOdobrenjaDetAgencijama(evidencijaOdobrenjaDetAgencijama);
				if (result == null) result = caseEvidencije(evidencijaOdobrenjaDetAgencijama);
				if (result == null) result = caseMetadata(evidencijaOdobrenjaDetAgencijama);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_PRITUZBAMA_GRADANA: {
				EvidencijaoPrituzbamaGradana evidencijaoPrituzbamaGradana = (EvidencijaoPrituzbamaGradana)theEObject;
				T result = caseEvidencijaoPrituzbamaGradana(evidencijaoPrituzbamaGradana);
				if (result == null) result = caseEvidencije(evidencijaoPrituzbamaGradana);
				if (result == null) result = caseMetadata(evidencijaoPrituzbamaGradana);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_ODOBRENJU_ZA_RAD_AGENCIJA_ZA_OSIGURANJE_OSOBAI_IMOVINE: {
				EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine evidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine = (EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine)theEObject;
				T result = caseEvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine(evidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine);
				if (result == null) result = caseEvidencije(evidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine);
				if (result == null) result = caseMetadata(evidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_UPOZORENIH_OSOBA: {
				EvidencijaUpozorenihOsoba evidencijaUpozorenihOsoba = (EvidencijaUpozorenihOsoba)theEObject;
				T result = caseEvidencijaUpozorenihOsoba(evidencijaUpozorenihOsoba);
				if (result == null) result = caseEvidencije(evidencijaUpozorenihOsoba);
				if (result == null) result = caseMetadata(evidencijaUpozorenihOsoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_ZAHTJEVIMA_ZA_POKRETANJE_PREKRSAJNIH_POSTUPAKA: {
				EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka evidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka = (EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka)theEObject;
				T result = caseEvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka(evidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka);
				if (result == null) result = caseEvidencije(evidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka);
				if (result == null) result = caseMetadata(evidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_PROVJERI_IDENTITETA: {
				EvidencijaoProvjeriIdentiteta evidencijaoProvjeriIdentiteta = (EvidencijaoProvjeriIdentiteta)theEObject;
				T result = caseEvidencijaoProvjeriIdentiteta(evidencijaoProvjeriIdentiteta);
				if (result == null) result = caseEvidencije(evidencijaoProvjeriIdentiteta);
				if (result == null) result = caseMetadata(evidencijaoProvjeriIdentiteta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJAO_LICIMA_KOJIMA_JE_UTVRDIVAN_IDENTITET: {
				EvidencijaoLicimaKojimaJeUtvrdivanIdentitet evidencijaoLicimaKojimaJeUtvrdivanIdentitet = (EvidencijaoLicimaKojimaJeUtvrdivanIdentitet)theEObject;
				T result = caseEvidencijaoLicimaKojimaJeUtvrdivanIdentitet(evidencijaoLicimaKojimaJeUtvrdivanIdentitet);
				if (result == null) result = caseEvidencije(evidencijaoLicimaKojimaJeUtvrdivanIdentitet);
				if (result == null) result = caseMetadata(evidencijaoLicimaKojimaJeUtvrdivanIdentitet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_OORUZANIM_LISTOVIMA: {
				EvidencijaOOruzanimListovima evidencijaOOruzanimListovima = (EvidencijaOOruzanimListovima)theEObject;
				T result = caseEvidencijaOOruzanimListovima(evidencijaOOruzanimListovima);
				if (result == null) result = caseEvidencije(evidencijaOOruzanimListovima);
				if (result == null) result = caseMetadata(evidencijaOOruzanimListovima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_PODNESENIH_IZVJESTAJAO_POCINJENOM_KRIVICNOM_DJELU: {
				EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu evidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu = (EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu)theEObject;
				T result = caseEvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu(evidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu);
				if (result == null) result = caseEvidencije(evidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu);
				if (result == null) result = caseMetadata(evidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_PODNESENIH_ZAHTJEVA_ZA_NABAVU_ORUZJA: {
				EvidencijaPodnesenihZahtjevaZaNabavuOruzja evidencijaPodnesenihZahtjevaZaNabavuOruzja = (EvidencijaPodnesenihZahtjevaZaNabavuOruzja)theEObject;
				T result = caseEvidencijaPodnesenihZahtjevaZaNabavuOruzja(evidencijaPodnesenihZahtjevaZaNabavuOruzja);
				if (result == null) result = caseEvidencije(evidencijaPodnesenihZahtjevaZaNabavuOruzja);
				if (result == null) result = caseMetadata(evidencijaPodnesenihZahtjevaZaNabavuOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_NAPADA_NA_POLICIJSKE_SLUZBENIKE: {
				EvidencijaNapadaNaPolicijskeSluzbenike evidencijaNapadaNaPolicijskeSluzbenike = (EvidencijaNapadaNaPolicijskeSluzbenike)theEObject;
				T result = caseEvidencijaNapadaNaPolicijskeSluzbenike(evidencijaNapadaNaPolicijskeSluzbenike);
				if (result == null) result = caseEvidencije(evidencijaNapadaNaPolicijskeSluzbenike);
				if (result == null) result = caseMetadata(evidencijaNapadaNaPolicijskeSluzbenike);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRONADENA_NEPOZNATA_LICA_KOJA_NISUU_MOGUCNOSTI_DA_DAJU_PODATKEO_SEBI: {
				PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi pronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi = (PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi)theEObject;
				T result = casePronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi(pronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi);
				if (result == null) result = caseEvidencije(pronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi);
				if (result == null) result = caseMetadata(pronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SUDIONIKA: {
				VrstaSudionika vrstaSudionika = (VrstaSudionika)theEObject;
				T result = caseVrstaSudionika(vrstaSudionika);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJE: {
				Evidencije evidencije = (Evidencije)theEObject;
				T result = caseEvidencije(evidencije);
				if (result == null) result = caseMetadata(evidencije);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DOGADJAJ: {
				Dogadjaj dogadjaj = (Dogadjaj)theEObject;
				T result = caseDogadjaj(dogadjaj);
				if (result == null) result = caseMetadata(dogadjaj);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ULAZA_UEVIDENCIJU: {
				VrstaUlazaUEvidenciju vrstaUlazaUEvidenciju = (VrstaUlazaUEvidenciju)theEObject;
				T result = caseVrstaUlazaUEvidenciju(vrstaUlazaUEvidenciju);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORUZJE: {
				Oruzje oruzje = (Oruzje)theEObject;
				T result = caseOruzje(oruzje);
				if (result == null) result = caseMetadata(oruzje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ORUZJA: {
				VrstaOruzja vrstaOruzja = (VrstaOruzja)theEObject;
				T result = caseVrstaOruzja(vrstaOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.MODEL_ORUZJA: {
				ModelOruzja modelOruzja = (ModelOruzja)theEObject;
				T result = caseModelOruzja(modelOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KALIBAR_ORUZJA: {
				KalibarOruzja kalibarOruzja = (KalibarOruzja)theEObject;
				T result = caseKalibarOruzja(kalibarOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_ORUZJA: {
				TipOruzja tipOruzja = (TipOruzja)theEObject;
				T result = caseTipOruzja(tipOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SLUZBENA_OSOBA: {
				SluzbenaOsoba sluzbenaOsoba = (SluzbenaOsoba)theEObject;
				T result = caseSluzbenaOsoba(sluzbenaOsoba);
				if (result == null) result = caseZaposlenici(sluzbenaOsoba);
				if (result == null) result = caseOsoba(sluzbenaOsoba);
				if (result == null) result = caseMetadata(sluzbenaOsoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SLUZBENE_OSOBE: {
				VrstaSluzbeneOsobe vrstaSluzbeneOsobe = (VrstaSluzbeneOsobe)theEObject;
				T result = caseVrstaSluzbeneOsobe(vrstaSluzbeneOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.FUNKCIJA_SLUZBENE_OSOBE: {
				FunkcijaSluzbeneOsobe funkcijaSluzbeneOsobe = (FunkcijaSluzbeneOsobe)theEObject;
				T result = caseFunkcijaSluzbeneOsobe(funkcijaSluzbeneOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_FUNKCIJE_SLUZBENE_OSOBE: {
				VrstaFunkcijeSluzbeneOsobe vrstaFunkcijeSluzbeneOsobe = (VrstaFunkcijeSluzbeneOsobe)theEObject;
				T result = caseVrstaFunkcijeSluzbeneOsobe(vrstaFunkcijeSluzbeneOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DOKUMENT: {
				Dokument dokument = (Dokument)theEObject;
				T result = caseDokument(dokument);
				if (result == null) result = caseZapis(dokument);
				if (result == null) result = caseMetadata(dokument);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORUZANI_LIST: {
				OruzaniList oruzaniList = (OruzaniList)theEObject;
				T result = caseOruzaniList(oruzaniList);
				if (result == null) result = caseDokument(oruzaniList);
				if (result == null) result = caseZapis(oruzaniList);
				if (result == null) result = caseMetadata(oruzaniList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.METADATA: {
				Metadata metadata = (Metadata)theEObject;
				T result = caseMetadata(metadata);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_ORUZJA: {
				StatusOruzja statusOruzja = (StatusOruzja)theEObject;
				T result = caseStatusOruzja(statusOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SUDIONIK: {
				Sudionik sudionik = (Sudionik)theEObject;
				T result = caseSudionik(sudionik);
				if (result == null) result = caseOsoba(sudionik);
				if (result == null) result = caseMetadata(sudionik);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_OORUZJU: {
				EvidencijaOOruzju evidencijaOOruzju = (EvidencijaOOruzju)theEObject;
				T result = caseEvidencijaOOruzju(evidencijaOOruzju);
				if (result == null) result = caseEvidencije(evidencijaOOruzju);
				if (result == null) result = caseMetadata(evidencijaOOruzju);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIN_ZAPRIMANJA_PRIJAVE: {
				NacinZaprimanjaPrijave nacinZaprimanjaPrijave = (NacinZaprimanjaPrijave)theEObject;
				T result = caseNacinZaprimanjaPrijave(nacinZaprimanjaPrijave);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_GLASA_OSOBE: {
				VrstaGlasaOsobe vrstaGlasaOsobe = (VrstaGlasaOsobe)theEObject;
				T result = caseVrstaGlasaOsobe(vrstaGlasaOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_GOVOR_OSOBE: {
				VrstaGovorOsobe vrstaGovorOsobe = (VrstaGovorOsobe)theEObject;
				T result = caseVrstaGovorOsobe(vrstaGovorOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_IDENTITETA_OSOBE: {
				VrstaIdentitetaOsobe vrstaIdentitetaOsobe = (VrstaIdentitetaOsobe)theEObject;
				T result = caseVrstaIdentitetaOsobe(vrstaIdentitetaOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_DIJALEKTA_OSOBE: {
				VrstaDijalektaOsobe vrstaDijalektaOsobe = (VrstaDijalektaOsobe)theEObject;
				T result = caseVrstaDijalektaOsobe(vrstaDijalektaOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_STAVA_OSOBE: {
				VrstaStavaOsobe vrstaStavaOsobe = (VrstaStavaOsobe)theEObject;
				T result = caseVrstaStavaOsobe(vrstaStavaOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_OKOLNIH_ZVUKOVA: {
				VrstaOkolnihZvukova vrstaOkolnihZvukova = (VrstaOkolnihZvukova)theEObject;
				T result = caseVrstaOkolnihZvukova(vrstaOkolnihZvukova);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRIJAVA: {
				Prijava prijava = (Prijava)theEObject;
				T result = casePrijava(prijava);
				if (result == null) result = caseMetadata(prijava);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.POLICIJSKO_POSTUPANJE: {
				PolicijskoPostupanje policijskoPostupanje = (PolicijskoPostupanje)theEObject;
				T result = casePolicijskoPostupanje(policijskoPostupanje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORG_JEDINICA: {
				OrgJedinica orgJedinica = (OrgJedinica)theEObject;
				T result = caseOrgJedinica(orgJedinica);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORGANIZACIJA: {
				Organizacija organizacija = (Organizacija)theEObject;
				T result = caseOrganizacija(organizacija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ORG_JEDINICE: {
				VrstaOrgJedinice vrstaOrgJedinice = (VrstaOrgJedinice)theEObject;
				T result = caseVrstaOrgJedinice(vrstaOrgJedinice);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_LICNOG_DOKUMENTA: {
				TipLicnogDokumenta tipLicnogDokumenta = (TipLicnogDokumenta)theEObject;
				T result = caseTipLicnogDokumenta(tipLicnogDokumenta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAPOSLENICI: {
				Zaposlenici zaposlenici = (Zaposlenici)theEObject;
				T result = caseZaposlenici(zaposlenici);
				if (result == null) result = caseOsoba(zaposlenici);
				if (result == null) result = caseMetadata(zaposlenici);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NESLUZBENE_OSOBE: {
				NesluzbeneOsobe nesluzbeneOsobe = (NesluzbeneOsobe)theEObject;
				T result = caseNesluzbeneOsobe(nesluzbeneOsobe);
				if (result == null) result = caseZaposlenici(nesluzbeneOsobe);
				if (result == null) result = caseOsoba(nesluzbeneOsobe);
				if (result == null) result = caseMetadata(nesluzbeneOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_NESLUZBENE_OSOBE: {
				VrstaNesluzbeneOsobe vrstaNesluzbeneOsobe = (VrstaNesluzbeneOsobe)theEObject;
				T result = caseVrstaNesluzbeneOsobe(vrstaNesluzbeneOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAKON: {
				Zakon zakon = (Zakon)theEObject;
				T result = caseZakon(zakon);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_POSTUPANJA: {
				vrstaPostupanja vrstaPostupanja = (vrstaPostupanja)theEObject;
				T result = casevrstaPostupanja(vrstaPostupanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DJELO: {
				Djelo djelo = (Djelo)theEObject;
				T result = caseDjelo(djelo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_DJELA: {
				VrstaDjela vrstaDjela = (VrstaDjela)theEObject;
				T result = caseVrstaDjela(vrstaDjela);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PODVRSTA_DJELA: {
				PodvrstaDjela podvrstaDjela = (PodvrstaDjela)theEObject;
				T result = casePodvrstaDjela(podvrstaDjela);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STETA: {
				Steta steta = (Steta)theEObject;
				T result = caseSteta(steta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_VALUTE: {
				VrstaValute vrstaValute = (VrstaValute)theEObject;
				T result = caseVrstaValute(vrstaValute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_STETE: {
				VrstaStete vrstaStete = (VrstaStete)theEObject;
				T result = caseVrstaStete(vrstaStete);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIN_POSTUPANJA: {
				NacinPostupanja nacinPostupanja = (NacinPostupanja)theEObject;
				T result = caseNacinPostupanja(nacinPostupanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SAVJETI: {
				savjeti savjeti = (savjeti)theEObject;
				T result = casesavjeti(savjeti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KARTON_LICA: {
				KartonLica kartonLica = (KartonLica)theEObject;
				T result = caseKartonLica(kartonLica);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SILE: {
				VrstaSile vrstaSile = (VrstaSile)theEObject;
				T result = caseVrstaSile(vrstaSile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.IZVOR_PODATAKA: {
				IzvorPodataka izvorPodataka = (IzvorPodataka)theEObject;
				T result = caseIzvorPodataka(izvorPodataka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPIS_OSOBE: {
				OpisOsobe opisOsobe = (OpisOsobe)theEObject;
				T result = caseOpisOsobe(opisOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PODNOSILAC_PRIJAVE: {
				PodnosilacPrijave podnosilacPrijave = (PodnosilacPrijave)theEObject;
				T result = casePodnosilacPrijave(podnosilacPrijave);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRAVNO_LICE: {
				PravnoLice pravnoLice = (PravnoLice)theEObject;
				T result = casePravnoLice(pravnoLice);
				if (result == null) result = caseMetadata(pravnoLice);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DETEKTIVSKA_AGENCIJA: {
				DetektivskaAgencija detektivskaAgencija = (DetektivskaAgencija)theEObject;
				T result = caseDetektivskaAgencija(detektivskaAgencija);
				if (result == null) result = casePravnoLice(detektivskaAgencija);
				if (result == null) result = caseMetadata(detektivskaAgencija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.AGENCIJA_OSIGURANJA: {
				AgencijaOsiguranja agencijaOsiguranja = (AgencijaOsiguranja)theEObject;
				T result = caseAgencijaOsiguranja(agencijaOsiguranja);
				if (result == null) result = casePravnoLice(agencijaOsiguranja);
				if (result == null) result = caseMetadata(agencijaOsiguranja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SUD: {
				Sud sud = (Sud)theEObject;
				T result = caseSud(sud);
				if (result == null) result = caseOrganVlasti(sud);
				if (result == null) result = casePravnoLice(sud);
				if (result == null) result = caseMetadata(sud);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OBJEKT: {
				Objekt objekt = (Objekt)theEObject;
				T result = caseObjekt(objekt);
				if (result == null) result = caseMetadata(objekt);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VOZILO: {
				Vozilo vozilo = (Vozilo)theEObject;
				T result = caseVozilo(vozilo);
				if (result == null) result = caseObjekt(vozilo);
				if (result == null) result = caseMetadata(vozilo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORGAN_VLASTI: {
				OrganVlasti organVlasti = (OrganVlasti)theEObject;
				T result = caseOrganVlasti(organVlasti);
				if (result == null) result = casePravnoLice(organVlasti);
				if (result == null) result = caseMetadata(organVlasti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KAZNENA_EVIDENCIJA: {
				KaznenaEvidencija kaznenaEvidencija = (KaznenaEvidencija)theEObject;
				T result = caseKaznenaEvidencija(kaznenaEvidencija);
				if (result == null) result = caseEvidencije(kaznenaEvidencija);
				if (result == null) result = caseMetadata(kaznenaEvidencija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRESUDA: {
				Presuda presuda = (Presuda)theEObject;
				T result = casePresuda(presuda);
				if (result == null) result = caseDokument(presuda);
				if (result == null) result = caseZapis(presuda);
				if (result == null) result = caseMetadata(presuda);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ORUZANA_DOZVOLA: {
				OruzanaDozvola oruzanaDozvola = (OruzanaDozvola)theEObject;
				T result = caseOruzanaDozvola(oruzanaDozvola);
				if (result == null) result = caseDokument(oruzanaDozvola);
				if (result == null) result = caseZapis(oruzanaDozvola);
				if (result == null) result = caseMetadata(oruzanaDozvola);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAHTJEV_ZA_NABAVKU_ORUZJA: {
				ZahtjevZaNabavkuOruzja zahtjevZaNabavkuOruzja = (ZahtjevZaNabavkuOruzja)theEObject;
				T result = caseZahtjevZaNabavkuOruzja(zahtjevZaNabavkuOruzja);
				if (result == null) result = caseDokument(zahtjevZaNabavkuOruzja);
				if (result == null) result = caseZapis(zahtjevZaNabavkuOruzja);
				if (result == null) result = caseMetadata(zahtjevZaNabavkuOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ZAHTJEVA_ZA_KRETANJE_VOZILA: {
				EvidencijaZahtjevaZaKretanjeVozila evidencijaZahtjevaZaKretanjeVozila = (EvidencijaZahtjevaZaKretanjeVozila)theEObject;
				T result = caseEvidencijaZahtjevaZaKretanjeVozila(evidencijaZahtjevaZaKretanjeVozila);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAHTJEV_ZA_KRETANJE_VOZILA: {
				ZahtjevZaKretanjeVozila zahtjevZaKretanjeVozila = (ZahtjevZaKretanjeVozila)theEObject;
				T result = caseZahtjevZaKretanjeVozila(zahtjevZaKretanjeVozila);
				if (result == null) result = caseDokument(zahtjevZaKretanjeVozila);
				if (result == null) result = caseZapis(zahtjevZaKretanjeVozila);
				if (result == null) result = caseMetadata(zahtjevZaKretanjeVozila);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ZAHTJEVA_ZA_JAVNA_OKUPLJANJA: {
				EvidencijaZahtjevaZaJavnaOkupljanja evidencijaZahtjevaZaJavnaOkupljanja = (EvidencijaZahtjevaZaJavnaOkupljanja)theEObject;
				T result = caseEvidencijaZahtjevaZaJavnaOkupljanja(evidencijaZahtjevaZaJavnaOkupljanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAHTJEV_ZA_JAVNA_OKUPLJANJA: {
				ZahtjevZaJavnaOkupljanja zahtjevZaJavnaOkupljanja = (ZahtjevZaJavnaOkupljanja)theEObject;
				T result = caseZahtjevZaJavnaOkupljanja(zahtjevZaJavnaOkupljanja);
				if (result == null) result = caseDokument(zahtjevZaJavnaOkupljanja);
				if (result == null) result = caseZapis(zahtjevZaJavnaOkupljanja);
				if (result == null) result = caseMetadata(zahtjevZaJavnaOkupljanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.POSTUPAK: {
				Postupak postupak = (Postupak)theEObject;
				T result = casePostupak(postupak);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.AKTIVNOST: {
				Aktivnost aktivnost = (Aktivnost)theEObject;
				T result = caseAktivnost(aktivnost);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREDMET: {
				Predmet predmet = (Predmet)theEObject;
				T result = casePredmet(predmet);
				if (result == null) result = caseObjekt(predmet);
				if (result == null) result = caseMetadata(predmet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SAOBRACAJNA_NEZGODA: {
				SaobracajnaNezgoda saobracajnaNezgoda = (SaobracajnaNezgoda)theEObject;
				T result = caseSaobracajnaNezgoda(saobracajnaNezgoda);
				if (result == null) result = caseAktivnost(saobracajnaNezgoda);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KATEGORIJA_PUTA: {
				KategorijaPuta kategorijaPuta = (KategorijaPuta)theEObject;
				T result = caseKategorijaPuta(kategorijaPuta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_NEZGODE: {
				VrstaNezgode vrstaNezgode = (VrstaNezgode)theEObject;
				T result = caseVrstaNezgode(vrstaNezgode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_OZLJEDE: {
				VrstaOzljede vrstaOzljede = (VrstaOzljede)theEObject;
				T result = caseVrstaOzljede(vrstaOzljede);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SLUZBENE_ZABILJESKE: {
				SluzbeneZabiljeske sluzbeneZabiljeske = (SluzbeneZabiljeske)theEObject;
				T result = caseSluzbeneZabiljeske(sluzbeneZabiljeske);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ODUZIMANJE_PREDMETA: {
				OduzimanjePredmeta oduzimanjePredmeta = (OduzimanjePredmeta)theEObject;
				T result = caseOduzimanjePredmeta(oduzimanjePredmeta);
				if (result == null) result = caseAktivnost(oduzimanjePredmeta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UZIMANJE_OTISAKA: {
				UzimanjeOtisaka uzimanjeOtisaka = (UzimanjeOtisaka)theEObject;
				T result = caseUzimanjeOtisaka(uzimanjeOtisaka);
				if (result == null) result = caseAktivnost(uzimanjeOtisaka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREKRSAJNI_POSTUPAK: {
				PrekrsajniPostupak prekrsajniPostupak = (PrekrsajniPostupak)theEObject;
				T result = casePrekrsajniPostupak(prekrsajniPostupak);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZADRZAVANJE_OSOBA: {
				ZadrzavanjeOsoba zadrzavanjeOsoba = (ZadrzavanjeOsoba)theEObject;
				T result = caseZadrzavanjeOsoba(zadrzavanjeOsoba);
				if (result == null) result = caseAktivnost(zadrzavanjeOsoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UVIDJAJ_FORENZIKA: {
				UvidjajForenzika uvidjajForenzika = (UvidjajForenzika)theEObject;
				T result = caseUvidjajForenzika(uvidjajForenzika);
				if (result == null) result = caseAktivnost(uvidjajForenzika);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_AKTIVNOSTI: {
				TipAktivnosti tipAktivnosti = (TipAktivnosti)theEObject;
				T result = caseTipAktivnosti(tipAktivnosti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIN_IZVRSENJA: {
				NacinIzvrsenja nacinIzvrsenja = (NacinIzvrsenja)theEObject;
				T result = caseNacinIzvrsenja(nacinIzvrsenja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_TRAGA: {
				VrstaTraga vrstaTraga = (VrstaTraga)theEObject;
				T result = caseVrstaTraga(vrstaTraga);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIN_FIKSIRANJA_TRAGA: {
				NacinFiksiranjaTraga nacinFiksiranjaTraga = (NacinFiksiranjaTraga)theEObject;
				T result = caseNacinFiksiranjaTraga(nacinFiksiranjaTraga);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RADNJA_SA_PRONADJENIM_IFIKSIRANIM_TRAGOVIMA: {
				RadnjaSaPronadjenimIFiksiranimTragovima radnjaSaPronadjenimIFiksiranimTragovima = (RadnjaSaPronadjenimIFiksiranimTragovima)theEObject;
				T result = caseRadnjaSaPronadjenimIFiksiranimTragovima(radnjaSaPronadjenimIFiksiranimTragovima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.LISENJE_SLOBODE: {
				LisenjeSlobode lisenjeSlobode = (LisenjeSlobode)theEObject;
				T result = caseLisenjeSlobode(lisenjeSlobode);
				if (result == null) result = caseAktivnost(lisenjeSlobode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRETRES: {
				Pretres pretres = (Pretres)theEObject;
				T result = casePretres(pretres);
				if (result == null) result = caseAktivnost(pretres);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UTVRDJIVANJE_IDENTITETA: {
				UtvrdjivanjeIdentiteta utvrdjivanjeIdentiteta = (UtvrdjivanjeIdentiteta)theEObject;
				T result = caseUtvrdjivanjeIdentiteta(utvrdjivanjeIdentiteta);
				if (result == null) result = caseAktivnost(utvrdjivanjeIdentiteta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PROVJERA_IDENTITETA: {
				ProvjeraIdentiteta provjeraIdentiteta = (ProvjeraIdentiteta)theEObject;
				T result = caseProvjeraIdentiteta(provjeraIdentiteta);
				if (result == null) result = caseAktivnost(provjeraIdentiteta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RAZLOG_UTVRDJIVANJA_IDENTITETA: {
				RazlogUtvrdjivanjaIdentiteta razlogUtvrdjivanjaIdentiteta = (RazlogUtvrdjivanjaIdentiteta)theEObject;
				T result = caseRazlogUtvrdjivanjaIdentiteta(razlogUtvrdjivanjaIdentiteta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NA_OSNOVU_CEGA_JE_UTVRDJEN_IDENTITET: {
				NaOsnovuCegaJeUtvrdjenIdentitet naOsnovuCegaJeUtvrdjenIdentitet = (NaOsnovuCegaJeUtvrdjenIdentitet)theEObject;
				T result = caseNaOsnovuCegaJeUtvrdjenIdentitet(naOsnovuCegaJeUtvrdjenIdentitet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RADNJE_PREDUZETE_UCILJU_UTVRDJIVANJA_IDENTITETA: {
				RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta = (RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta)theEObject;
				T result = caseRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta(radnjePreduzeteUCiljuUtvrdjivanjaIdentiteta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NAPAD_NA_POLICIJSKE_SLUZBENIKE: {
				NapadNaPolicijskeSluzbenike napadNaPolicijskeSluzbenike = (NapadNaPolicijskeSluzbenike)theEObject;
				T result = caseNapadNaPolicijskeSluzbenike(napadNaPolicijskeSluzbenike);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRITUZBA_GRADJANA: {
				PrituzbaGradjana prituzbaGradjana = (PrituzbaGradjana)theEObject;
				T result = casePrituzbaGradjana(prituzbaGradjana);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.REZULTAT_INTERNOG_POSTUPKA: {
				RezultatInternogPostupka rezultatInternogPostupka = (RezultatInternogPostupka)theEObject;
				T result = caseRezultatInternogPostupka(rezultatInternogPostupka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.POVREDA_PO_ZAKONU: {
				PovredaPoZakonu povredaPoZakonu = (PovredaPoZakonu)theEObject;
				T result = casePovredaPoZakonu(povredaPoZakonu);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NAZIV_POVREDE_SLUZBENE_DUZNOSTI: {
				NazivPovredeSluzbeneDuznosti nazivPovredeSluzbeneDuznosti = (NazivPovredeSluzbeneDuznosti)theEObject;
				T result = caseNazivPovredeSluzbeneDuznosti(nazivPovredeSluzbeneDuznosti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_ZALBE: {
				StatusZalbe statusZalbe = (StatusZalbe)theEObject;
				T result = caseStatusZalbe(statusZalbe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRONALAZENJE_OSOBA: {
				PronalazenjeOsoba pronalazenjeOsoba = (PronalazenjeOsoba)theEObject;
				T result = casePronalazenjeOsoba(pronalazenjeOsoba);
				if (result == null) result = caseAktivnost(pronalazenjeOsoba);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PODNESENI_IZVJESTAJI_OPOCINJENOM_KRIVICNOM_DJELU: {
				PodneseniIzvjestajiOPocinjenomKrivicnomDjelu podneseniIzvjestajiOPocinjenomKrivicnomDjelu = (PodneseniIzvjestajiOPocinjenomKrivicnomDjelu)theEObject;
				T result = casePodneseniIzvjestajiOPocinjenomKrivicnomDjelu(podneseniIzvjestajiOPocinjenomKrivicnomDjelu);
				if (result == null) result = caseDokument(podneseniIzvjestajiOPocinjenomKrivicnomDjelu);
				if (result == null) result = caseZapis(podneseniIzvjestajiOPocinjenomKrivicnomDjelu);
				if (result == null) result = caseMetadata(podneseniIzvjestajiOPocinjenomKrivicnomDjelu);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KATEGORIJA_DJELA: {
				KategorijaDjela kategorijaDjela = (KategorijaDjela)theEObject;
				T result = caseKategorijaDjela(kategorijaDjela);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREKRSAJ: {
				Prekrsaj prekrsaj = (Prekrsaj)theEObject;
				T result = casePrekrsaj(prekrsaj);
				if (result == null) result = caseKategorijaDjela(prekrsaj);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KRIVICNO_DJELO: {
				KrivicnoDjelo krivicnoDjelo = (KrivicnoDjelo)theEObject;
				T result = caseKrivicnoDjelo(krivicnoDjelo);
				if (result == null) result = caseKategorijaDjela(krivicnoDjelo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OSTALO: {
				Ostalo ostalo = (Ostalo)theEObject;
				T result = caseOstalo(ostalo);
				if (result == null) result = caseKategorijaDjela(ostalo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREDMET_DOKUMET: {
				PredmetDokumet predmetDokumet = (PredmetDokumet)theEObject;
				T result = casePredmetDokumet(predmetDokumet);
				if (result == null) result = caseFolder(predmetDokumet);
				if (result == null) result = caseZapis(predmetDokumet);
				if (result == null) result = caseMetadata(predmetDokumet);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_DOKUMENTA: {
				StatusDokumenta statusDokumenta = (StatusDokumenta)theEObject;
				T result = caseStatusDokumenta(statusDokumenta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.MARKA_ORUZJA: {
				MarkaOruzja markaOruzja = (MarkaOruzja)theEObject;
				T result = caseMarkaOruzja(markaOruzja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_OUPOTREBI_SILE: {
				EvidencijaOUpotrebiSile evidencijaOUpotrebiSile = (EvidencijaOUpotrebiSile)theEObject;
				T result = caseEvidencijaOUpotrebiSile(evidencijaOUpotrebiSile);
				if (result == null) result = caseEvidencije(evidencijaOUpotrebiSile);
				if (result == null) result = caseMetadata(evidencijaOUpotrebiSile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OCJENA_OPRAVDANOSTI: {
				OcjenaOpravdanosti ocjenaOpravdanosti = (OcjenaOpravdanosti)theEObject;
				T result = caseOcjenaOpravdanosti(ocjenaOpravdanosti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RAZLOG_ISKLJUCIVANJA: {
				RazlogIskljucivanja razlogIskljucivanja = (RazlogIskljucivanja)theEObject;
				T result = caseRazlogIskljucivanja(razlogIskljucivanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ISKLJUCENIH_VOZILA_IZ_PROMETA: {
				EvidencijaIskljucenihVozilaIzPrometa evidencijaIskljucenihVozilaIzPrometa = (EvidencijaIskljucenihVozilaIzPrometa)theEObject;
				T result = caseEvidencijaIskljucenihVozilaIzPrometa(evidencijaIskljucenihVozilaIzPrometa);
				if (result == null) result = caseEvidencije(evidencijaIskljucenihVozilaIzPrometa);
				if (result == null) result = caseMetadata(evidencijaIskljucenihVozilaIzPrometa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_ISKLJUCENIH_VOZACA_IZ_PROMETA: {
				EvidencijaIskljucenihVozacaIzPrometa evidencijaIskljucenihVozacaIzPrometa = (EvidencijaIskljucenihVozacaIzPrometa)theEObject;
				T result = caseEvidencijaIskljucenihVozacaIzPrometa(evidencijaIskljucenihVozacaIzPrometa);
				if (result == null) result = caseEvidencije(evidencijaIskljucenihVozacaIzPrometa);
				if (result == null) result = caseMetadata(evidencijaIskljucenihVozacaIzPrometa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RJESENJE: {
				Rjesenje rjesenje = (Rjesenje)theEObject;
				T result = caseRjesenje(rjesenje);
				if (result == null) result = caseDokument(rjesenje);
				if (result == null) result = caseZapis(rjesenje);
				if (result == null) result = caseMetadata(rjesenje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.AKT: {
				Akt akt = (Akt)theEObject;
				T result = caseAkt(akt);
				if (result == null) result = caseDokument(akt);
				if (result == null) result = caseZapis(akt);
				if (result == null) result = caseMetadata(akt);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAKONSKA_OSNOVA: {
				ZakonskaOsnova zakonskaOsnova = (ZakonskaOsnova)theEObject;
				T result = caseZakonskaOsnova(zakonskaOsnova);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RAZLOG_ZADRZAVANJA: {
				RazlogZadrzavanja razlogZadrzavanja = (RazlogZadrzavanja)theEObject;
				T result = caseRazlogZadrzavanja(razlogZadrzavanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NACIN_ODUZIMANJA_PREDMETA: {
				NacinOduzimanjaPredmeta nacinOduzimanjaPredmeta = (NacinOduzimanjaPredmeta)theEObject;
				T result = caseNacinOduzimanjaPredmeta(nacinOduzimanjaPredmeta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.POSTUPANJE_SA_PREDMETIMA: {
				PostupanjeSaPredmetima postupanjeSaPredmetima = (PostupanjeSaPredmetima)theEObject;
				T result = casePostupanjeSaPredmetima(postupanjeSaPredmetima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ODOBRENJE_ZA_RAD_DET_AGENCIJA: {
				OdobrenjeZaRadDetAgencija odobrenjeZaRadDetAgencija = (OdobrenjeZaRadDetAgencija)theEObject;
				T result = caseOdobrenjeZaRadDetAgencija(odobrenjeZaRadDetAgencija);
				if (result == null) result = caseDokument(odobrenjeZaRadDetAgencija);
				if (result == null) result = caseZapis(odobrenjeZaRadDetAgencija);
				if (result == null) result = caseMetadata(odobrenjeZaRadDetAgencija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ODOBRENJE_ZA_RAD_AGENCIJA_OSIGURANJA: {
				OdobrenjeZaRadAgencijaOsiguranja odobrenjeZaRadAgencijaOsiguranja = (OdobrenjeZaRadAgencijaOsiguranja)theEObject;
				T result = caseOdobrenjeZaRadAgencijaOsiguranja(odobrenjeZaRadAgencijaOsiguranja);
				if (result == null) result = caseDokument(odobrenjeZaRadAgencijaOsiguranja);
				if (result == null) result = caseZapis(odobrenjeZaRadAgencijaOsiguranja);
				if (result == null) result = caseMetadata(odobrenjeZaRadAgencijaOsiguranja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PODACI_OPOVRIJEDJENIM_OSOBAMA: {
				PodaciOPovrijedjenimOsobama podaciOPovrijedjenimOsobama = (PodaciOPovrijedjenimOsobama)theEObject;
				T result = casePodaciOPovrijedjenimOsobama(podaciOPovrijedjenimOsobama);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_POVREDE: {
				vrstaPovrede vrstaPovrede = (vrstaPovrede)theEObject;
				T result = casevrstaPovrede(vrstaPovrede);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UZROK_NEZGODE: {
				UzrokNezgode uzrokNezgode = (UzrokNezgode)theEObject;
				T result = caseUzrokNezgode(uzrokNezgode);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SUMNJIVE_OSOBE: {
				SumnjiveOsobe sumnjiveOsobe = (SumnjiveOsobe)theEObject;
				T result = caseSumnjiveOsobe(sumnjiveOsobe);
				if (result == null) result = caseAktivnost(sumnjiveOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.REALZIZACIJA: {
				Realzizacija realzizacija = (Realzizacija)theEObject;
				T result = caseRealzizacija(realzizacija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRAVNA_KVALIFIKACIJA_PREKRSAJA: {
				PravnaKvalifikacijaPrekrsaja pravnaKvalifikacijaPrekrsaja = (PravnaKvalifikacijaPrekrsaja)theEObject;
				T result = casePravnaKvalifikacijaPrekrsaja(pravnaKvalifikacijaPrekrsaja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OBLAST: {
				Oblast oblast = (Oblast)theEObject;
				T result = caseOblast(oblast);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_RADNJE: {
				TipRadnje tipRadnje = (TipRadnje)theEObject;
				T result = caseTipRadnje(tipRadnje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAKONSKA_KVALIFIKACIJA: {
				ZakonskaKvalifikacija zakonskaKvalifikacija = (ZakonskaKvalifikacija)theEObject;
				T result = caseZakonskaKvalifikacija(zakonskaKvalifikacija);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREDUZECE: {
				Preduzece preduzece = (Preduzece)theEObject;
				T result = casePreduzece(preduzece);
				if (result == null) result = casePravnoLice(preduzece);
				if (result == null) result = caseMetadata(preduzece);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_LICA: {
				VrstaLica vrstaLica = (VrstaLica)theEObject;
				T result = caseVrstaLica(vrstaLica);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPIS_ODJECE: {
				OpisOdjece opisOdjece = (OpisOdjece)theEObject;
				T result = caseOpisOdjece(opisOdjece);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.MARKA_VOZILA: {
				MarkaVozila markaVozila = (MarkaVozila)theEObject;
				T result = caseMarkaVozila(markaVozila);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_VOZILA: {
				TipVozila tipVozila = (TipVozila)theEObject;
				T result = caseTipVozila(tipVozila);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_ZAPISA: {
				StatusZapisa statusZapisa = (StatusZapisa)theEObject;
				T result = caseStatusZapisa(statusZapisa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_DOGADJAJA: {
				VrstaDogadjaja vrstaDogadjaja = (VrstaDogadjaja)theEObject;
				T result = caseVrstaDogadjaja(vrstaDogadjaja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_OBRADE_DOGADJAJA: {
				StatusObradeDogadjaja statusObradeDogadjaja = (StatusObradeDogadjaja)theEObject;
				T result = caseStatusObradeDogadjaja(statusObradeDogadjaja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_OBJEKTA: {
				VrstaObjekta vrstaObjekta = (VrstaObjekta)theEObject;
				T result = caseVrstaObjekta(vrstaObjekta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPIS_GOVORA_OSOBE: {
				OpisGovoraOsobe opisGovoraOsobe = (OpisGovoraOsobe)theEObject;
				T result = caseOpisGovoraOsobe(opisGovoraOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPIS_DIJALEKTA_OSOBE: {
				OpisDijalektaOsobe opisDijalektaOsobe = (OpisDijalektaOsobe)theEObject;
				T result = caseOpisDijalektaOsobe(opisDijalektaOsobe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EVIDENCIJA_DOGADJAJA: {
				EvidencijaDogadjaja evidencijaDogadjaja = (EvidencijaDogadjaja)theEObject;
				T result = caseEvidencijaDogadjaja(evidencijaDogadjaja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SMJENE: {
				VrstaSmjene vrstaSmjene = (VrstaSmjene)theEObject;
				T result = caseVrstaSmjene(vrstaSmjene);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ULOGA: {
				Uloga uloga = (Uloga)theEObject;
				T result = caseUloga(uloga);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.CIN: {
				Cin cin = (Cin)theEObject;
				T result = caseCin(cin);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ODSUSTVA: {
				Odsustva odsustva = (Odsustva)theEObject;
				T result = caseOdsustva(odsustva);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_ADRESE: {
				TipAdrese tipAdrese = (TipAdrese)theEObject;
				T result = caseTipAdrese(tipAdrese);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_KONTAKTA: {
				vrstaKontakta vrstaKontakta = (vrstaKontakta)theEObject;
				T result = casevrstaKontakta(vrstaKontakta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ODSUSTVA: {
				VrstaOdsustva vrstaOdsustva = (VrstaOdsustva)theEObject;
				T result = caseVrstaOdsustva(vrstaOdsustva);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.BANKOVNI_RACUN: {
				BankovniRacun bankovniRacun = (BankovniRacun)theEObject;
				T result = caseBankovniRacun(bankovniRacun);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_RACUNA: {
				VrstaRacuna vrstaRacuna = (VrstaRacuna)theEObject;
				T result = caseVrstaRacuna(vrstaRacuna);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.BANKA: {
				Banka banka = (Banka)theEObject;
				T result = caseBanka(banka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KONTAKT_ZAPOSLENIKA: {
				KontaktZaposlenika kontaktZaposlenika = (KontaktZaposlenika)theEObject;
				T result = caseKontaktZaposlenika(kontaktZaposlenika);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KONTAKT: {
				Kontakt kontakt = (Kontakt)theEObject;
				T result = caseKontakt(kontakt);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UZDRZAVANI_CLANOVI: {
				UzdrzavaniClanovi uzdrzavaniClanovi = (UzdrzavaniClanovi)theEObject;
				T result = caseUzdrzavaniClanovi(uzdrzavaniClanovi);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SPOL: {
				Spol spol = (Spol)theEObject;
				T result = caseSpol(spol);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SKOLOVANJA: {
				Skolovanja skolovanja = (Skolovanja)theEObject;
				T result = caseSkolovanja(skolovanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SKOLOVANJA: {
				VrstaSkolovanja vrstaSkolovanja = (VrstaSkolovanja)theEObject;
				T result = caseVrstaSkolovanja(vrstaSkolovanja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STECENA_STRUCNA_SPREMA: {
				StecenaStrucnaSprema stecenaStrucnaSprema = (StecenaStrucnaSprema)theEObject;
				T result = caseStecenaStrucnaSprema(stecenaStrucnaSprema);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ULOGE: {
				Uloge uloge = (Uloge)theEObject;
				T result = caseUloge(uloge);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TRENUTNE_ULOGE: {
				TrenutneUloge trenutneUloge = (TrenutneUloge)theEObject;
				T result = caseTrenutneUloge(trenutneUloge);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PROCESNE_ULOGE: {
				ProcesneUloge procesneUloge = (ProcesneUloge)theEObject;
				T result = caseProcesneUloge(procesneUloge);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RADNE_ULOGE: {
				RadneUloge radneUloge = (RadneUloge)theEObject;
				T result = caseRadneUloge(radneUloge);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ZAPOSLENIKA: {
				VrstaZaposlenika vrstaZaposlenika = (VrstaZaposlenika)theEObject;
				T result = caseVrstaZaposlenika(vrstaZaposlenika);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.CINJENJE_KAZNENOG_DJELA: {
				CinjenjeKaznenogDjela cinjenjeKaznenogDjela = (CinjenjeKaznenogDjela)theEObject;
				T result = caseCinjenjeKaznenogDjela(cinjenjeKaznenogDjela);
				if (result == null) result = caseAktivnost(cinjenjeKaznenogDjela);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.INTERNI_POSTUPAK: {
				InterniPostupak interniPostupak = (InterniPostupak)theEObject;
				T result = caseInterniPostupak(interniPostupak);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAPOSLENJA: {
				Zaposlenja zaposlenja = (Zaposlenja)theEObject;
				T result = caseZaposlenja(zaposlenja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRTSA_ZAPOSLENJA: {
				VrtsaZaposlenja vrtsaZaposlenja = (VrtsaZaposlenja)theEObject;
				T result = caseVrtsaZaposlenja(vrtsaZaposlenja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RADNO_MJESTO: {
				RadnoMjesto radnoMjesto = (RadnoMjesto)theEObject;
				T result = caseRadnoMjesto(radnoMjesto);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.NAGRADE: {
				Nagrade nagrade = (Nagrade)theEObject;
				T result = caseNagrade(nagrade);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KAZNE: {
				Kazne kazne = (Kazne)theEObject;
				T result = caseKazne(kazne);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KVALIFIKACIJA_KAZNE: {
				KvalifikacijaKazne kvalifikacijaKazne = (KvalifikacijaKazne)theEObject;
				T result = caseKvalifikacijaKazne(kvalifikacijaKazne);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.GODISNJA_OCJENA: {
				GodisnjaOcjena godisnjaOcjena = (GodisnjaOcjena)theEObject;
				T result = caseGodisnjaOcjena(godisnjaOcjena);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PREZADUZENJE: {
				Prezaduzenje prezaduzenje = (Prezaduzenje)theEObject;
				T result = casePrezaduzenje(prezaduzenje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_PREDEMETA: {
				VrstaPredemeta vrstaPredemeta = (VrstaPredemeta)theEObject;
				T result = caseVrstaPredemeta(vrstaPredemeta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_ORGANA_VLASTI: {
				VrstaOrganaVlasti vrstaOrganaVlasti = (VrstaOrganaVlasti)theEObject;
				T result = caseVrstaOrganaVlasti(vrstaOrganaVlasti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIP_OBJEKTA: {
				TipObjekta tipObjekta = (TipObjekta)theEObject;
				T result = caseTipObjekta(tipObjekta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPIS_OKOLNIH_ZVUKOVA: {
				OpisOkolnihZvukova opisOkolnihZvukova = (OpisOkolnihZvukova)theEObject;
				T result = caseOpisOkolnihZvukova(opisOkolnihZvukova);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_PAPIRA_NA_ISPISU_BLAGAJNE: {
				VrstaPapiraNaIspisuBlagajne vrstaPapiraNaIspisuBlagajne = (VrstaPapiraNaIspisuBlagajne)theEObject;
				T result = caseVrstaPapiraNaIspisuBlagajne(vrstaPapiraNaIspisuBlagajne);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.USER: {
				User user = (User)theEObject;
				T result = caseUser(user);
				if (result == null) result = caseMetadata(user);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PERMISIJE: {
				Permisije permisije = (Permisije)theEObject;
				T result = casePermisije(permisije);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.EKSTERNI_DMS: {
				EksterniDMS eksterniDMS = (EksterniDMS)theEObject;
				T result = caseEksterniDMS(eksterniDMS);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PATROLNI_NALOG: {
				PatrolniNalog patrolniNalog = (PatrolniNalog)theEObject;
				T result = casePatrolniNalog(patrolniNalog);
//				if (result == null) result = caseAkt(patrolniNalog);
				if (result == null) result = caseDokument(patrolniNalog);
				if (result == null) result = caseZapis(patrolniNalog);
				if (result == null) result = caseMetadata(patrolniNalog);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PATROLNI_DOKUMENTI: {
				PatrolniDokumenti patrolniDokumenti = (PatrolniDokumenti)theEObject;
				T result = casePatrolniDokumenti(patrolniDokumenti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_DOKUMENTA_PREDMETA_AKTA: {
				VrstaDokumentaPredmetaAkta vrstaDokumentaPredmetaAkta = (VrstaDokumentaPredmetaAkta)theEObject;
				T result = caseVrstaDokumentaPredmetaAkta(vrstaDokumentaPredmetaAkta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RAZGOVOR: {
				Razgovor razgovor = (Razgovor)theEObject;
				T result = caseRazgovor(razgovor);
				if (result == null) result = caseMetadata(razgovor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.USER_RAZGOVOR: {
				UserRazgovor userRazgovor = (UserRazgovor)theEObject;
				T result = caseUserRazgovor(userRazgovor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PORUKA: {
				Poruka poruka = (Poruka)theEObject;
				T result = casePoruka(poruka);
				if (result == null) result = caseZapis(poruka);
				if (result == null) result = caseMetadata(poruka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STANJE_CITANJA_PORUKE: {
				StanjeCitanjaPoruke stanjeCitanjaPoruke = (StanjeCitanjaPoruke)theEObject;
				T result = caseStanjeCitanjaPoruke(stanjeCitanjaPoruke);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STATUS_PORUKE: {
				statusPoruke statusPoruke = (statusPoruke)theEObject;
				T result = casestatusPoruke(statusPoruke);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNA_SREDSTVA: {
				OperativnaSredstva operativnaSredstva = (OperativnaSredstva)theEObject;
				T result = caseOperativnaSredstva(operativnaSredstva);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_UREDJAJA: {
				VrstaUredjaja vrstaUredjaja = (VrstaUredjaja)theEObject;
				T result = caseVrstaUredjaja(vrstaUredjaja);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PATROLNI_NALOG_AKTIVNOSTI: {
				PatrolniNalogAktivnosti patrolniNalogAktivnosti = (PatrolniNalogAktivnosti)theEObject;
				T result = casePatrolniNalogAktivnosti(patrolniNalogAktivnosti);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNO_VOZILO: {
				OperativnoVozilo operativnoVozilo = (OperativnoVozilo)theEObject;
				T result = caseOperativnoVozilo(operativnoVozilo);
				if (result == null) result = caseOperativnaSredstva(operativnoVozilo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UPOTREBA_OPERATINVIH_SREDSTAVA: {
				UpotrebaOperatinvihSredstava upotrebaOperatinvihSredstava = (UpotrebaOperatinvihSredstava)theEObject;
				T result = caseUpotrebaOperatinvihSredstava(upotrebaOperatinvihSredstava);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.UPOTREBA_VOZILA: {
				UpotrebaVozila upotrebaVozila = (UpotrebaVozila)theEObject;
				T result = caseUpotrebaVozila(upotrebaVozila);
				if (result == null) result = caseUpotrebaOperatinvihSredstava(upotrebaVozila);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ZAPIS: {
				Zapis zapis = (Zapis)theEObject;
				T result = caseZapis(zapis);
				if (result == null) result = caseMetadata(zapis);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.FILE: {
				File file = (File)theEObject;
				T result = caseFile(file);
				if (result == null) result = caseZapis(file);
				if (result == null) result = caseMetadata(file);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ACCESS: {
				Access access = (Access)theEObject;
				T result = caseAccess(access);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ACCESS_TYPE: {
				AccessType accessType = (AccessType)theEObject;
				T result = caseAccessType(accessType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_SLUZBE: {
				VrstaSluzbe vrstaSluzbe = (VrstaSluzbe)theEObject;
				T result = caseVrstaSluzbe(vrstaSluzbe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PATROLA: {
				Patrola patrola = (Patrola)theEObject;
				T result = casePatrola(patrola);
				if (result == null) result = caseTim(patrola);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.REDNI_BROJ_DOKUMENTA: {
				RedniBrojDokumenta redniBrojDokumenta = (RedniBrojDokumenta)theEObject;
				T result = caseRedniBrojDokumenta(redniBrojDokumenta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.FOLDER: {
				Folder folder = (Folder)theEObject;
				T result = caseFolder(folder);
				if (result == null) result = caseZapis(folder);
				if (result == null) result = caseMetadata(folder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.FOLDER_TYPE: {
				FolderType folderType = (FolderType)theEObject;
				T result = caseFolderType(folderType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.FOLDER_METADATA: {
				FolderMetadata folderMetadata = (FolderMetadata)theEObject;
				T result = caseFolderMetadata(folderMetadata);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KVALIFIKACIJSKA_GRUPA: {
				KvalifikacijskaGrupa kvalifikacijskaGrupa = (KvalifikacijskaGrupa)theEObject;
				T result = caseKvalifikacijskaGrupa(kvalifikacijskaGrupa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KVALIFIKACIJSKA_PODGRUPA: {
				KvalifikacijskaPodgrupa kvalifikacijskaPodgrupa = (KvalifikacijskaPodgrupa)theEObject;
				T result = caseKvalifikacijskaPodgrupa(kvalifikacijskaPodgrupa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_RADAR: {
				OperativniRadar operativniRadar = (OperativniRadar)theEObject;
				T result = caseOperativniRadar(operativniRadar);
				if (result == null) result = caseOperativnaSredstva(operativniRadar);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_ALKOTEST: {
				OperativniAlkotest operativniAlkotest = (OperativniAlkotest)theEObject;
				T result = caseOperativniAlkotest(operativniAlkotest);
				if (result == null) result = caseOperativnaSredstva(operativniAlkotest);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_RADIO_UREDJAJ: {
				OperativniRadioUredjaj operativniRadioUredjaj = (OperativniRadioUredjaj)theEObject;
				T result = caseOperativniRadioUredjaj(operativniRadioUredjaj);
				if (result == null) result = caseOperativnaSredstva(operativniRadioUredjaj);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_FOTO_APARAT: {
				OperativniFotoAparat operativniFotoAparat = (OperativniFotoAparat)theEObject;
				T result = caseOperativniFotoAparat(operativniFotoAparat);
				if (result == null) result = caseOperativnaSredstva(operativniFotoAparat);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_REFLEKTOR: {
				OperativniReflektor operativniReflektor = (OperativniReflektor)theEObject;
				T result = caseOperativniReflektor(operativniReflektor);
				if (result == null) result = caseOperativnaSredstva(operativniReflektor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OPERATIVNI_METAR_PANTLJINKA: {
				OperativniMetarPantljinka operativniMetarPantljinka = (OperativniMetarPantljinka)theEObject;
				T result = caseOperativniMetarPantljinka(operativniMetarPantljinka);
				if (result == null) result = caseOperativnaSredstva(operativniMetarPantljinka);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OSTALA_OPERATIVNA_OPREMA: {
				OstalaOperativnaOprema ostalaOperativnaOprema = (OstalaOperativnaOprema)theEObject;
				T result = caseOstalaOperativnaOprema(ostalaOperativnaOprema);
				if (result == null) result = caseOperativnaSredstva(ostalaOperativnaOprema);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OWNER_HISTORY: {
				OwnerHistory ownerHistory = (OwnerHistory)theEObject;
				T result = caseOwnerHistory(ownerHistory);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RECORD_TYPE: {
				RecordType recordType = (RecordType)theEObject;
				T result = caseRecordType(recordType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TAG: {
				Tag tag = (Tag)theEObject;
				T result = caseTag(tag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TASK: {
				Task task = (Task)theEObject;
				T result = caseTask(task);
				if (result == null) result = caseZapis(task);
				if (result == null) result = caseMetadata(task);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRIORITY: {
				Priority priority = (Priority)theEObject;
				T result = casePriority(priority);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TASK_STATUS_TYPE: {
				taskStatusType taskStatusType = (taskStatusType)theEObject;
				T result = casetaskStatusType(taskStatusType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ASSIGMENT: {
				Assigment assigment = (Assigment)theEObject;
				T result = caseAssigment(assigment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ASSIGMENT_STATUS: {
				AssigmentStatus assigmentStatus = (AssigmentStatus)theEObject;
				T result = caseAssigmentStatus(assigmentStatus);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.GRUPE: {
				Grupe grupe = (Grupe)theEObject;
				T result = caseGrupe(grupe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KOMPONENTE_APLIKACIJE: {
				KomponenteAplikacije komponenteAplikacije = (KomponenteAplikacije)theEObject;
				T result = caseKomponenteAplikacije(komponenteAplikacije);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SENT_TO: {
				SentTo sentTo = (SentTo)theEObject;
				T result = caseSentTo(sentTo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SENT_CC: {
				SentCC sentCC = (SentCC)theEObject;
				T result = caseSentCC(sentCC);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.SENT_TYPE: {
				SentType sentType = (SentType)theEObject;
				T result = caseSentType(sentType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ATTACHMENT: {
				Attachment attachment = (Attachment)theEObject;
				T result = caseAttachment(attachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRTSA_TIMA: {
				VrtsaTima vrtsaTima = (VrtsaTima)theEObject;
				T result = caseVrtsaTima(vrtsaTima);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.TIM: {
				Tim tim = (Tim)theEObject;
				T result = caseTim(tim);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RASPORED_SMJENA: {
				RasporedSmjena rasporedSmjena = (RasporedSmjena)theEObject;
				T result = caseRasporedSmjena(rasporedSmjena);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RASPORED_SLUZBE: {
				RasporedSluzbe rasporedSluzbe = (RasporedSluzbe)theEObject;
				T result = caseRasporedSluzbe(rasporedSluzbe);
				if (result == null) result = caseZapis(rasporedSluzbe);
				if (result == null) result = caseMetadata(rasporedSluzbe);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.ROLE: {
				Role role = (Role)theEObject;
				T result = caseRole(role);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_TASKA: {
				VrstaTaska vrstaTaska = (VrstaTaska)theEObject;
				T result = caseVrstaTaska(vrstaTaska);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PROCESI_KOMPONENTE_APLIKACIJE: {
				ProcesiKomponenteAplikacije procesiKomponenteAplikacije = (ProcesiKomponenteAplikacije)theEObject;
				T result = caseProcesiKomponenteAplikacije(procesiKomponenteAplikacije);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PROCESI: {
				Procesi procesi = (Procesi)theEObject;
				T result = caseProcesi(procesi);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.INSTANCA_PROCESA: {
				InstancaProcesa instancaProcesa = (InstancaProcesa)theEObject;
				T result = caseInstancaProcesa(instancaProcesa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_PROCESNOG_TASKA: {
				VrstaProcesnogTaska vrstaProcesnogTaska = (VrstaProcesnogTaska)theEObject;
				T result = caseVrstaProcesnogTaska(vrstaProcesnogTaska);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.PRILOG: {
				Prilog prilog = (Prilog)theEObject;
				T result = casePrilog(prilog);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.RECDORD_LINK: {
				RecdordLink recdordLink = (RecdordLink)theEObject;
				T result = caseRecdordLink(recdordLink);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.STEPEN_STRUCNE_SPREME: {
				StepenStrucneSpreme stepenStrucneSpreme = (StepenStrucneSpreme)theEObject;
				T result = caseStepenStrucneSpreme(stepenStrucneSpreme);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.OSIGURANJE: {
				Osiguranje osiguranje = (Osiguranje)theEObject;
				T result = caseOsiguranje(osiguranje);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.KRVNA_GRUPA: {
				KrvnaGrupa krvnaGrupa = (KrvnaGrupa)theEObject;
				T result = caseKrvnaGrupa(krvnaGrupa);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.DRZAVLJANSTVO: {
				Drzavljanstvo drzavljanstvo = (Drzavljanstvo)theEObject;
				T result = caseDrzavljanstvo(drzavljanstvo);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.POTPISNICI_DOKUMENTA: {
				PotpisniciDokumenta potpisniciDokumenta = (PotpisniciDokumenta)theEObject;
				T result = casePotpisniciDokumenta(potpisniciDokumenta);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case PbdmodelPackage.VRSTA_POTPISNIKA: {
				VrstaPotpisnika vrstaPotpisnika = (VrstaPotpisnika)theEObject;
				T result = caseVrstaPotpisnika(vrstaPotpisnika);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Mjesto</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Mjesto</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMjesto(Mjesto object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Drzava</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Drzava</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDrzava(Drzava object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opstina</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opstina</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpstina(Opstina object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sektor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sektor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSektor(Sektor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Mjesna Zajednica</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Mjesna Zajednica</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMjesnaZajednica(MjesnaZajednica object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ulica</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ulica</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUlica(Ulica object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Adresa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Adresa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAdresa(Adresa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOsoba(Osoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacionalnost</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacionalnost</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacionalnost(Nacionalnost object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Upotreba Sile</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Upotreba Sile</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUpotrebaSile(UpotrebaSile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Izvrsenih Pretresa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Izvrsenih Pretresa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaIzvrsenihPretresa(EvidencijaIzvrsenihPretresa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Privremeno Oduzetim Predmetima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Privremeno Oduzetim Predmetima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoPrivremenoOduzetimPredmetima(EvidencijaoPrivremenoOduzetimPredmetima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Osobama Koje Su Lisene Slobode</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Osobama Koje Su Lisene Slobode</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoOsobamaKojeSuLiseneSlobode(EvidencijaoOsobamaKojeSuLiseneSlobode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Iskljucivanje Vozaca Iz Prometa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Iskljucivanje Vozaca Iz Prometa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIskljucivanjeVozacaIzPrometa(IskljucivanjeVozacaIzPrometa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Iskljucivanje Vozila Iz Prometa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Iskljucivanje Vozila Iz Prometa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIskljucivanjeVozilaIzPrometa(IskljucivanjeVozilaIzPrometa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Pocinjenim Kaznenim Djelima Kaoi Osobama Ostecenim Kaznenim Djelima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Pocinjenim Kaznenim Djelima Kaoi Osobama Ostecenim Kaznenim Djelima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima(EvidencijaoPocinjenimKaznenimDjelimaKaoiOsobamaOstecenimKaznenimDjelima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Prometnih Nesreca Sa Nastradalim Osobama</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Prometnih Nesreca Sa Nastradalim Osobama</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaPrometnihNesrecaSaNastradalimOsobama(EvidencijaPrometnihNesrecaSaNastradalimOsobama object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Kaznenim Djelima Pocinjenih Od Nepoznatih Pocinioca</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca(EvidencijaoKaznenimDjelimaPocinjenihOdNepoznatihPocinioca object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Zadrzanih Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Zadrzanih Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaZadrzanihOsoba(EvidencijaZadrzanihOsoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Otiscima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Otiscima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoOtiscima(EvidencijaoOtiscima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Uvidaja Forenzike</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Uvidaja Forenzike</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaUvidajaForenzike(EvidencijaUvidajaForenzike object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Prometnih Nezgodas Materijalnom Stetom</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Prometnih Nezgodas Materijalnom Stetom</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaPrometnihNezgodasMaterijalnomStetom(EvidencijaPrometnihNezgodasMaterijalnomStetom object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Privremeno Oduzetogi Pronadenog Oruzjai Municije</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije(EvidencijaPrivremenoOduzetogiPronadenogOruzjaiMunicije object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Osobama Za Koje Postoji Osnove Sumnje Da Su Pocinile Kaznena Djela</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Osobama Za Koje Postoji Osnove Sumnje Da Su Pocinile Kaznena Djela</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela(EvidencijaoOsobamaZaKojePostojiOsnoveSumnjeDaSuPocinileKaznenaDjela object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Sluzbenih Zabiljeski</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Sluzbenih Zabiljeski</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaSluzbenihZabiljeski(EvidencijaSluzbenihZabiljeski object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Izdatih Dozvola Za Nosenje Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Izdatih Dozvola Za Nosenje Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaIzdatihDozvolaZaNosenjeOruzja(EvidencijaIzdatihDozvolaZaNosenjeOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Izdatih Oruzanih Listova</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Izdatih Oruzanih Listova</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaIzdatihOruzanihListova(EvidencijaIzdatihOruzanihListova object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Odobrenja Det Agencijama</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Odobrenja Det Agencijama</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaOdobrenjaDetAgencijama(EvidencijaOdobrenjaDetAgencijama object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Prituzbama Gradana</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Prituzbama Gradana</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoPrituzbamaGradana(EvidencijaoPrituzbamaGradana object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Odobrenju Za Rad Agencija Za Osiguranje Osobai Imovine</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Odobrenju Za Rad Agencija Za Osiguranje Osobai Imovine</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine(EvidencijaoOdobrenjuZaRadAgencijaZaOsiguranjeOsobaiImovine object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Upozorenih Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Upozorenih Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaUpozorenihOsoba(EvidencijaUpozorenihOsoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Zahtjevima Za Pokretanje Prekrsajnih Postupaka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Zahtjevima Za Pokretanje Prekrsajnih Postupaka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka(EvidencijaoZahtjevimaZaPokretanjePrekrsajnihPostupaka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Provjeri Identiteta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Provjeri Identiteta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoProvjeriIdentiteta(EvidencijaoProvjeriIdentiteta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencijao Licima Kojima Je Utvrdivan Identitet</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencijao Licima Kojima Je Utvrdivan Identitet</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaoLicimaKojimaJeUtvrdivanIdentitet(EvidencijaoLicimaKojimaJeUtvrdivanIdentitet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija OOruzanim Listovima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija OOruzanim Listovima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaOOruzanimListovima(EvidencijaOOruzanimListovima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Podnesenih Izvjestajao Pocinjenom Krivicnom Djelu</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Podnesenih Izvjestajao Pocinjenom Krivicnom Djelu</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu(EvidencijaPodnesenihIzvjestajaoPocinjenomKrivicnomDjelu object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Podnesenih Zahtjeva Za Nabavu Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Podnesenih Zahtjeva Za Nabavu Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaPodnesenihZahtjevaZaNabavuOruzja(EvidencijaPodnesenihZahtjevaZaNabavuOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Napada Na Policijske Sluzbenike</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Napada Na Policijske Sluzbenike</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaNapadaNaPolicijskeSluzbenike(EvidencijaNapadaNaPolicijskeSluzbenike object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pronadena Nepoznata Lica Koja Nisuu Mogucnosti Da Daju Podatkeo Sebi</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pronadena Nepoznata Lica Koja Nisuu Mogucnosti Da Daju Podatkeo Sebi</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi(PronadenaNepoznataLicaKojaNisuuMogucnostiDaDajuPodatkeoSebi object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Sudionika</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Sudionika</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSudionika(VrstaSudionika object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencije</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencije</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencije(Evidencije object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dogadjaj</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dogadjaj</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDogadjaj(Dogadjaj object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Ulaza UEvidenciju</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Ulaza UEvidenciju</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaUlazaUEvidenciju(VrstaUlazaUEvidenciju object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Oruzje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Oruzje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOruzje(Oruzje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOruzja(VrstaOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModelOruzja(ModelOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kalibar Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kalibar Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKalibarOruzja(KalibarOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipOruzja(TipOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sluzbena Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sluzbena Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSluzbenaOsoba(SluzbenaOsoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Sluzbene Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Sluzbene Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSluzbeneOsobe(VrstaSluzbeneOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Funkcija Sluzbene Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Funkcija Sluzbene Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFunkcijaSluzbeneOsobe(FunkcijaSluzbeneOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Funkcije Sluzbene Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Funkcije Sluzbene Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaFunkcijeSluzbeneOsobe(VrstaFunkcijeSluzbeneOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dokument</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dokument</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDokument(Dokument object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Oruzani List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Oruzani List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOruzaniList(OruzaniList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Metadata</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Metadata</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMetadata(Metadata object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusOruzja(StatusOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sudionik</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sudionik</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSudionik(Sudionik object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija OOruzju</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija OOruzju</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaOOruzju(EvidencijaOOruzju object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacin Zaprimanja Prijave</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacin Zaprimanja Prijave</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacinZaprimanjaPrijave(NacinZaprimanjaPrijave object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Glasa Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Glasa Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaGlasaOsobe(VrstaGlasaOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Govor Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Govor Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaGovorOsobe(VrstaGovorOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Identiteta Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Identiteta Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaIdentitetaOsobe(VrstaIdentitetaOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Dijalekta Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Dijalekta Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaDijalektaOsobe(VrstaDijalektaOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Stava Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Stava Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaStavaOsobe(VrstaStavaOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Okolnih Zvukova</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Okolnih Zvukova</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOkolnihZvukova(VrstaOkolnihZvukova object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prijava</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prijava</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrijava(Prijava object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Policijsko Postupanje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Policijsko Postupanje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePolicijskoPostupanje(PolicijskoPostupanje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Org Jedinica</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Org Jedinica</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOrgJedinica(OrgJedinica object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Organizacija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Organizacija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOrganizacija(Organizacija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Org Jedinice</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Org Jedinice</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOrgJedinice(VrstaOrgJedinice object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Licnog Dokumenta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Licnog Dokumenta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipLicnogDokumenta(TipLicnogDokumenta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zaposlenici</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zaposlenici</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZaposlenici(Zaposlenici object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nesluzbene Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nesluzbene Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNesluzbeneOsobe(NesluzbeneOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Nesluzbene Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Nesluzbene Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaNesluzbeneOsobe(VrstaNesluzbeneOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zakon</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zakon</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZakon(Zakon object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>vrsta Postupanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>vrsta Postupanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casevrstaPostupanja(vrstaPostupanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Djelo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Djelo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDjelo(Djelo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Djela</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Djela</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaDjela(VrstaDjela object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Podvrsta Djela</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Podvrsta Djela</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePodvrstaDjela(PodvrstaDjela object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Steta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Steta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSteta(Steta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Valute</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Valute</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaValute(VrstaValute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Stete</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Stete</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaStete(VrstaStete object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacin Postupanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacin Postupanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacinPostupanja(NacinPostupanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>savjeti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>savjeti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casesavjeti(savjeti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Karton Lica</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Karton Lica</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKartonLica(KartonLica object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Sile</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Sile</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSile(VrstaSile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Izvor Podataka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Izvor Podataka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIzvorPodataka(IzvorPodataka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opis Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opis Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpisOsobe(OpisOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Podnosilac Prijave</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Podnosilac Prijave</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePodnosilacPrijave(PodnosilacPrijave object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pravno Lice</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pravno Lice</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePravnoLice(PravnoLice object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Detektivska Agencija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Detektivska Agencija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDetektivskaAgencija(DetektivskaAgencija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Agencija Osiguranja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Agencija Osiguranja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAgencijaOsiguranja(AgencijaOsiguranja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sud</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sud</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSud(Sud object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Objekt</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Objekt</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseObjekt(Objekt object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vozilo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vozilo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVozilo(Vozilo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Organ Vlasti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Organ Vlasti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOrganVlasti(OrganVlasti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kaznena Evidencija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kaznena Evidencija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKaznenaEvidencija(KaznenaEvidencija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Presuda</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Presuda</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePresuda(Presuda object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Oruzana Dozvola</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Oruzana Dozvola</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOruzanaDozvola(OruzanaDozvola object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zahtjev Za Nabavku Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zahtjev Za Nabavku Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZahtjevZaNabavkuOruzja(ZahtjevZaNabavkuOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Zahtjeva Za Kretanje Vozila</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Zahtjeva Za Kretanje Vozila</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaZahtjevaZaKretanjeVozila(EvidencijaZahtjevaZaKretanjeVozila object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zahtjev Za Kretanje Vozila</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zahtjev Za Kretanje Vozila</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZahtjevZaKretanjeVozila(ZahtjevZaKretanjeVozila object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Zahtjeva Za Javna Okupljanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Zahtjeva Za Javna Okupljanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaZahtjevaZaJavnaOkupljanja(EvidencijaZahtjevaZaJavnaOkupljanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zahtjev Za Javna Okupljanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zahtjev Za Javna Okupljanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZahtjevZaJavnaOkupljanja(ZahtjevZaJavnaOkupljanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Postupak</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Postupak</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePostupak(Postupak object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Aktivnost</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Aktivnost</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAktivnost(Aktivnost object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Predmet</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Predmet</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePredmet(Predmet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Saobracajna Nezgoda</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Saobracajna Nezgoda</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSaobracajnaNezgoda(SaobracajnaNezgoda object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kategorija Puta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kategorija Puta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKategorijaPuta(KategorijaPuta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Nezgode</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Nezgode</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaNezgode(VrstaNezgode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Ozljede</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Ozljede</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOzljede(VrstaOzljede object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sluzbene Zabiljeske</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sluzbene Zabiljeske</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSluzbeneZabiljeske(SluzbeneZabiljeske object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Oduzimanje Predmeta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Oduzimanje Predmeta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOduzimanjePredmeta(OduzimanjePredmeta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uzimanje Otisaka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uzimanje Otisaka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUzimanjeOtisaka(UzimanjeOtisaka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prekrsajni Postupak</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prekrsajni Postupak</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrekrsajniPostupak(PrekrsajniPostupak object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zadrzavanje Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zadrzavanje Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZadrzavanjeOsoba(ZadrzavanjeOsoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uvidjaj Forenzika</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uvidjaj Forenzika</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUvidjajForenzika(UvidjajForenzika object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Aktivnosti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Aktivnosti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipAktivnosti(TipAktivnosti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacin Izvrsenja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacin Izvrsenja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacinIzvrsenja(NacinIzvrsenja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Traga</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Traga</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaTraga(VrstaTraga object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacin Fiksiranja Traga</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacin Fiksiranja Traga</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacinFiksiranjaTraga(NacinFiksiranjaTraga object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Radnja Sa Pronadjenim IFiksiranim Tragovima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRadnjaSaPronadjenimIFiksiranimTragovima(RadnjaSaPronadjenimIFiksiranimTragovima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Lisenje Slobode</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Lisenje Slobode</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLisenjeSlobode(LisenjeSlobode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pretres</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pretres</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePretres(Pretres object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Utvrdjivanje Identiteta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Utvrdjivanje Identiteta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUtvrdjivanjeIdentiteta(UtvrdjivanjeIdentiteta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Provjera Identiteta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Provjera Identiteta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProvjeraIdentiteta(ProvjeraIdentiteta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Razlog Utvrdjivanja Identiteta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Razlog Utvrdjivanja Identiteta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRazlogUtvrdjivanjaIdentiteta(RazlogUtvrdjivanjaIdentiteta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Na Osnovu Cega Je Utvrdjen Identitet</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Na Osnovu Cega Je Utvrdjen Identitet</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNaOsnovuCegaJeUtvrdjenIdentitet(NaOsnovuCegaJeUtvrdjenIdentitet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Radnje Preduzete UCilju Utvrdjivanja Identiteta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta(RadnjePreduzeteUCiljuUtvrdjivanjaIdentiteta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Napad Na Policijske Sluzbenike</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Napad Na Policijske Sluzbenike</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNapadNaPolicijskeSluzbenike(NapadNaPolicijskeSluzbenike object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prituzba Gradjana</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prituzba Gradjana</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrituzbaGradjana(PrituzbaGradjana object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Rezultat Internog Postupka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Rezultat Internog Postupka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRezultatInternogPostupka(RezultatInternogPostupka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Povreda Po Zakonu</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Povreda Po Zakonu</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePovredaPoZakonu(PovredaPoZakonu object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Naziv Povrede Sluzbene Duznosti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Naziv Povrede Sluzbene Duznosti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNazivPovredeSluzbeneDuznosti(NazivPovredeSluzbeneDuznosti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Zalbe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Zalbe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusZalbe(StatusZalbe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pronalazenje Osoba</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pronalazenje Osoba</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePronalazenjeOsoba(PronalazenjeOsoba object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Podneseni Izvjestaji OPocinjenom Krivicnom Djelu</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePodneseniIzvjestajiOPocinjenomKrivicnomDjelu(PodneseniIzvjestajiOPocinjenomKrivicnomDjelu object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kategorija Djela</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kategorija Djela</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKategorijaDjela(KategorijaDjela object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prekrsaj</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prekrsaj</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrekrsaj(Prekrsaj object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Krivicno Djelo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Krivicno Djelo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKrivicnoDjelo(KrivicnoDjelo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ostalo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ostalo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOstalo(Ostalo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Predmet Dokumet</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Predmet Dokumet</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePredmetDokumet(PredmetDokumet object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Dokumenta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Dokumenta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusDokumenta(StatusDokumenta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Marka Oruzja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Marka Oruzja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMarkaOruzja(MarkaOruzja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija OUpotrebi Sile</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija OUpotrebi Sile</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaOUpotrebiSile(EvidencijaOUpotrebiSile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ocjena Opravdanosti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ocjena Opravdanosti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOcjenaOpravdanosti(OcjenaOpravdanosti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Razlog Iskljucivanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Razlog Iskljucivanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRazlogIskljucivanja(RazlogIskljucivanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Iskljucenih Vozila Iz Prometa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Iskljucenih Vozila Iz Prometa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaIskljucenihVozilaIzPrometa(EvidencijaIskljucenihVozilaIzPrometa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Iskljucenih Vozaca Iz Prometa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Iskljucenih Vozaca Iz Prometa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaIskljucenihVozacaIzPrometa(EvidencijaIskljucenihVozacaIzPrometa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Rjesenje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Rjesenje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRjesenje(Rjesenje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Akt</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Akt</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAkt(Akt object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zakonska Osnova</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zakonska Osnova</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZakonskaOsnova(ZakonskaOsnova object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Razlog Zadrzavanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Razlog Zadrzavanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRazlogZadrzavanja(RazlogZadrzavanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nacin Oduzimanja Predmeta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nacin Oduzimanja Predmeta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNacinOduzimanjaPredmeta(NacinOduzimanjaPredmeta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Postupanje Sa Predmetima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Postupanje Sa Predmetima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePostupanjeSaPredmetima(PostupanjeSaPredmetima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Odobrenje Za Rad Det Agencija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Odobrenje Za Rad Det Agencija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOdobrenjeZaRadDetAgencija(OdobrenjeZaRadDetAgencija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Odobrenje Za Rad Agencija Osiguranja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Odobrenje Za Rad Agencija Osiguranja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOdobrenjeZaRadAgencijaOsiguranja(OdobrenjeZaRadAgencijaOsiguranja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Podaci OPovrijedjenim Osobama</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Podaci OPovrijedjenim Osobama</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePodaciOPovrijedjenimOsobama(PodaciOPovrijedjenimOsobama object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>vrsta Povrede</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>vrsta Povrede</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casevrstaPovrede(vrstaPovrede object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uzrok Nezgode</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uzrok Nezgode</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUzrokNezgode(UzrokNezgode object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sumnjive Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sumnjive Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSumnjiveOsobe(SumnjiveOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Realzizacija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Realzizacija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRealzizacija(Realzizacija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Pravna Kvalifikacija Prekrsaja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Pravna Kvalifikacija Prekrsaja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePravnaKvalifikacijaPrekrsaja(PravnaKvalifikacijaPrekrsaja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Oblast</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Oblast</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOblast(Oblast object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Radnje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Radnje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipRadnje(TipRadnje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zakonska Kvalifikacija</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zakonska Kvalifikacija</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZakonskaKvalifikacija(ZakonskaKvalifikacija object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Preduzece</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Preduzece</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePreduzece(Preduzece object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Lica</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Lica</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaLica(VrstaLica object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opis Odjece</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opis Odjece</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpisOdjece(OpisOdjece object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Marka Vozila</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Marka Vozila</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMarkaVozila(MarkaVozila object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Vozila</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Vozila</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipVozila(TipVozila object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Zapisa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Zapisa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusZapisa(StatusZapisa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Dogadjaja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Dogadjaja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaDogadjaja(VrstaDogadjaja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Obrade Dogadjaja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Obrade Dogadjaja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusObradeDogadjaja(StatusObradeDogadjaja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Objekta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Objekta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaObjekta(VrstaObjekta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opis Govora Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opis Govora Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpisGovoraOsobe(OpisGovoraOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opis Dijalekta Osobe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opis Dijalekta Osobe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpisDijalektaOsobe(OpisDijalektaOsobe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Evidencija Dogadjaja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Evidencija Dogadjaja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEvidencijaDogadjaja(EvidencijaDogadjaja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Smjene</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Smjene</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSmjene(VrstaSmjene object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uloga</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uloga</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUloga(Uloga object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cin</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cin</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCin(Cin object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Odsustva</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Odsustva</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOdsustva(Odsustva object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Adrese</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Adrese</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipAdrese(TipAdrese object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>vrsta Kontakta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>vrsta Kontakta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casevrstaKontakta(vrstaKontakta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Odsustva</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Odsustva</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOdsustva(VrstaOdsustva object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bankovni Racun</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bankovni Racun</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBankovniRacun(BankovniRacun object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Racuna</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Racuna</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaRacuna(VrstaRacuna object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Banka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Banka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBanka(Banka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kontakt Zaposlenika</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kontakt Zaposlenika</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKontaktZaposlenika(KontaktZaposlenika object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kontakt</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kontakt</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKontakt(Kontakt object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uzdrzavani Clanovi</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uzdrzavani Clanovi</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUzdrzavaniClanovi(UzdrzavaniClanovi object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Spol</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Spol</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSpol(Spol object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Skolovanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Skolovanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSkolovanja(Skolovanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Skolovanja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Skolovanja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSkolovanja(VrstaSkolovanja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Stecena Strucna Sprema</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Stecena Strucna Sprema</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStecenaStrucnaSprema(StecenaStrucnaSprema object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Uloge</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Uloge</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUloge(Uloge object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Trenutne Uloge</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Trenutne Uloge</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTrenutneUloge(TrenutneUloge object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Procesne Uloge</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Procesne Uloge</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProcesneUloge(ProcesneUloge object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Radne Uloge</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Radne Uloge</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRadneUloge(RadneUloge object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Zaposlenika</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Zaposlenika</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaZaposlenika(VrstaZaposlenika object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cinjenje Kaznenog Djela</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cinjenje Kaznenog Djela</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCinjenjeKaznenogDjela(CinjenjeKaznenogDjela object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Interni Postupak</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Interni Postupak</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInterniPostupak(InterniPostupak object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zaposlenja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zaposlenja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZaposlenja(Zaposlenja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrtsa Zaposlenja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrtsa Zaposlenja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrtsaZaposlenja(VrtsaZaposlenja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Radno Mjesto</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Radno Mjesto</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRadnoMjesto(RadnoMjesto object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nagrade</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nagrade</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNagrade(Nagrade object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kazne</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kazne</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKazne(Kazne object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kvalifikacija Kazne</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kvalifikacija Kazne</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKvalifikacijaKazne(KvalifikacijaKazne object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Godisnja Ocjena</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Godisnja Ocjena</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGodisnjaOcjena(GodisnjaOcjena object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prezaduzenje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prezaduzenje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrezaduzenje(Prezaduzenje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Predemeta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Predemeta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaPredemeta(VrstaPredemeta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Organa Vlasti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Organa Vlasti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaOrganaVlasti(VrstaOrganaVlasti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tip Objekta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tip Objekta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTipObjekta(TipObjekta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Opis Okolnih Zvukova</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Opis Okolnih Zvukova</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOpisOkolnihZvukova(OpisOkolnihZvukova object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Papira Na Ispisu Blagajne</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Papira Na Ispisu Blagajne</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaPapiraNaIspisuBlagajne(VrstaPapiraNaIspisuBlagajne object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>User</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>User</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUser(User object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Permisije</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Permisije</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePermisije(Permisije object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Eksterni DMS</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Eksterni DMS</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEksterniDMS(EksterniDMS object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Patrolni Nalog</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Patrolni Nalog</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePatrolniNalog(PatrolniNalog object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Patrolni Dokumenti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Patrolni Dokumenti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePatrolniDokumenti(PatrolniDokumenti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Dokumenta Predmeta Akta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Dokumenta Predmeta Akta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaDokumentaPredmetaAkta(VrstaDokumentaPredmetaAkta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Razgovor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Razgovor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRazgovor(Razgovor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>User Razgovor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>User Razgovor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUserRazgovor(UserRazgovor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Poruka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Poruka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePoruka(Poruka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Stanje Citanja Poruke</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Stanje Citanja Poruke</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStanjeCitanjaPoruke(StanjeCitanjaPoruke object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>status Poruke</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>status Poruke</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casestatusPoruke(statusPoruke object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativna Sredstva</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativna Sredstva</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativnaSredstva(OperativnaSredstva object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Uredjaja</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Uredjaja</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaUredjaja(VrstaUredjaja object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Patrolni Nalog Aktivnosti</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Patrolni Nalog Aktivnosti</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePatrolniNalogAktivnosti(PatrolniNalogAktivnosti object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativno Vozilo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativno Vozilo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativnoVozilo(OperativnoVozilo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Upotreba Operatinvih Sredstava</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Upotreba Operatinvih Sredstava</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUpotrebaOperatinvihSredstava(UpotrebaOperatinvihSredstava object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Upotreba Vozila</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Upotreba Vozila</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseUpotrebaVozila(UpotrebaVozila object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Zapis</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Zapis</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseZapis(Zapis object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>File</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>File</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFile(File object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Access</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Access</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAccess(Access object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Access Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Access Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAccessType(AccessType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Sluzbe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Sluzbe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaSluzbe(VrstaSluzbe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Patrola</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Patrola</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePatrola(Patrola object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Redni Broj Dokumenta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Redni Broj Dokumenta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRedniBrojDokumenta(RedniBrojDokumenta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFolder(Folder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Folder Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Folder Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFolderType(FolderType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Folder Metadata</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Folder Metadata</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFolderMetadata(FolderMetadata object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kvalifikacijska Grupa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kvalifikacijska Grupa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKvalifikacijskaGrupa(KvalifikacijskaGrupa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Kvalifikacijska Podgrupa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Kvalifikacijska Podgrupa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKvalifikacijskaPodgrupa(KvalifikacijskaPodgrupa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Radar</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Radar</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniRadar(OperativniRadar object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Alkotest</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Alkotest</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniAlkotest(OperativniAlkotest object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Radio Uredjaj</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Radio Uredjaj</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniRadioUredjaj(OperativniRadioUredjaj object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Foto Aparat</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Foto Aparat</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniFotoAparat(OperativniFotoAparat object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Reflektor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Reflektor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniReflektor(OperativniReflektor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Operativni Metar Pantljinka</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Operativni Metar Pantljinka</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOperativniMetarPantljinka(OperativniMetarPantljinka object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ostala Operativna Oprema</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ostala Operativna Oprema</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOstalaOperativnaOprema(OstalaOperativnaOprema object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Owner History</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Owner History</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOwnerHistory(OwnerHistory object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Record Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Record Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRecordType(RecordType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTag(Tag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Task</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Task</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTask(Task object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Priority</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Priority</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePriority(Priority object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>task Status Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>task Status Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casetaskStatusType(taskStatusType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Assigment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Assigment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAssigment(Assigment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Assigment Status</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Assigment Status</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAssigmentStatus(AssigmentStatus object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Grupe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Grupe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGrupe(Grupe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Komponente Aplikacije</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Komponente Aplikacije</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKomponenteAplikacije(KomponenteAplikacije object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sent To</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sent To</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSentTo(SentTo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sent CC</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sent CC</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSentCC(SentCC object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sent Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sent Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSentType(SentType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttachment(Attachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrtsa Tima</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrtsa Tima</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrtsaTima(VrtsaTima object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tim</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tim</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTim(Tim object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Raspored Smjena</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Raspored Smjena</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRasporedSmjena(RasporedSmjena object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Raspored Sluzbe</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Raspored Sluzbe</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRasporedSluzbe(RasporedSluzbe object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Role</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Role</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRole(Role object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Taska</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Taska</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaTaska(VrstaTaska object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Procesi Komponente Aplikacije</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Procesi Komponente Aplikacije</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProcesiKomponenteAplikacije(ProcesiKomponenteAplikacije object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Procesi</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Procesi</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProcesi(Procesi object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Instanca Procesa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Instanca Procesa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInstancaProcesa(InstancaProcesa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Procesnog Taska</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Procesnog Taska</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaProcesnogTaska(VrstaProcesnogTaska object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Prilog</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Prilog</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePrilog(Prilog object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Recdord Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Recdord Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRecdordLink(RecdordLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Stepen Strucne Spreme</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Stepen Strucne Spreme</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStepenStrucneSpreme(StepenStrucneSpreme object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Osiguranje</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Osiguranje</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOsiguranje(Osiguranje object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Krvna Grupa</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Krvna Grupa</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseKrvnaGrupa(KrvnaGrupa object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Drzavljanstvo</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Drzavljanstvo</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDrzavljanstvo(Drzavljanstvo object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Potpisnici Dokumenta</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Potpisnici Dokumenta</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePotpisniciDokumenta(PotpisniciDokumenta object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Vrsta Potpisnika</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Vrsta Potpisnika</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVrstaPotpisnika(VrstaPotpisnika object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //PbdmodelSwitch
